    2009-06-15  Dan Bernstein  <mitz@apple.com>

        Reviewed by Tim Hatcher.

        - use a nice source code font in the Web Inspector

        * WebCoreSupport/WebInspectorClient.cpp:
        (WebInspectorClient::createPage): Set the default monospace font to
            13px Courier New, which is the default source code font in Visual
            Studio.

2009-06-13  Adam Barth  <abarth@webkit.org>

        Reviewed by Darin Fisher.

        https://bugs.webkit.org/show_bug.cgi?id=24492

        Move registerURLSchemeAsLocal from FrameLoader to SecurityOrigin.

        * WebView.cpp:
        (WebView::registerURLSchemeAsLocal):

2009-06-12  Peter Kasting  <pkasting@google.com>

        Reviewed by Eric Seidel.

        * ChangeLog: Update my email address.

2009-06-03  Brent Fulgham  <bfulgham@webkit.org>

        Build fix for Windows Cairo.

        * WebKit.vcproj/WebKit.vcproj: Remove unneeded giflib.lib
          link command.

2009-06-01  Brent Fulgham  <bfulgham@webkit.org>

        Build fix for Cairo Windows target.  Windows link definition
        files were out of sync with the Apple Windows link files.

        * WebKit.vcproj/WebKit_Cairo.def:
        * WebKit.vcproj/WebKit_Cairo_debug.def:

2009-05-29  Adam Roben  <aroben@apple.com>

        Implement WebFrame::startDownload

        Fixes the WebKit side of Bug 25729: Alt-clicking a link doesn't start
        a download <https://bugs.webkit.org/show_bug.cgi?id=25729>. Fixing
        this all the way will require a change in Safari.

        Reviewed by Darin Adler.

        * WebFrame.cpp:
        (WebFrame::startDownload): Call through to WebView::downloadURL.

2009-05-29  Adam Roben  <aroben@apple.com>

        Move WebContextMenuClient's downloading code to WebView

        This will allow other code to trigger downloads using this code, and
        matches Mac.

        Reviewed by Darin Adler.

        * WebCoreSupport/WebContextMenuClient.cpp:
        (WebContextMenuClient::downloadURL): Moved code from here...
        * WebView.cpp:
        (WebView::downloadURL): ...to here. Also tightened up the code a
        little bit and removed an unnecessary LOG_ERROR.

        * WebView.h: Added downloadURL.

2009-05-29  Brent Fulgham  <bfulgham@webkit.org>

        Reviewed by Darin Adler.

        Correct Windows Cairo build error caused by @r42767.
        http://bugs.webkit.org/show_bug.cgi?id=26082.

        * WebError.cpp:
        (WebError::localizedDescription):

2009-05-23  David Kilzer  <ddkilzer@apple.com>

        Windows build fix for PassOwnPtr

        * WebHistory.cpp:
        (WebHistory::visitedURL): Changed
        std::auto_ptr<Vector<String> >() to 0.
        * WebHistoryItem.cpp:
        (WebHistoryItem::initFromDictionaryRepresentation): Changed type
        of redirectURLsVector from std::auto_ptr<Vector<String> > to
        OwnPtr<Vector<String> >.

2009-05-23  David Kilzer  <ddkilzer@apple.com>

        Part 2 of 2: Bug 25495: Implement PassOwnPtr and replace uses of std::auto_ptr

        <https://bugs.webkit.org/show_bug.cgi?id=25495>

        Reviewed by Oliver Hunt.

        * WebCoreSupport/WebChromeClient.h:
        (WebChromeClient::createHTMLParserQuirks): Return a PassOwnPtr<>
        instead of a raw HTMLParserQuirks pointer.

2009-05-22  Brent Fulgham  <bfulgham@webkit.org>

        Reviewed by Adam Roben.

        https://bugs.webkit.org/show_bug.cgi?id=25971
        Correct some build errors for Windows Cairo variant.

        * WebKit.vcproj/WebKit.vcproj: Remove WTF.lib link commands as
          the new JavaScriptCore.dll supplies this now.

2009-05-22  Brent Fulgham <bfulgham@webkit.org>

        Reviewed by Steve Falkenburg.

        https://bugs.webkit.org/show_bug.cgi?id=25950
        JavaScriptCore Fails to build on Windows (Cairo) due to
        CoreFoundation link requirement.

        * WebKit.vcproj/WebKit.sln: Modify Debug_Cairo and Release_Cairo
          targets to use new Debug_CFLite and Release_CFLite targets
          for JavaScriptCore.

2009-05-21  Darin Fisher  <darin@chromium.org>

        Fix-up coding style.

        * WebCoreSupport/WebEditorClient.cpp:
        (WebEditorClient::getAutoCorrectSuggestionForMisspelledWord):

2009-05-20  Siddhartha Chattopadhyay  <sidchat@google.com>

        Reviewed by Justin Garcia.
        
        Add automatic spell correction support in WebKit

        https://bugs.webkit.org/show_bug.cgi?id=24953

        * WebCoreSupport/WebEditorClient.cpp:
        (WebEditorClient::getAutoCorrectSuggestionForMisspelledWord):
        * WebCoreSupport/WebEditorClient.h:

2009-05-20  Brady Eidson  <beidson@apple.com>

        Reviewed by Darin Adler.

        More protocolInHTTPFamily() cleanup.

        * WebHistory.cpp:
        (WebHistory::visitedURL):

2009-05-20  Holger Hans Peter Freyther  <zecke@selfish.org>

        Reviewed by Darin Adler.

        https://bugs.webkit.org/show_bug.cgi?id=25834

        Make ChromeClient a interface again

        With recent additions to ChromeClient.h empty defaults were
        added. This is bad for porters as these changes go unnoticed
        and at runtime no notImplemented warning is logged and grepping
        for notImplemented will not show anything. Change this Client
        to be like the other Clients again and always have pure virtuals
        (but for stuff inside #ifdef PLATFORM(MAC)).

        Update the various WebKit/* implementations to compile again.

        * WebCoreSupport/WebChromeClient.cpp:
        (WebChromeClient::requestGeolocationPermissionForFrame):
        * WebCoreSupport/WebChromeClient.h:
        (WebChromeClient::scrollRectIntoView):

2009-05-18  Steve Falkenburg  <sfalken@apple.com>

        <rdar://problem/6899044> Can't see Apple ad on nytimes.com unless I spoof the user agent
        
        Add user agent hack for pointroll.com.
        
        Reviewed by Sam Weinig.

        * WebView.cpp:

2009-05-13  Dmitry Titov  <dimich@chromium.org>

        Rubber-stamped by Mark Rowe.

        https://bugs.webkit.org/show_bug.cgi?id=25746
        Revert http://trac.webkit.org/changeset/43507 which caused crash in PPC nightlies with Safari 4.

        * WebKit.vcproj/WebKit.def:
        * WebKit.vcproj/WebKit_debug.def:

2009-05-12  Steve Falkenburg  <sfalken@apple.com>

        Build fix for Windows nightlies.
        Change link order to work around CFNetwork bug.

        * WebKit.vcproj/WebKit.vcproj:

2009-05-11  Dmitry Titov  <dimich@chromium.org>

        Reviewed by Alexey Proskuryakov and Adam Roben.

        https://bugs.webkit.org/show_bug.cgi?id=25348
        Change WTF::ThreadIdentifier to be an actual (but wrapped) thread id, remove ThreadMap.

        Most of the change is in WTF and WebCore.

        * WebKit.vcproj/WebKit.def: replaced decorated names of WTF threading functions with new ones.
        Also, aliased the old implementations so the public Safari 4 beta can load the old WTF functions
        which it uses. Next time Safari 4 builds, it will pick up new functions and the deprecated ones
        can be removed.
        * WebKit.vcproj/WebKit_debug.def: same.

2009-05-10  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Dan Bernstein.

        <rdar://problem/6870383> Have to enter credentials twice when downloading from a protected page

        * WebDownloadCFNet.cpp: (WebDownload::didReceiveAuthenticationChallenge): Try to use
        credentials from WebCore storage.

2009-05-07  Mark Rowe  <mrowe@apple.com>

        Rubber-stamped by Oliver Hunt.

        Fix <https://bugs.webkit.org/show_bug.cgi?id=25640>.
        Bug 25640: Crash on quit in r43384 nightly build on Leopard w/ Safari 4 beta installed
        
        Roll out r43366 as it removed symbols that Safari 4 Beta uses.

        * WebKit.vcproj/WebKit.def:
        * WebKit.vcproj/WebKit_debug.def:

2009-05-06  Steve Falkenburg  <sfalken@apple.com>

        Change default value of WebKitPaintNativeControls to true.
        
        Reviewed by Adam Roben.

        * WebPreferences.cpp:
        (WebPreferences::initializeDefaultSettings):

2009-05-05  Ben Murdoch  <benm@google.com>

        Reviewed by Eric Seidel.
        
        Add #if ENABLE(DATABASE) guards around database code so toggling ENABLE_DATABASE off does not break builds.
        https://bugs.webkit.org/show_bug.cgi?id=24776

        * ForEachCoClass.h:
        * WebCoreSupport/WebChromeClient.cpp:
        * WebCoreSupport/WebChromeClient.h:
        * WebDatabaseManager.cpp:
        * WebDatabaseManager.h:
        * WebSecurityOrigin.cpp:
        (WebSecurityOrigin::usage):
        (WebSecurityOrigin::quota):
        (WebSecurityOrigin::setQuota):
        * WebSecurityOrigin.h:
        * WebView.cpp:
        (WebView::initWithFrame):

2009-05-04  Adam Roben  <aroben@apple.com>

        Add a call to notify the UI delegate when the WebView gets invalidated

        Reviewed by Steve Falkenburg.

        * Interfaces/IWebUIDelegatePrivate.idl: Added webViewDidInvalidate.
        * WebView.cpp:
        (WebView::addToDirtyRegion): Call webViewDidInvalidate.

2009-05-04  Darin Adler  <darin@apple.com>

        First try at fixing the Windows build.

        * DOMHTMLClasses.cpp: Added include of HTMLCollection.h.

2009-05-01  Geoffrey Garen  <ggaren@apple.com>

        Rubber Stamped by Sam Weinig.
        
        Renamed JSValuePtr => JSValue.

        * WebView.cpp:
        (WebView::stringByEvaluatingJavaScriptFromString):

2009-05-01  Pavel Feldman  <pfeldman@chromium.org>

        Reviewed by Timothy Hatcher.

        Add a FrameLoaderClient callback for the ResourceRetrievedByXMLHttpRequest.

        https://bugs.webkit.org/show_bug.cgi?id=25347

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::dispatchDidLoadResourceByXMLHttpRequest):
        * WebCoreSupport/WebFrameLoaderClient.h:

2009-04-30  David Kilzer  <ddkilzer@apple.com>

        Provide a mechanism to create a quirks delegate for HTMLParser

        Reviewed by David Hyatt.

        * WebCoreSupport/WebChromeClient.h:
        (WebChromeClient::createHTMLParserQuirks): Added.  The default
        implementation of this factory method returns 0.

2009-04-30  Pavel Feldman  <pfeldman@chromium.org>

        Reviewed by Dimitri Glazkov.

        https://bugs.webkit.org/show_bug.cgi?id=25342
        Add MessageSource and MessageLevel parameters to the ChromeClient::addMessageToConsole.

        * WebCoreSupport/WebChromeClient.cpp:
        (WebChromeClient::addMessageToConsole):
        * WebCoreSupport/WebChromeClient.h:

2009-04-29  Eric Seidel  <eric@webkit.org>

        No review, rolling out a patch.

        Revert 43020 as it caused accessibility/lists.html to fail
        and no one is around to tell me if it's a progression or not.

        * AccessibleBase.cpp:
        (MSAARole):

2009-04-29  Sankar Aditya Tanguturi  <sankaraditya@gmail.com>

        Reviewed by Jon Honeycutt.

        Add a new accessibility role for list items. Part of
        http://bugs.webkit.org/show_id.cgi?id=20013

        * win/AccessibleBase.cpp:
        (MSAARole): Return ROLE_SYSTEM_LISTITEM for list item role.

2009-04-29  Sankar Aditya Tanguturi  <sankaraditya@gmail.com>

        Reviewed by Adele Peterson.

        https://bugs.webkit.org/show_bug.cgi?id=23583
        Populate role attribute for document objects correctly
        on Windows platform.

        * AccessibleDocument.cpp:
        (AccessibleDocument::role): Return ROLE_SYSTEM_DOCUMENT for
        document objects on windows. (Matching Firefox).
        * AccessibleDocument.h: Add the role function prototype in
        header file.

2009-04-22  Ada Chan  <adachan@apple.com>

        <rdar://problem/5115298> Don't get error msg when download is interrupted and cannot resume due to server unavailability
        If we fail to get an error description back from CFNetwork, try to get the localized description
        based on the error code.

        Reviewed by Darin Adler.

        * WebError.cpp:
        (WebError::localizedDescription):

2009-04-21  Jon Honeycutt  <jhoneycutt@apple.com>

        Allow the UI delegate to control cursor-setting.

        Reviewed by Ada Chan.

        * Interfaces/IWebUIDelegatePrivate.idl:
        Added a function to the IWebUIDelegatePrivate5 interface.

        * WebCoreSupport/WebChromeClient.cpp:
        (WebChromeClient::setCursor):
        Try to call the UI delegate's webViewSetCursor() method. If it fails,
        fall back to calling SetCursor() with the passed cursor.

        * WebCoreSupport/WebChromeClient.h:

        * WebView.cpp:
        (WebViewWndProc):
        Call the Chrome's setCursor() method with the last set cursor.

2009-04-21  Dan Bernstein  <mitz@apple.com>

        Reviewed by Jon Honeycutt.

        - Windows part of fixing <rdar://problem/6755137> Action dictionary for
          policy decision is missing keys when full-page zoom is used

        * WebActionPropertyBag.cpp:
        (WebActionPropertyBag::Read): Use absoluteLocation() instead of
        clientX() and clientY(), which are adjusted for zoom.

2009-04-21  Dan Bernstein  <mitz@apple.com>

        Reviewed by Jon Honeycutt.

        - implement DOMNode::nodeName()

        * DOMCoreClasses.cpp:
        (DOMNode::nodeName):

2009-04-21  Steve Falkenburg  <sfalken@apple.com>

        Minor clean-ups to WebKitCreateInstance change.
        
        Reviewed by Jon Honeycutt.

        * WebKitCOMAPI.cpp:
        (classFactory):
        (WebKitCreateInstance):

2009-04-21  Steve Falkenburg  <sfalken@apple.com>

        Add registry-free CoCreateInstance API for WebKit clients: WebKitCreateInstance.

        Manifest-based registry-free COM continues to work for clients that have embedded
        manifests with isolated COM information.
        
        Reviewed by Adam Roben.

        * WebKit.vcproj/WebKit.def: Added WebKitCreateInstance.
        * WebKit.vcproj/WebKit.vcproj: Link against rpcrt4.dll for UUID hashing.
        * WebKit.vcproj/WebKit_debug.def: Added WebKitCreateInstance.
        * WebKitCOMAPI.cpp: Added.
        (CLSIDHash::hash):
        (CLSIDHash::equal):
        (CLSIDHashTraits::constructDeletedValue):
        (CLSIDHashTraits::isDeletedValue):
        (classFactory):
        (WebKitCreateInstance): New API.
        * WebKitCOMAPI.h: Added.

2009-04-21  Adam Roben  <aroben@apple.com>

        Rename JavaScriptCore_debug.dll to JavaScriptCore.dll in the Debug
        configuration

        This matches the naming scheme for WebKit.dll, and will be necessary
        once Safari links against JavaScriptCore.dll. This change also causes
        run-safari not to fail (because the launcher printed by FindSafari was
        always looking for JavaScriptCore.dll, never
        JavaScriptCore_debug.dll).

        Part of Bug 25305: can't run safari or drt on windows
        <https://bugs.webkit.org/show_bug.cgi?id=25305>

        Reviewed by Steve Falkenburg and Sam Weinig.

        * WebKit.vcproj/WebKit.vcproj: Use $(WebKitDLLConfigSuffix) for naming
        JavaScriptCore.{dll,lib}.

2009-04-20  Adam Roben  <aroben@apple.com>

        Build fix

        * MemoryStream.cpp:
        (MemoryStream::Clone): Fix typo introduced when implementing
        suggestions from patch review.

2009-04-20  Adam Roben  <aroben@apple.com>

        First part of <rdar://6395825> It takes over 20 sec to launch Safari
        with 500KB history file

        This ports the changes that were made to WebKit/mac's WebHistory
        implementation in r25275 to WebKit/win. WebHistory now stores a
        HashMap from CFAbsoluteTime (stored as int64_t) to CFArray of
        IWebHistoryItem*. The HashMap lets us look up the CFArray for a
        particular day's history in constant time rather than linear time. The
        precise reasons why we store the CFAbsoluteTime as an int64_t are lost
        to the mists of time, but it is likely because these CFAbsoluteTimes
        never have a decimal part, and integer comparisons are faster than
        floating-point comparisons, so storing them as int64_t should improve
        performance without losing precision. We also now use a binary search
        instead of a linear search when determining the index at which to
        insert a WebHistoryItem into its day's CFArray.

        This patch reduces the time needed to load a 100,000-item
        History.plist from ~15 seconds to ~7.5 seconds. Further improvements
        could likely be made by reducing the number of string conversions,
        reducing calls to CFTimeZone functions, and removing all the
        WebHistoryItemsAdded notifications that are sent (Mac doesn't send any
        while loading history).

        Reviewed by Darin Adler.

        * WebHistory.cpp:
        (WebHistoryWriter::WebHistoryWriter): Changed to take a
        DateToEntriesMap instead of a CFArrayRef. Initialize m_dateKeys to
        contain the keys from m_entriesByDate in ascending order.
        (WebHistoryWriter::writeHistoryItems): Now loops through m_dateKeys in
        reverse order and gets the entries array from the DateToEntriesMap.
        (WebHistory::WebHistory): Removed code to initialize
        m_datesWithEntries (which has been removed) and m_entriesByDate (which
        has been converted to a HashMap).
        (WebHistory::removeAllItems): Clear out m_entriesByDate and
        m_orderedLastVisitedDays.
        (WebHistory::orderedLastVisitedDays): If we don't already have a
        cached m_orderedLastVisitedDays array, create one by converting the
        keys from m_entriesByDate to DATEs and sorting them in descending
        order. Then copy m_orderedLastVisitedDays to the output buffer.
        (WebHistory::orderedItemsLastVisitedOnDay): Updated to use findKey
        instead of findIndex and to treat m_entriesByDate as a HashMap.
        Now that the items in each day's CFArray are stored in descending
        order (newest to oldest), we don't have to reverse them when filling
        in the output buffer. (The old comment about putting the items in
        oldest-to-newest order was incorrect -- it was putting them in
        newest-to-oldest order.)

        (WebHistory::addItemToDateCaches):
        (WebHistory::removeItemFromDateCaches):
        Changed to use findKey instead of findIndex and to treat
        m_entriesByDate as a HashMap. If we're adding a key to or removing a
        key from m_entriesByDate, also clear m_orderedLastVisitedDays so that
        we will regenerate it for the current set of keys the next time it is
        needed.

        (timeIntervalForBeginningOfDay): Added. Returns the CFAbsoluteTime
        that corresponds to the beginning of the day in which the passed-in
        DATE occurs.
        (WebHistory::findKey): Returns the key used in m_entriesByDate to
        store the CFArray that should contain the IWebHistoryItem that
        corresponds to the passed-in DATE. Replaces findIndex.
        (WebHistory::insertItem): Changed to treat m_entriesByDate as a
        HashMap rather than a CFArray. We now optimize for inserting at the
        beginning and end of the array, and use a binary rather than linear
        search when inserting into the middle of the array.
        (WebHistory::data): Changed to treat m_entriesByDate as a HashMap.

        * WebHistory.h: Changed m_entriesByDate to a DateToEntriesMap, removed
        m_datesWithEntries, added m_orderedLastVisitedDays.

2009-04-20  Adam Roben  <aroben@apple.com>

        Change MemoryStream::createInstance to return a COMPtr

        Part of Bug 25294: All WebKit/win classes should return COMPtrs from
        their static constructor members
        <https://bugs.webkit.org/show_bug.cgi?id=25294>

        Reviewed by Darin Adler.

        * MemoryStream.cpp:
        (MemoryStream::createInstance): Changed to return a COMPtr.
        (MemoryStream::Clone): Updated for createInstance change.
        * MemoryStream.h: Changed createInstance to return a COMPtr.

        * WebArchive.cpp:
        (WebArchive::data):
        * WebCoreSupport/EmbeddedWidget.cpp:
        (EmbeddedWidget::didReceiveData):
        * WebDataSource.cpp:
        (WebDataSource::data):
        * WebHistory.cpp:
        (WebHistory::data):
        * WebIconFetcher.cpp:
        (WebIconFetcherClient::finishedFetchingIcon):
        * WebResource.cpp:
        (WebResource::createInstance):
        Updated for changes to MemoryStream::createInstance.

2009-04-20  Adam Roben  <aroben@apple.com>

        Fix Bug 25295: Remove WebKit/win code that was used for Drosera
        support

        <https://bugs.webkit.org/show_bug.cgi?id=25295>

        Reviewed by Sam Weinig.

        * ForEachCoClass.h: Removed WebScriptDebugServer.

        * Interfaces/WebKit.idl: Removed WebScriptDebugServer and references
        to removed IDL files.

        * WebKit.vcproj/Interfaces.vcproj:
        * WebKit.vcproj/WebKit.vcproj:
        Removed IDL and source files for IWebScriptCallFrame,
        IWebScriptDebugListener, IWebScriptDebugServer, WebScriptCallFrame,
        and WebScriptDebugServer.

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        * WebKitClassFactory.cpp:
        * WebKitDLL.cpp:
        Removed #includes of WebScriptDebugServer.h.

        * Interfaces/IWebScriptCallFrame.idl: Removed.
        * Interfaces/IWebScriptDebugListener.idl: Removed.
        * Interfaces/IWebScriptDebugServer.idl: Removed.
        * WebScriptCallFrame.cpp: Removed.
        * WebScriptCallFrame.h: Removed.
        * WebScriptDebugServer.cpp: Removed.
        * WebScriptDebugServer.h: Removed.

2009-04-20  Steve Falkenburg  <sfalken@apple.com>

        Separate JavaScriptCore.dll from WebKit.dll.
        Slight performance improvement or no change on benchmarks.
        
        Allows us to break a circular dependency between CFNetwork and WebKit on Windows,
        and simplifies standalone JavaScriptCore builds.

        Reviewed by Oliver Hunt.

        * WebKit.vcproj/WebKit.def: Mark JavaScriptCore re-exports as deprecated.
        * WebKit.vcproj/WebKit.vcproj: Link against JavaScriptCore.dll
        * WebKit.vcproj/WebKit_debug.def: Mark JavaScriptCore re-exports as deprecated.

2009-04-17  Ada Chan  <adachan@apple.com>

        <rdar://problem/6803905> Lots of ASSERTs firing when trying to clear history

        Reviewed by Steve Falkenburg.

        * WebHistory.cpp:
        (WebHistory::data): Return null if there are no history items.

2009-04-17  Ada Chan  <adachan@apple.com>

        - Fix a leak in WebHistoryItem::children() by adopting the created instance of WebHistoryItem.
        - Remove the unnecessary call to QueryInterface() which is not related to the leak.

        Reviewed by Adam Roben.

        * WebHistoryItem.cpp:
        (WebHistoryItem::children):

2009-04-17  Ada Chan  <adachan@apple.com>

        Fix a leak in WebHistory::data().

        Reviewed by Adam Roben.

        * WebHistory.cpp:
        (WebHistory::data):

2009-04-16  Alice Liu  <alice.liu@apple.com>

        Reviewed by Mark Rowe.

        Fix for heavy leakage of WebURLResponses seen during the stress test 

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::shouldCacheResponse):

2009-04-16  Xan Lopez  <xlopez@igalia.com>

        Unreviewed build fix.

        * WebView.cpp:

2009-04-16  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Sam Weinig.

        https://bugs.webkit.org/show_bug.cgi?id=25241
        Remove superfluous NotImplemented.h includes

        * WebDownloadCFNet.cpp:
        * WebURLAuthenticationChallengeSender.cpp:
        * WebView.cpp:

2009-04-14  Adam Roben  <aroben@apple.com>

        Remove support for profile-guided optimization on Windows

        Rubber-stamped by Steve Falkenburg.

        * WebKit.vcproj/WebKit.vcproj: Removed the Release_PGOInstrument and
        Release_PGOOptimize configurations.

2009-04-13  Adam Roben  <aroben@apple.com>

        Windows part 2 of <rdar://5438063> Saving history containing 100,000
        entries causes pauses of 2s while browsing

        Reviewed by Brady Eidson.

        * Interfaces/IWebHistoryPrivate.idl: Added data, analagous to
        WebKit/mac's -[WebHistory _data] method.

        * WebHistory.cpp:
        (WebHistory::saveHistoryGuts): Changed to call data() to get the data for
        saving.
        (WebHistory::data): Added. Returns the data for saving as an IStream.
        (WebHistory::data): Added. Returns the data for saving as a CFDataRef.

        * WebHistory.h: Added data.

2009-04-10  Steve Falkenburg  <sfalken@apple.com>

        <rdar://problem/6676024> REGRESSION (PB-40B1): Safari crashes on launch on tablet PC
        
        r21436 changed the semantics of AXObjectCache::get() to not create
        objects on demand. Changing this get() call into a getOrCreate() call
        fixes the crash.
        
        Rubber stamped by Jon Honeycutt.

        * AccessibleDocument.cpp:
        (AccessibleDocument::AccessibleDocument):

2009-04-10  Adam Roben  <aroben@apple.com>

        Add our invidual IDL files back to Interfaces.vcproj, but disable them

        This allows the IDL files to be found in Solution Explorer.

        Rubber-stamped in advance by Steve Falkenburg.

        * WebKit.vcproj/Interfaces.vcproj:

2009-04-09  Adam Roben  <aroben@apple.com>

        Windows part 1 of <rdar://problem/5438063> Saving history containing
        100,000 entries causes pauses of 2s while browsing

        Use HistoryPropertyListWriter to implement IWebHistory::saveToURL.

        Reviewed by Darin Adler.

        * WebHistory.cpp:
        (WebHistoryWriter::WebHistoryWriter): Added.
        (WebHistoryWriter::writeHistoryItems): Added. Loop backwards through
        the entries for each date, and pass the corresponding
        WebCore::HistoryItem to writeHistoryItem.
        (WebHistory::saveHistoryGuts): Use WebHistoryWriter to serialize
        m_entriesByDate, then write the serialized data to disk using
        CFWriteStream.

        * WebHistory.h: Removed datesArray.

2009-04-08  Adam Roben  <aroben@apple.com>

        Fix security/block-test-no-port.html on Windows

        Reviewed by Beth Dakin.

        * WebMutableURLRequest.cpp:
        (WebMutableURLRequest::mainDocumentURL): Return the ResourceRequest's
        mainDocumentURL, not its URL.

2009-04-01  Darin Adler  <darin@apple.com>

        Reviewed by Geoff Garen.

        Bug 22378: Crash submitting a form when parsing an XHTML document
        https://bugs.webkit.org/show_bug.cgi?id=22378
        rdar://problem/6388377

        * WebFrame.cpp:
        (WebFrame::dispatchWillSubmitForm): Updated for the new
        textFieldValues function in FormState.

2009-03-30  Adam Roben  <aroben@apple.com>

        Build fixes after recent FrameLoader changes

        * WebCoreSupport/WebContextMenuClient.cpp:
        (WebContextMenuClient::searchWithGoogle): Updated to match
        urlSelected's current signature. We pass true for the userGesture
        parameter, since the user must have selected this item from the
        context menu.

        * WebCoreSupport/WebFrameLoaderClient.cpp: Removed
        loadURLIntoChildFrame.
        (WebFrameLoaderClient::createFrame): Changed to call
        FrameLoader::loadURLIntoChildFrame. This probably should have been
        done way back around r31281 when that function was added.

        * WebCoreSupport/WebFrameLoaderClient.h: Removed
        loadURLIntoChildFrame.

2009-03-27  Adam Roben  <aroben@apple.com>

        Don't include substitute data URLs in global history redirect chains

        <rdar://6690169>

        Reviewed by Darin Adler.

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::updateGlobalHistory): Don't call
        updateGlobalHistoryRedirectLinks. FrameLoader calls this for us now.
        (WebFrameLoaderClient::updateGlobalHistoryRedirectLinks):
        Added an assertion to help catch cases where we might be adding a
        substitute data URL into a redirect chain.

2009-03-26  Dan Bernstein  <mitz@apple.com>

        Reviewed by Adam Roben.

        - add close() to the WebView API.

        * Interfaces/IWebView.idl:
        * WebView.cpp:
        (WebView::close):
        * WebView.h:

2009-03-24  Brent Fulgham  <bfulgham@webkit.org>

        Reviewed by Adam Roben.

        https://bugs.webkit.org/show_bug.cgi?id=24779
        Conditionalize CFNetwork-specific code in WebView to permit
        support for other network backends.

        * WebView.cpp:
        (WebView::setCacheModel): Add CFNETWORK check around CFNetwork
        specific cache implementation.
        (updateSharedSettingsFromPreferencesIfNeeded): Add CFNETWORK
        check around use of CFHTTPCookie code.

2009-03-23  Sam Weinig  <sam@webkit.org>

        Reviewed by Dan Bernstein.

        Fix for <rdar://problem/6140966>
        Empty Caches does not clear the Cross-site XMLHttpRequest preflight cache

        * WebCache.cpp:
        (WebCache::empty): Also add application cache emptying to match the mac.

2009-03-18  Steve Falkenburg  <sfalken@apple.com>

        Add webViewClosing to private UI delegate.

        Reviewed by Adam Roben.

        * Interfaces/IWebUIDelegatePrivate.idl:
        * Interfaces/WebKit.idl:
        * WebView.cpp:
        (WebView::close):

2009-03-17  Dan Bernstein  <mitz@apple.com>

        Reviewed by Adam Roben.

        - WebKit part of adding a mechanism for controlling the caching of
          responses through WebFrameLoaderClient

        * Interfaces/IWebResourceLoadDelegatePrivate.idl: Added the
        IWebResourceLoadDelegatePrivate3 interface, containing the new
        delegate method shouldCacheResponse().

        * Interfaces/IWebURLRequest.idl: Added the isEqual() method.

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::shouldCacheResponse): Implemented this new
        FrameLoaderDelegate method by calling through to the resource load
        delegate, if it implements shouldCacheResponse(), and returning true
        otherwise.

        * WebCoreSupport/WebFrameLoaderClient.h:

        * WebMutableURLRequest.cpp:
        (WebMutableURLRequest::isEqual): Added.
        (WebMutableURLRequest::setValue): Implemented.

        * WebMutableURLRequest.h: Declared isEqual().

2009-03-16  Darin Adler  <darin@apple.com>

        Reviewed by Dan Bernstein.

        <rdar://problem/6577174> Rename the text directionality submenus to “Paragraph Direction” and “Selection Direction”

        For now, change only the localized strings, not the terminology in the code.

        * WebCoreLocalizedStrings.cpp:
        (WebCore::contextMenuItemTagWritingDirectionMenu): Changed string here.
        (WebCore::contextMenuItemTagTextDirectionMenu): And here.

2009-03-16  Adam Roben  <aroben@apple.com>

        Add IWebFramePrivate::isDisplayingStandaloneImage

        This uses the same logic that -[WebFrame _isDisplayingStandaloneImage]
        uses.

        Reviewed by Darin Adler.

        * Interfaces/IWebFramePrivate.idl: Added isDisplayingStandaloneImage.

        * WebFrame.cpp:
        (WebFrame::isDisplayingStandaloneImage): Added. Returns true if our
        Document is an image document.

        * WebFrame.h: Added isDisplayingStandaloneImage.

2009-03-12  Peter Kasting  <pkasting@google.com>

        Reviewed by Darin Fisher.

        https://bugs.webkit.org/show_bug.cgi?id=24502
        Make horizontal scrolling on Windows always go the correct direction.

        * WebView.cpp:
        (WebView::mouseWheel):
        (WebViewWndProc):
        * WebView.h:

2009-03-12  Adam Roben  <aroben@apple.com>

        Implement DOMHTMLDocument::title

        Reviewed by Dan Bernstein.

        * DOMHTMLClasses.cpp:
        (DOMHTMLDocument::title): Call through to WebCore::Document (with
        obligatory COM error checking/type conversions).

2009-03-11  Adam Roben  <aroben@apple.com>

        Export functions needed by ThreadSpecific from WebKit

        Reviewed by John Sullivan.

        * WebKit.vcproj/WebKit.def:
        * WebKit.vcproj/WebKit_debug.def:
        Export WTF::tlsKeyCount and WTF::tlsKeys.

2009-03-10  Steve Falkenburg  <sfalken@apple.com>

        <rdar://problem/6662167> When clicking in Top Sites search field, WebHistory::findIndex fails causing crash in BookmarksSearcher::collectHistorySearchResults
        
        Round CFAbsoluteDates to the nearest second when converting to/from the Windows DATE format.
        
        This corrects for inaccuracies introduced by round-tripping between DATE (day based) and CFAbsoluteDate (second based).
        The WebKit COM API on Windows uses DATE, while our history storage uses CFAbsoluteTime. This could lead to WebKit
        saying there was browsing history for a particular day, and then return no history items when we requested a
        list of sites visited that day.        
        
        Reviewed by Ada Chan.

        * MarshallingHelpers.cpp:
        (MarshallingHelpers::DATEToCFAbsoluteTime):
        (MarshallingHelpers::CFAbsoluteTimeToDATE):

2009-03-08  Mark Rowe  <mrowe@apple.com>

        Reviewed by Oliver Hunt.

        Split ScrollAlignment and ScrollBehavior out of RenderLayer.h so that
        Frame.h no longer needs to include it.  This cuts the size of the symbols
        for a debug build by around 3%.

        * WebView.cpp:
        (WebView::centerSelectionInVisibleArea):

2009-03-07  Dan Bernstein  <mitz@apple.com>

        Reviewed by Mark Rowe.

        - WebKit part of removing build-time and run-time support for legacy
          versions of CFNetwork and Core Graphics

        * WebView.cpp:
        (WebView::setCacheModel):

2009-03-04  Adam Barth  <abath@webkit.org>

        Reviewed by Alexey Proskuryakov.

        https://bugs.webkit.org/show_bug.cgi?id=24356

        Fix WebKit style for allowUniversalAccessFromFileURLs.

        * Interfaces/IWebPreferencesPrivate.idl:
        * WebPreferenceKeysPrivate.h:
        * WebPreferences.cpp:
        (WebPreferences::initializeDefaultSettings):
        (WebPreferences::allowUniversalAccessFromFileURLs):
        (WebPreferences::setAllowUniversalAccessFromFileURLs):
        * WebPreferences.h:
        * WebView.cpp:
        (WebView::notifyPreferencesChanged):

2009-02-27  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Add a preference to reduce the power of file:// URLs.

        * Interfaces/IWebPreferencesPrivate.idl:
        * WebPreferenceKeysPrivate.h:
        * WebPreferences.cpp:
        (WebPreferences::initializeDefaultSettings):
        (WebPreferences::allowUniversalAccessFromFileUrls):
        (WebPreferences::setAllowUniversalAccessFromFileUrls):
        * WebPreferences.h:
        * WebView.cpp:
        (WebView::notifyPreferencesChanged):

2009-02-19  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Darin Adler.

        https://bugs.webkit.org/show_bug.cgi?id=24024
        REGRESSION (r39845): Assertion failure in -[WebHistoryItem dictionaryRepresentation] when
        archiving a submission to about:blank

        I don't know how to make an automated test for this bug.

        * WebHistory.cpp: (WebHistory::visitedURL): Account for the fact that HTTP method may be
        non-empty for non-HTTP requests.

2009-02-25  Andreia Gaita  <shana@jitted.com>

        Reviewed by Alp Toker.

        Update Win def files with recent JavaScriptCore API additions.

        * WebKit.vcproj/WebKit.def:
        * WebKit.vcproj/WebKit_Cairo.def:
        * WebKit.vcproj/WebKit_debug.def:

2009-02-24  Sam Weinig  <sam@webkit.org>

        Reviewed by Geoffrey Garen.

        Related to <rdar://problem/6590295>
        Allow disabling javascript: urls.

        * Interfaces/IWebViewPrivate.idl:
        * WebView.cpp:
        (WebView::setJavaScriptURLsAreAllowed):
        * WebView.h:

2009-02-24  Adam Roben  <aroben@apple.com>

        Windows build fix

        * WebKit.vcproj/WebKit.def:
        * WebKit.vcproj/WebKit_debug.def:
        Export WTF::ThreadCondition::timedWait.

2009-02-12  Brady Eidson  <beidson@apple.com>

        Reviewed by Kevin Decker

        <rdar://problem/6582180> - Wrong HTTP method applied to history item.

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::updateGlobalHistory): Check the original request, not any
          redirected request.

2009-02-11  Brady Eidson  <beidson@apple.com>

        Fix my last checkin for more effect.

        * WebHistoryItem.cpp:
        (WebHistoryItem::initFromDictionaryRepresentation):

2009-02-11  Adam Roben  <aroben@apple.com>

        Windows fix for Bug 22239: Implement missing animation & transition
        APIs on LayoutTestController for non-mac platforms

        <https://bugs.webkit.org/show_bug.cgi?id=22239>

        Reviewed by Simon Fraser.

        * Interfaces/IWebFramePrivate.idl: Added pauseAnimation,
        pauseTransition, and numberOfActiveAnimations.

        * WebFrame.cpp:
        (WebFrame::pauseAnimation):
        (WebFrame::pauseTransition):
        (WebFrame::numberOfActiveAnimation):
        Added. These all call through to AnimationController.

        * WebFrame.h: Added pauseAnimation, pauseTransition, and
        numberOfActiveAnimations.

2009-02-11  Brady Eidson  <beidson@apple.com>

        Reviewed by Mark Rowe

        <rdar://problem/6570573> Some visit counts in History.plist have insanely high values, can roll over to negative

        Remove the item from the date caches before registering the visit.  Otherwise it might not be successfully removed 
        and when we add it back later it will exist in the list twice.  This will cause the entry to be written out twice,
        which would lead to doubling (or more!) the visit count on next launch when these multiple items are merged.

        * WebHistory.cpp:
        (WebHistory::loadHistoryGutsFromURL):
        (WebHistory::addItems):
        (WebHistory::addItem): Add a mode that allows the entry being added to be discarded if an entry for the URL already 
          exists.  Use that mode when reading the History.plist so only the most recent entry for a given URL will be used.
        (WebHistory::visitedURL): Swap the removeItemFromDateCaches and visitedWithTitle calls.
        * WebHistory.h:

        * WebHistoryItem.cpp:
        (WebHistoryItem::initFromDictionaryRepresentation):  Add the negative-visit-count-correction-logic as implemented
          for Mac in http://trac.webkit.org/changeset/40851.

2009-02-11  Dimitri Dupuis-latour  <dupuislatour@apple.com>

        Stub out WebInspectorClient::hiddenPanels.

        Reviewed by Timothy Hatcher.

        * WebCoreSupport/WebInspectorClient.cpp:
        (WebInspectorClient::hiddenPanels):
        * WebCoreSupport/WebInspectorClient.h:

2009-02-11  Adam Roben  <aroben@apple.com>

        Don't release the shared WebHistory instance on quit

        This matches Mac, and prevents a race condition when the process exits
        that depends on the order in which global destructors are invoked.

        Reviewed by Alexey Proskuryakov.

        * WebHistory.cpp:
        (sharedHistoryStorage): Changed to use DEFINE_STATIC_LOCAL so the
        destructor is never called.

2009-02-10  Adam Roben  <aroben@apple.com>

        Fix recursive WebView destruction when running DumpRenderTree

        DumpRenderTree would call DestroyWindow on a WebView's host window,
        which would send a WM_DESTROY message to the WebView's window. Inside
        the WebView's WndProc, we would hold a ref to the WebView, then call
        close() and revokeDragDrop(), which would release all remaining
        references to the WebView other than the ref we held in the WndProc.
        When the WndProc exited, the final ref to the WebView would be
        released, invoking WebView's destructor. At this point,
        IsWindow(m_viewWindow) would return true, since we were still in the
        process of handling WM_DESTROY, so we would call DestroyWindow on the
        WebView's window again, re-entering the WndProc and re-reffing the
        WebView, leading to recursive destruction.

        Reviewed by Alexey Proskuryakov.

        * WebView.cpp:
        (WebView::~WebView): Don't call DestroyWindow if our window is already
        being destroyed.
        (WebViewWndProc): Only hold an extra ref to the WebView when we're not
        being destroyed.

2009-02-06  Adam Roben  <aroben@apple.com>

        Build fix

        Reviewed by Sam Weinig.

        * WebCoreSupport/WebFrameLoaderClient.cpp: Added missing #include.
        (WebFrameLoaderClient::updateGlobalHistoryRedirectLinks): Removed
        incorrect .get(), and changed to use the new overload of
        WebHistory::itemForURLString.

        * WebHistory.cpp:
        (WebHistory::itemForURLString): Made this const.
        (WebHistory::itemForURLString): Added an overload that takes a
        WebCore::String and returns the IWebHistoryItem instead of using an
        out parameter.

        * WebHistory.h: Added public overload of itemForURLString.

        * WebView.cpp:
        (WebView::prepareCandidateWindow):
        (WebView::onIMERequestCharPosition):
        (WebView::onIMERequestReconvertString):
        Updated for toRange -> toNormalizedRange rename.

2009-02-06  Geoffrey Garen  <ggaren@apple.com>

        Reviewed by Sam Weinig.

        Part III of <rdar://problem/6552272>.
        
        Refactored to use the redirect data WebCore makes available, instead of
        tracking loading state in WebKit.
        
        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::updateGlobalHistory):
        (WebFrameLoaderClient::updateGlobalHistoryRedirectLinks):
        * WebCoreSupport/WebFrameLoaderClient.h:
        * WebHistory.cpp:
        (WebHistory::visitedURL):
        * WebHistory.h:

2009-02-06  Dan Bernstein  <mitz@apple.com>

        Reviewed by Anders Carlsson.

        - fix an assertion failure in Vector::at() beneath
          WebHistoryItem::dictionaryRepresentation.

        * WebHistoryItem.cpp:
        (WebHistoryItem::dictionaryRepresentation): Give the numbers vector initial
        size. Also reduced the inline capacity of the vector used for weekly visit
        counts to 5, which is the expected maximum size.

2009-02-06  Brent Fulgham  <bfulgham@webkit.org>

        Build fix.  

        * WebKit.vcproj/WebKit.vcproj: Re-enable missing file in Release
          target of Cairo.

2009-02-06  Maciej Stachowiak  <mjs@apple.com>

        Rubber stamped by Dan Bernstein.

        - fix obvious problem in previous commit (|| used instead of &&)

        * WebHistoryItem.cpp:
        (WebHistoryItem::initFromDictionaryRepresentation):

2009-02-05  Maciej Stachowiak  <mjs@apple.com> and Brady Eidson  <beidson@apple.com>

        Reviewed by Dan Bernstein and Geoff Garen..

        - WebKit code to track per-day and per-week visit counts in history

        For now this data is only exposed via SPI for performance reasons.

        * Interfaces/IWebHistoryItemPrivate.idl: Added new interface.
        * WebHistory.cpp:
        (WebHistory::visitedURL): Use new recordInitialVisit method.
        * WebHistoryItem.cpp:
        (WebHistoryItem::initFromDictionaryRepresentation): Add parsing support
        for new data.
        (WebHistoryItem::dictionaryRepresentation): Add saving support for
        new data.
        (WebHistoryItem::getDailyVisitCounts): SPI accessor.
        (WebHistoryItem::getWeeklyVisitCounts): SPI accessor.
        (WebHistoryItem::recordInitialVisit): Tell WebCore to record an initial visit.
        * WebHistoryItem.h:

2009-02-05  Brent Fulgham  <bfulgham@webkit.org>

        Reviewed by Sam Weinig <sam@webkit.org>

        Build fix.  Update file for recently removed EventTargetNodeCast.
        * DOMCoreClasses.cpp:
        (DOMNode::dispatchEvent):

2009-02-05  Aaron Boodman  <aa@chromium.org>

        Reviewed by Dave Hyatt.

        https://bugs.webkit.org/show_bug.cgi?id=23708
        Adds documentElementAvailable() callback to FrameLoaderClient.

        * WebFrame.cpp:
        (WebFrame::documentElementAvailable):
        Stub out documentElementAvailable()
        * WebFrame.h:
        Ditto.

2009-02-04  Geoffrey Garen  <ggaren@apple.com>

        Build fix.

        * WebHistory.cpp:
        (WebHistory::visitedURL):

2009-02-04  Geoffrey Garen  <ggaren@apple.com>

        Reviewed by Mark Rowe.
        
        Part I of <rdar://problem/6552272>.

        Clear the redirectURLs entry when first visiting a site, so sites that
        only redirect you the first time you visit them can later learn that
        they don't redirect.

        * WebHistory.cpp:
        (WebHistory::visitedURL):

2009-02-03  Geoffrey Garen  <ggaren@apple.com>

        Build fix.

        * WebHistory.cpp:
        (WebHistory::visitedURL):

2009-02-02  Geoffrey Garen  <ggaren@apple.com>

        Build fix.

        * WebHistory.cpp:
        (WebHistory::visitedURL):

2009-02-02  Hiroaki Nakamura <hnakamur@gmail.com>

        Reviewed by Adam Roben.

        Fixes https://bugs.webkit.org/show_bug.cgi?id=15813
        Modify pre-build step to properly handle the errorlevel
        shell command.

        * WebKit.vcproj/WebKit.vcproj: Change errorlevel handling
        for all targets so prefast is only enabled in builds
        where /analyze is available.

2009-02-02  Geoffrey Garen  <ggaren@apple.com>

        Reviewed by Sam Weinig.

        Track redirects in global history.

        * Interfaces/IWebFramePrivate.idl: Updated for WebCore rename.

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::updateGlobalHistory):
        (WebFrameLoaderClient::updateGlobalHistoryForRedirectWithoutHistoryItem):
        Store redirect information in global history.

        (WebFrameLoaderClient::loadURLIntoChild): Updated for extra parameter.

        * WebCoreSupport/WebFrameLoaderClient.h: See above.

        * WebFrame.cpp:
        (WebFrame::loadRequest):
        (WebFrame::loadData): Updated for extra parameter.

        * WebHistory.cpp:
        (WebHistory::visitedURL):
        (WebHistory::visitedURLForRedirectWithoutHistoryItem): Store redirect
        information in global history.

        * WebHistory.h: See above.

2009-02-02  Brady Eidson  <beidson@apple.com>

        Reviewed by Dan Bernstein

        Transition Windows WebHistory to using the same "update already existing History Items" technique that Mac does.

        * Interfaces/IWebHistoryItemPrivate.idl:
        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::updateGlobalHistory):

        * WebHistory.cpp:
        (WebHistory::visitedURL):
        * WebHistory.h:

        * WebHistoryItem.cpp:
        (WebHistoryItem::visitedWithTitle):
        * WebHistoryItem.h:

2009-02-02  Anders Carlsson  <andersca@apple.com>

        Fix build.
        
        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::createPlugin):
        * WebCoreSupport/WebFrameLoaderClient.h:

2009-02-02  Anders Carlsson  <andersca@apple.com>

        Reviewed by Dan Bernstein.

        Update for changes to WebCore.

        * WebFrame.cpp:
        (WebFrame::createJavaAppletWidget):
        * WebFrame.h:

2009-02-02  Holger Hans Peter Freyther  <zecke@selfish.org>

        Reviewed by Darin Adler.

        Move Frame::forceLayout, Frame::adjustPageHeight and Frame::forceLayoutWithPageWidthRange to FrameView

        https://bugs.webkit.org/show_bug.cgi?id=23428

        FrameView::forceLayout could be killed but the comment might
        contain a value over the the plain FrameView::layout...

        Adjust the WebCore/WebKit consumers of these methods.

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::forceLayout):

2009-01-31  Matt Lilek  <webkit@mattlilek.com>

        Not reviewed, build fixes.

        * WebCoreSupport/WebContextMenuClient.cpp:
        (WebContextMenuClient::searchWithGoogle):
        * WebFrame.cpp:
        (WebFrame::setInPrintingMode):
        (WebFrame::isFrameSet):
        * WebView.cpp:
        (WebView::notifyPreferencesChanged):

2009-01-30  Adam Barth  <abarth@webkit.org>

        Reviewed by Sam Weinig.

        Add a pref to disable web security.

        * Interfaces/IWebPreferencesPrivate.idl:
        * WebPreferenceKeysPrivate.h:
        * WebPreferences.cpp:
        (WebPreferences::initializeDefaultSettings):
        (WebPreferences::isWebSecurityEnabled):
        (WebPreferences::setWebSecurityEnabled):
        * WebPreferences.h:
        * WebView.cpp:
        (WebView::notifyPreferencesChanged):

2009-01-30  Geoffrey Garen  <ggaren@apple.com>

        Build fix.

        * Interfaces/IWebFramePrivate.idl:
        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::loadURLIntoChild):

2009-01-30  Holger Hans Peter Freyther  <zecke@selfish.org>

        Reviewed by Simon Hausmann.

        Kill FrameLoaderClient.cpp, move the code over to Frame::createView

        FrameLoaderClient is supposed to be an interface, move the
        to be shared code to Frame which is a controller and is
        allowed to create a FrameView.

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::transitionToCommittedForNewPage):

2009-01-30  Brady Eidson  <beidson@apple.com>

        Reviewed by Sam Weinig

        Remove FrameLoaderClient code that is now handled by FrameLoader itself

        * WebFrame.cpp:
        (WebFrame::frameLoadCompleted):

2009-01-29  Sam Weinig  <sam@webkit.org>

        Fix Windows build

        * WebHistoryItem.cpp:
        (WebHistoryItem::initFromDictionaryRepresentation):

2009-01-29  Sam Weinig  <sam@webkit.org>

        Reviewed by Anders Carlsson.

        Second step in tracking the urls a HistoryItem was redirected through
        Add SPI to access the array of redirect urls associated with a HistoryItem.

        * Interfaces/IWebHistoryItemPrivate.idl:
        * WebHistoryItem.cpp:
        (WebHistoryItem::dictionaryRepresentation):
        (WebHistoryItem::redirectURLs):
        * WebHistoryItem.h:

2009-01-29  Sam Weinig  <sam@webkit.org>

        Reviewed by Mark Rowe.

        First step in tracking the urls a HistoryItem was redirected through.

        * WebHistoryItem.cpp:
        (WebHistoryItem::initFromDictionaryRepresentation):
        (WebHistoryItem::dictionaryRepresentation):

2009-01-29  Adam Roben  <aroben@apple.com>

        Fix Bug 23623: Windowed Flash instances aren't captured when a WebView
        receives a WM_PRINTCLIENT message

        <https://bugs.webkit.org/show_bug.cgi?id=23623>
        <rdar://problem/6513921>
        <rdar://problem/6536874>

        Reviewed by Darin Adler.

        * WebFrame.cpp:
        (WebFrame::paintDocumentRectToContext):
        (WebFrame::spoolPages):
        Call GraphicsContext::setShouldIncludeChildWindows so that child
        windows will be painted into the GraphicsContext rather than painted
        directly to the screen.

        * WebView.cpp:
        (WebView::updateBackingStore): Added a windowsToPaint parameter, which
        we pass along to paintIntoBackingStore.

        (WebView::paint): Tell updateBackingStore to paint child windows if
        we're not painting to the screen.

        (WebView::paintIntoBackingStore): Added a windowsToPaint paramter,
        which we use to tell our GraphicsContext whether or not to include
        child windows.

        * WebView.h: Added windowsToPaint parameters to paintIntoBackingStore
        and updateBackingStore (which I also made private).

2009-01-29  Adam Roben  <aroben@apple.com>

        Build fix after r40353

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::loadURLIntoChild): Removed the check for
        FrameLoadTypeReloadAllowingStaleData.

2009-01-28  Geoffrey Garen  <ggaren@apple.com>

        Reviewed by Sam Weinig.

        Updated for WebCore rename.
        
        * WebView.cpp:
        (WebView::setCustomTextEncodingName):

2009-01-27  Brady Eidson  <beidson@apple.com>

        Reviewed by Dan Bernstein

        Rework FrameLoaderClient to work on a CachedFrame basis instead of CachedPage

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::savePlatformDataToCachedFrame):
        (WebFrameLoaderClient::transitionToCommittedFromCachedFrame):
        * WebCoreSupport/WebFrameLoaderClient.h:

        * WebFrame.cpp:
        * WebFrame.h:

2009-01-26  Adam Roben  <aroben@apple.com>

        Fix an assertion failure when Safari loads an error page

        Reviewed by Alexey Proskuryakov.

        * WebFrame.cpp:
        (WebFrame::loadData): Use the two-argument version of KURL and
        MarshallingHelpers::BSTRToKURL, for reasons mentioned in r40248.

2009-01-26  Adam Roben  <aroben@apple.com>

        Fix an assertion on launch in KURL::KURL

        All URL strings passed in to the WebKit API need to be passed to
        MarshallingHelpers::BSTRToKURL so that they may be properly parsed.

        Reviewed by Alexey Proskuryakov.

        * MarshallingHelpers.cpp:
        (MarshallingHelpers::BSTRToKURL): Changed to use the two-argument
        constructor for KURL so that the strings will be parsed rather than
        assumed to be in the correct encoding/form.

        * WebResource.cpp:
        (WebResource::initWithData):
        * WebURLResponse.cpp:
        (WebURLResponse::initWithURL):
        * WebView.cpp:
        (WebView::userAgentForURL):
        (WebView::copyURL):
        Changed to use MarshallingHelpers::BSTRToKURL instead of trying to do
        the work manually.

2009-01-25  Darin Adler  <darin@apple.com>

        Try to fix Windows build.

        * WebView.cpp: Added FloatQuad.h.

2009-01-23  Brent Fulgham  <bfulgham@webkit.org>

        Reviewed by Darin Adler

        https://bugs.webkit.org/show_bug.cgi?id=23492
        Exclude calls to WebKitSystemInterface functions when not
        using CoreGraphics.

        * WebPreferences.cpp:
        (WebPreferences::setFontSmoothing): 
        (WebPreferences::setFontSmoothingContrast):
        * WebTextRenderer.cpp:
        (WebTextRenderer::registerPrivateFont):

2009-01-23  Brady Eidson  <beidson@apple.com>

        Rubberstamped by Darin Adler

        Rename CachedPagePlatformData to CachedFramePlatformData to more accurately reflect its true role.

        * WebCachedFramePlatformData.h: Copied from WebKit/win/WebCachedPagePlatformData.h.
        (WebCachedFramePlatformData::WebCachedFramePlatformData):
        * WebCachedPagePlatformData.h: Removed.

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::savePlatformDataToCachedPage):

        * WebKit.vcproj/WebKit.vcproj:

2009-01-22  Eric Roman  <eroman@chromium.org>

        Reviewed by Eric Seidel.

        https://bugs.webkit.org/show_bug.cgi?id=20806
        Deprecate RSSFeedReferrer() and setRSSFeedReferrer().

        * WebHistoryItem.cpp:
        (WebHistoryItem::RSSFeedReferrer):
        (WebHistoryItem::setRSSFeedReferrer):

2009-01-19  Sam Weinig  <sam@webkit.org>

        Rubber-stamped by Gavin Barraclough.

        Remove temporary operator-> from JSValuePtr.

        * WebScriptCallFrame.cpp:
        (WebScriptCallFrame::jsValueToString):
        * WebView.cpp:
        (WebView::stringByEvaluatingJavaScriptFromString):

2009-01-19  Adam Roben  <aroben@apple.com>

        Windows build fix

        * DOMCoreClasses.cpp: Replaced "using namespace WebCore" with
        individual using directives for each type we need from that namespace,
        to avoid conflicts between DOMObject and WebCore::DOMObject.
        (DOMElement::font): Added a now-needed WebCore::.

2009-01-17  Steve Falkenburg  <sfalken@apple.com>

        Build fix.

        * WebCoreSupport/WebDragClient.cpp:
        (WebDragClient::createDragImageForLink):

2009-01-17  David Hyatt  <hyatt@apple.com>

        Eliminate dependencies on backslashAsCurrencySymbol from WebKit.

        Reviewed by Oliver Hunt

        * WebFrame.cpp:
        (WebFrame::selectedString):

2009-01-16  Steve Falkenburg  <sfalken@apple.com>

        <rdar://problem/6502511> Safari crashes if it's running while the desktop theme is changed.
        
        This was caused by mismatched ENABLE definitions across WebCore and WebKit.
        
        Several virtual methods were added to RenderTheme.h, conditionalized by ENABLE(VIDEO).
        In addition to adding ENABLE_VIDEO to WebKit, this change also adds ENABLE_DATABASE and ENABLE_ICONDATABASE
        to Windows WebCore/WebKit, and adds ENABLE_WORKERS, and several ENABLE_SVG_ flags to WebKit on Windows.
        Our Windows ENABLE flags now match Mac.
        
        Reviewed by Adele Peterson.

        * WebKit.vcproj/WebKit.vcproj:

2009-01-15  Adele Peterson  <adele@apple.com>

        Reviewed by Darin Adler.
        
        Fix for https://bugs.webkit.org/show_bug.cgi?id=21799
        <rdar://problem/6310684> Crash in dumpFramesAsText() when running http/tests/security/cross-origin-xsl-BLOCKED.html
        
        Return S_OK or E_FAIL based on the result from CreateInstance.
        This was causing DumpRenderTree to not realize it had just gotten a null documentElement.
        
        * DOMCoreClasses.cpp: Made all functions that return the result of CreateInstance consistent.
        (DOMNode::parentNode):
        (DOMNode::ownerDocument):
        (DOMNodeList::item):
        (DOMDocument::documentElement):
        (DOMDocument::createElement):
        (DOMDocument::getElementsByTagName):
        (DOMDocument::getElementsByTagNameNS):
        (DOMDocument::getElementById):
        (DOMDocument::getComputedStyle):
        (DOMDocument::createEvent):
        (DOMElement::style):

2009-01-14  Adele Peterson  <adele@apple.com>

        Reviewed by Darin Adler.

        Fix for https://bugs.webkit.org/show_bug.cgi?id=23335
        <rdar://problem/6247650> Update <input type="search"> for RenderThemeWin
        
        Added artwork.
        
        * WebKit.vcproj/WebKit.rc:
        * WebKit.vcproj/WebKit.vcproj:
        * WebKit.vcproj/resource.h:
        * WebKit.vcproj/searchCancel.png: Added.
        * WebKit.vcproj/searchCancelPressed.png: Added.
        * WebKit.vcproj/searchMagnifier.png: Added.
        * WebKit.vcproj/searchMagnifierResults.png: Added.
        * WebKitDLL.cpp:(loadResourceIntoBuffer):

2009-01-14  Dan Bernstein  <mitz@apple.com>

        Reviewed by John Sullivan.

        - update copyright

        * WebKit.resources/Info.plist:
        * WebKit.vcproj/WebKit.rc:

2009-01-13  Steve Falkenburg  <sfalken@apple.com>

        Build fix.

        * WebScriptCallFrame.cpp:
        (WebScriptCallFrame::jsValueToString):

2009-01-12  Brady Eidson  <beidson@apple.com>

        Reviewed by Dan Bernstein
        
        <rdar://problem/6490446> - Crash when going back to a cached page

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::savePlatformDataToCachedPage):  ENABLE(CFNETWORK) needed to be USE(CFNETWORK)

2009-01-12  Brady Eidson  <beidson@apple.com>

        Reviewed by Darin Adler

        <rdar://problem/6468274> - Track Non-get requests in global history

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::updateGlobalHistory):

        * WebHistory.cpp:
        (WebHistory::addItem):
        * WebHistory.h:

        * Interfaces/IWebHistoryItemPrivate.idl:
        * WebHistoryItem.cpp:
        (WebHistoryItem::initFromDictionaryRepresentation):
        (WebHistoryItem::dictionaryRepresentation):
        (WebHistoryItem::lastVisitWasHTTPNonGet):
        (WebHistoryItem::setLastVisitWasHTTPNonGet):
        * WebHistoryItem.h:

2009-01-12  Julien Chaffraix  <jchaffraix@pleyo.com>

        Reviewed by Darin Adler.

        Bug 22861: Turn the FontCache into a singleton
        https://bugs.webkit.org/show_bug.cgi?id=22861

        * WebCoreStatistics.cpp:
        (WebCoreStatistics::cachedFontDataCount):
        (WebCoreStatistics::cachedFontDataInactiveCount):
        (WebCoreStatistics::purgeInactiveFontData):
        Redirected all the static calls to the global FontCache
        instance.

2009-01-11  Dmitry Titov  <dimich@chromium.org>

        Reviewed by Darin Adler.

        https://bugs.webkit.org/show_bug.cgi?id=23207
        Moved currentTime() to from WebCore to WTF.

        * WebDownload.cpp: a different header file included.
        * WebDropSource.cpp: a different header file included.

2009-01-09  Darin Adler  <darin@apple.com>

        Reviewed by Jon Honeycutt.

        Bug 22913: REGRESSION: Space bar doesn't scroll on windows
        https://bugs.webkit.org/show_bug.cgi?id=22913
        rdar://problem/6479834

        * WebView.cpp:
        (WebView::keyPress): Removed code to handle space bar here; put it in
        WebCore instead.

2009-01-09  Brent Fulgham  <bfulgham@gmail.com>

        Reviewed by Adam Roben.

        Fixes: http://bugs.webkit.org/show_bug.cgi?id=23092
        Separate CFNetwork-specific code in WebKit.dll into separate
        implementation files. Create cURL stub files to be populated
        with new implementation in a future bug report. 

        * WebCookieManager.cpp: Move CFNetwork-specific routines to
          the new WebCookieManagerCFNet.cpp file.
        (WebCookieManager::Release):
        * WebCookieManagerCFNet.cpp: Copied from WebCookieManager.cpp.
        (WebCookieManager::cookieStorage):
        * WebCookieManagerCurl.cpp: Added.
        (WebCookieManager::cookieStorage):
        (WebCookieManager::setCookieStorage):
        * WebCoreSupport/WebFrameLoaderClient.cpp: Conditionalize two
          methods in this file.
        (WebFrameLoaderClient::dispatchDidReceiveAuthenticationChallenge):
        (WebFrameLoaderClient::savePlatformDataToCachedPage):
        * WebDownload.cpp: Move CFNetwork-specific logic to the new
          WebDownloadCFNet.cpp
        (WebDownload::bundleExtension):
        (WebDownload::bundleMagicNumber):
        (WebDownload::bundlePathForTargetPath):
        (WebDownload::extractResumeDataFromBundle): Made static class method
          so it could be used in WebDownload.cpp and WebDownloadCFNet.cpp
        (WebDownload::appendResumeDataToBundle): Made static class method
          so it could be used in WebDownload.cpp and WebDownloadCFNet.cpp
        * WebDownload.h:
        * WebDownloadCFNet.cpp: Copied from WebDownload.cpp.
        (WebDownload::initToResumeWithBundle):
        (WebDownload::setDestination):
        (didFailCallback):
        * WebDownloadCurl.cpp: Added.
        (WebDownload::init):
        (WebDownload::initWithRequest):
        (WebDownload::initToResumeWithBundle):
        (WebDownload::start):
        (WebDownload::cancel):
        (WebDownload::cancelForResume):
        (WebDownload::deletesFileUponFailure):
        (WebDownload::setDeletesFileUponFailure):
        (WebDownload::setDestination):
        (WebDownload::cancelAuthenticationChallenge):
        (WebDownload::continueWithoutCredentialForAuthenticationChallenge):
        (WebDownload::useCredential):
        * WebKit.vcproj/WebKit.vcproj: Modify Apple targets to exclude the
          new cURL files. Modify Cairo targets to exclude CFNet files.
        * WebMutableURLRequest.cpp: Conditionalize the single method
          with a CFNetwork-speicic call.
        (WebMutableURLRequest::mutableCopy):
        * WebURLAuthenticationChallenge.cpp: Conditionalize one line that
          causes build problems for cURL. This will be removed later.
        (WebURLAuthenticationChallenge::initWithProtectionSpace):
        * WebURLAuthenticationChallengeSender.cpp:
        * WebURLAuthenticationChallengeSenderCFNet.cpp: Copied from WebURLAuthenticationChallengeSender.cpp.
        (WebURLAuthenticationChallengeSender::useCredential):
        * WebURLAuthenticationChallengeSenderCurl.cpp: Added.
        (WebURLAuthenticationChallengeSender::cancelAuthenticationChallenge):
        (WebURLAuthenticationChallengeSender::continueWithoutCredentialForAuthenticationChallenge):
        (WebURLAuthenticationChallengeSender::useCredential):
        * WebURLResponse.cpp: Exclude WebKitSystemInterface when compiling
          for the cURL target.

2009-01-09  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Darin Adler.

        Fix many appcache tests on Windows by making synchronous XMLHttpRequest throw on cache miss.

        * WebFrame.cpp: (WebFrame::cannotShowURLError): Implement, so that synchronous XHR can
        raise exceptions, as needed for AppCache tests. I do not know why this error was not
        implemented.

2009-01-09  Darin Adler  <darin@apple.com>

        Reviewed and landed by Adele Peterson.

        Bug 23160: add setMemoryCacheClientCallsEnabled SPI so Safari can be faster with activity window closed
        https://bugs.webkit.org/show_bug.cgi?id=23160

        * Interfaces/IWebViewPrivate.idl: Added setMemoryCacheDelegateCallsEnabled.
        * WebView.cpp:
        (WebView::setMemoryCacheDelegateCallsEnabled): Ditto.
        * WebView.h: Ditto.

2009-01-08  Dan Bernstein  <mitz@apple.com>

        Reviewed by Adam Roben.

        - WebPreferences changes to support Core Graphics native glyph drawing

        * Interfaces/IWebPreferencesPrivate.idl: Added font smoothing contrast
        getter and setter.
        * WebPreferenceKeysPrivate.h: Added
        WebKitFontSmoothingContrastPreferenceKey.
        * WebPreferences.cpp:
        (WebPreferences::initializeDefaultSettings): Initialized
        WebKitFontSmoothingContrastPreferenceKey to 2.
        (WebPreferences::setFloatValue): Added.
        (WebPreferences::setFontSmoothing): Changed to map
        FontSmoothingTypeWindows to FontSmoothingTypeMedium.
        (WebPreferences::fontSmoothingContrast): Added.
        (WebPreferences::setFontSmoothingContrast): Added. Calls
        wkSetFontSmoothingContrast().
        * WebPreferences.h:

2009-01-08  Steve Falkenburg  <sfalken@apple.com>

        <rdar://problem/6474244> REGRESSION(39561-39603): Heap corruption when saving passwords?
        
        Reviewed by Adam Roben.

        * WebView.cpp:
        (WebViewWndProc): Hold a ref to the WebView inside the WNDPROC, since it could go away in an event handler.

2009-01-07  Jon Honeycutt  <jhoneycutt@apple.com>

        Fix a crash with querying a WebView for its global history item when
        its associated Page has no global history item.

        Reviewed by Dan Bernstein.

        * WebView.cpp:
        (WebView::globalHistoryItem): If the Page has no global history item,
        report 0.

2009-01-06  Adam Roben  <aroben@apple.com>

        Fix Bug 22262: Clicking close ("X") button in docked Web Inspector
        clears Web Inspector but doesn't close it

        <https://bugs.webkit.org/show_bug.cgi?id=22262>
        <rdar://problem/6371873>

        Reviewed by Darin Adler.

        * WebCoreSupport/WebInspectorClient.cpp:
        (WebInspectorClient::WebInspectorClient): Initialize new member.
        (WebInspectorClient::showWindow): Moved code from here to
        showWindowWithoutNotifications.
        (WebInspectorClient::closeWindow): Moved code from here to
        closeWindowWithoutNotifications.

        (WebInspectorClient::attachWindow):
        (WebInspectorClient::detachWindow):
        Record whether or not we should be attached, then close and reopen the
        window without notifying the InspectorController. Code that was in
        these functions moved to showWindowWithoutNotifications and
        closeWindowWithoutNotifications, respectively.

        (WebInspectorClient::closeWindowWithoutNotifications): Added. Code
        came from closeWindow and detachWindow.
        (WebInspectorClient::showWindowWithoutNotifications): Added. Code came
        from showWindow and attachWindow.

        * WebCoreSupport/WebInspectorClient.h: Added
        {close,show}WindowWithoutNotifications and m_shouldAttachWhenShown.

2009-01-06  Anders Carlsson  <andersca@apple.com>

        Reviewed by Sam Weinig.

        Add a way for application to provide custom, full frame, views for certain MIME types.
        
        * Interfaces/IWebEmbeddedView.idl:
        Add loading related methods.
        
        * Interfaces/IWebViewPrivate.idl:
        Add new registerEmbeddedViewMIMEType method.
        
        * WebCoreSupport/EmbeddedWidget.cpp:
        (EmbeddedWidget::didReceiveResponse):
        (EmbeddedWidget::didReceiveData):
        (EmbeddedWidget::didFinishLoading):
        (EmbeddedWidget::didFail):
        Implement these and call the IEmbeddedView methods.
        
        * WebCoreSupport/EmbeddedWidget.h:
        Inherit from PluginManualLoader.
        
        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::redirectDataToPlugin):
        Handle the case where the widget is an EnbeddedWidget.
        
        (WebFrameLoaderClient::shouldUsePluginDocument):
        Have this call WebView::shouldUseEmbeddedView.
        
        * WebView.cpp:
        (WebView::canShowMIMEType):
        Have this call WebView::shouldUseEmbeddedView.
        
        (WebView::registerEmbeddedViewMIMEType):
        Add the MIME type to the set.
        
        (WebView::shouldUseEmbeddedView):
        Given a MIME type, returns whether an embedded view should be used or not.
        
2009-01-06  David Kilzer  <ddkilzer@apple.com>

        BUILD FIX (r39641): Try to fix WebIconDatabase build errors #4

        * WebIconDatabase.cpp:
        (WebIconDatabase::isEnabled): Added 'WebIconDatabase::' to method
        signature.  (Another copy-paste error.)
        (WebIconDatabase::setEnabled): Ditto.
        * WebIconDatabase.h:
        (WebIconDatabase::startUpIconDatabase): Make private again.
        (WebIconDatabase::shutDownIconDatabase): Ditto.

2009-01-06  David Kilzer  <ddkilzer@apple.com>

        BUILD FIX (r39641): Try to fix build errors #3

        Try to fix the following (more specific) build errors:

            WebIconDatabase.cpp
            ..\WebIconDatabase.cpp(255) : error C2248: 'WebIconDatabase::shutDownIconDatabase' : cannot access private member declared in class 'WebIconDatabase'
                    ...\webkit\win\WebIconDatabase.h(61) : see declaration of 'WebIconDatabase::shutDownIconDatabase'
                    ...\webkit\win\WebIconDatabase.h(51) : see declaration of 'WebIconDatabase'
            ..\WebIconDatabase.cpp(255) : error C2352: 'WebIconDatabase::shutDownIconDatabase' : illegal call of non-static member function
                    ...\webkit\win\WebIconDatabase.h(61) : see declaration of 'WebIconDatabase::shutDownIconDatabase'
            ..\WebIconDatabase.cpp(258) : error C2248: 'WebIconDatabase::startUpIconDatabase' : cannot access private member declared in class 'WebIconDatabase'
                    ...\webkit\win\WebIconDatabase.h(60) : see declaration of 'WebIconDatabase::startUpIconDatabase'
                    ...\webkit\win\WebIconDatabase.h(51) : see declaration of 'WebIconDatabase'
            ..\WebIconDatabase.cpp(258) : error C2352: 'WebIconDatabase::startUpIconDatabase' : illegal call of non-static member function
                    ...\webkit\win\WebIconDatabase.h(60) : see declaration of 'WebIconDatabase::startUpIconDatabase'

        * WebIconDatabase.cpp:
        (setEnabled): Get instance of shared WebIconDatabase, then call
        startUp/shutDown methods on it.
        * WebIconDatabase.h:
        (WebIconDatabase::startUpIconDatabase): Make protected again.
        (WebIconDatabase::shutDownIconDatabase): Ditto.

2009-01-06  David Kilzer  <ddkilzer@apple.com>

        BUILD FIX (r39641): Try to fix build errors again

        Try to fix the following build errors:

            WebIconDatabase.cpp
            ..\WebIconDatabase.cpp(255) : error C3861: 'shutDownIconDatabase': identifier not found
            ..\WebIconDatabase.cpp(258) : error C3861: 'startUpIconDatabase': identifier not found

        * WebIconDatabase.cpp:
        (setEnabled): Add class prefix to startUpIconDatabase() and
        shutDownIconDatabase().
        * WebIconDatabase.h:
        (WebIconDatabase::startUpIconDatabase): Make private again.
        (WebIconDatabase::shutDownIconDatabase): Ditto.

2009-01-06  David Kilzer  <ddkilzer@apple.com>

        BUILD FIX (r39641): Try to fix build error

        Try to fix the following build errors:

            WebIconDatabase.cpp
            ..\WebIconDatabase.cpp(255) : error C3861: 'shutDownIconDatabase': identifier not found
            ..\WebIconDatabase.cpp(258) : error C3861: 'startUpIconDatabase': identifier not found

        * WebIconDatabase.h:
        (WebIconDatabase::startUpIconDatabase): Make protected.
        (WebIconDatabase::shutDownIconDatabase): Ditto.

2009-01-06  David Kilzer  <ddkilzer@apple.com>

        BUILD FIX (r39641): Fix more silly errors

        Fixes the following compilation errors:

            WebIconDatabase.cpp
            ..\WebIconDatabase.cpp(85) : error C2065: 'standardPrefs' : undeclared identifier
            ..\WebIconDatabase.cpp(85) : error C2227: left of '->iconDatabaseLocation' must point to class/struct/union/generic type
                    type is ''unknown-type''
            ..\WebIconDatabase.cpp(241) : error C2575: 'isEnabled' : only member functions and bases can be virtual
            ..\WebIconDatabase.cpp(248) : error C2575: 'setEnabled' : only member functions and bases can be virtual
            ..\WebIconDatabase.cpp(253) : error C3861: 'shutDownIconDatabase': identifier not found
            ..\WebIconDatabase.cpp(256) : error C3861: 'startUpIconDatabase': identifier not found

        * WebIconDatabase.cpp:
        (WebIconDatabase::startUpIconDatabase): Redeclare standardPrefs
        since this was in init() but not in this method after it was
        extracted from init().
        (isEnabled): Don't use "virtual" in method implementation
        (silly copy-paste error).
        (setEnabled): Ditto.

2009-01-06  David Kilzer  <ddkilzer@apple.com>

        BUILD FIX (r39641): Remove STDMETHODCALLTYPE from method declarations in IWebIconDatabase.idl

        * Interfaces/IWebIconDatabase.idl: Removed "STDMETHODCALLTYPE"
        from silly copy-paste error in two method declarations.

2009-01-05  David Kilzer  <ddkilzer@apple.com>

        Add API to enable, disable and check state of WebIconDatabase

        Reviewed by Darin Adler & Timothy Hatcher.

        Add WebIconDatabase::isEnabled() and WebIconDatabase::setEnabled()
        API to make it possible to enable, disable and check the state of
        the icon database.

        * Interfaces/IWebIconDatabase.idl: Declared isEnabled() and
        setEnabled() methods.
        * WebIconDatabase.cpp:
        (WebIconDatabase::init): Extracted code into startUpIconDatabase().
        (WebIconDatabase::startUpIconDatabase): Added.  Extracted from
        init().
        (WebIconDatabase::shutDownIconDatabase): Added.  Method is empty
        since there is nothing to do yet on Windows.
        (isEnabled): Added.
        (setEnabled): Added.
        * WebIconDatabase.h: Added method declarations.

2009-01-05  Anders Carlsson  <andersca@apple.com>

        Reviewed by Jon Honeycutt.

        Pass more information in the property bag passed to embeddedViewWithArguments.
        
        * Interfaces/IWebUIDelegatePrivate.idl:
        Declare new keys.
        
        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::createPlugin):
        Pass the base URL, MIME type and the containing element to embeddedViewWithArguments.

2009-01-05  Anders Carlsson  <andersca@apple.com>

        Reviewed by Darin Adler, Jon Honeycutt.

        Add a templatized COMVariant constructor so we can make COMVariants out of
        everything that has a COMVariantSetter specialization.
        
        Add a COMVariantSetter specialization for COMVariant.
        
        * COMVariantSetter.h:
        (COMVariant::COMVariant):

2009-01-05  Brent Fulgham  <bfulgham@gmail.com>

        Reviewed by Oliver Hunt.

        Fixes: https://bugs.webkit.org/show_bug.cgi?id=23027

        Removes the WebKitGraphics files from the Cairo build, as well
        as excluding their link definitions.  These are not used outside
        of Safari, and should not be part of the 'Redistributable API.'

        * WebKit.vcproj/WebKit.vcproj:  Update *_Cairo targets to exclude
          the WebKitGraphics.cpp/.h files.
        * WebKit.vcproj/WebKit_Cairo.def: Added.  File without Safari
          link definitions.
        * WebKit.vcproj/WebKit_Cairo_debug.def: Added.  File without Safari
          link definitions.

2009-01-05  Anders Carlsson  <andersca@apple.com>

        Reviewed by Jon Honeycutt.

        Add a simple, memory managed, wrapper around a VARIANT struuct.
        
        * COMVariantSetter.h:
        (COMVariant::COMVariant):
        (COMVariant::~COMVariant):
        (COMVariant::operator=):
        (COMVariant::copyTo):
        (COMVariant::variantType):

2009-01-05  Adele Peterson  <adele@apple.com>

        Windows build fix.

        * WebCoreSupport/WebChromeClient.cpp:

2009-01-05  Anders Carlsson  <andersca@apple.com>

        Reviewed by Adam Roben.

        Make it possible to have per value variant types.
        
        * COMPropertyBag.h:
        (::Read):
        Call variantType here, passing in the value.
        
        (::GetPropertyInfo):
        Ditto.
        
        * COMVariantSetter.h:
        (COMVariantSetterBase::variantType):
        Add COMVariantSetterBase, whose variantType implementation just returns the
        VariantType variable. Make all existing classes inherit from COMVariantSetterBase.

2009-01-05  Adam Treat  <adam.treat@torchmobile.com>

        Fix win build

        * WebCoreSupport/WebChromeClient.h:

2009-01-05  Adam Treat  <adam.treat@torchmobile.com>

        Reviewed by George Staikos.

        Build fix for contentsSizeChanged

        * WebCoreSupport/WebChromeClient.cpp:
        (WebChromeClient::contentsSizeChanged):
        * WebCoreSupport/WebChromeClient.h:

2009-01-05  Anders Carlsson  <andersca@apple.com> 

        Reviewed by Kevin Decker.

        Use the ManualLoader class instead of assuming that the manual loader
        is a plug-in view.
        
        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::WebFrameLoaderClient):
        (WebFrameLoaderClient::setMainDocumentError):
        (WebFrameLoaderClient::committedLoad):
        (WebFrameLoaderClient::finishedLoading):
        (WebFrameLoaderClient::redirectDataToPlugin):
        * WebCoreSupport/WebFrameLoaderClient.h:

2009-01-04  Adam Treat  <adam.treat@torchmobile.com>

        Reviewed by George Staikos.

        Make the apple windows port build with the new fixedLayoutSize feature

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::transitionToCommittedForNewPage):

2008-12-20  Dan Bernstein  <mitz@apple.com>

        Reviewed by Ada Chan.

        - expose the new allItems() method via a new IWebHistoryPrivate
          interface

        * Interfaces/IWebHistoryPrivate.idl: Added.
        * Interfaces/WebKit.idl: Added IWebHistoryPrivate.idl.
        * WebHistory.cpp:
        (WebHistory::QueryInterface): Added IWebHistoryPrivate.
        (WebHistory::allItems):
        * WebHistory.h:

2008-12-19  Geoffrey Garen  <ggaren@apple.com>

        Build fix.

        * WebHistory.cpp:
        (WebHistory::allItems):

2008-12-19  Geoffrey Garen  <ggaren@apple.com>

        Reviewed by Darin Adler, Adele Peterson, Brady Eidson.
        
        Added SPI for getting an unsorted vector of all items in history.
        
        * WebHistory.cpp:
        (WebHistory::orderedItemsLastVisitedOnDay):
        (WebHistory::allItems):
        * WebHistory.h:

2008-12-18  Dan Bernstein  <mitz@apple.com>

        Reviewed by Sam Weinig.

        - implement FrameLoaderClient::shouldUseCredentialStorage() by calling
          a new resource load delegae method.

        * Interfaces/IWebResourceLoadDelegatePrivate.idl: Added
        a ne interface, IWebResourceLoadDelegatePrivate2, including a new
        method, shouldUseCredentialStorage().
        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::shouldUseCredentialStorage): Added. Calls the
        delegate method. If the method is unimplemented, returns true for
        backwards compatibility.
        * WebCoreSupport/WebFrameLoaderClient.h:

2008-12-18  Sam Weinig  <sam@webkit.org>

        Reviewed by John Sullivan.

        Implement FrameLoaderClient::dispatchDidFirstVisuallyNonEmptyLayout() by calling
        a new private frame load delegate method.

        * Interfaces/IWebFrameLoadDelegatePrivate.idl:
        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::dispatchDidFirstVisuallyNonEmptyLayout):
        * WebCoreSupport/WebFrameLoaderClient.h:

2008-12-16  Steve Falkenburg  <sfalken@apple.com>

        Windows build fix.
        
        Reviewed by Stephanie Lewis.

        * COMPropertyBag.h:
        (::createInstance):
        (::adopt):
        (::QueryInterface):
        (::AddRef):
        (::Release):
        (::Read):
        (::Write):
        (::CountProperties):
        (::GetPropertyInfo):
        (::LoadObject):
        * WebURLResponse.cpp:
        (WebURLResponse::allHeaderFields):

2008-12-16  Stephanie Lewis  <slewis@apple.com>

        Another Windows Build Fix.

        * WebURLResponse.cpp:
        (WebURLResponse::allHeaderFields):

2008-12-14  Dan Bernstein  <mitz@apple.com>

        Reviewed by Darin Adler.

        - Windows equivalent of <rdar://problem/3258561>
          WebHistoryAllItemsRemovedNotification should add items to userInfo

        * WebHistory.cpp:
        (WebHistory::removeAllItems): Changed to create an array of all items
        and send it in the notification.

2008-12-12  Brent Fulgham  <bfulgham@gmail.com>

        Reviewed by Oliver Hunt.

        Fixes: https://bugs.webkit.org/show_bug.cgi?id=22805

        Provides implementation of image drag for Windows Cairo back-end.
        Switch to generic PlatformGraphicsContext data type, rather than
        specific use of CoreGraphics types.

        * WebCoreSupport/WebDragClient.cpp:
        (WebDragClient::createDragImageForLink): Revise calls to use more
        generic PlatformGraphicsContext data types and calls for better
        portability.

2008-12-12  Steve Falkenburg  <sfalken@apple.com>

        Update Windows cache sizes to match recent Mac change.
        
        Reviewed by Stephanie Lewis, Sam Weinig.

        * WebView.cpp:
        (WebView::setCacheModel):

2008-12-12  Tor Arne Vestbø  <tavestbo@trolltech.com>

        Rubber-stamped by Oliver Hunt.

        Remove mutables from EmbeddedWidget

        We can do this now that frameRectsChanged() is no longer const

        * WebCoreSupport/EmbeddedWidget.h:

2008-12-11  Cameron Zwarich  <zwarich@apple.com>

        Rubber-stamped by Mark Rowe.

        Roll out r39212 due to assertion failures during layout tests, multiple
        layout test failures, memory leaks, and obvious incorrectness.

        * Interfaces/IWebPreferencesPrivate.idl:
        * WebPreferenceKeysPrivate.h:
        * WebPreferences.cpp:
        * WebPreferences.h:

2008-12-10  Glenn Wilson  <gwilson@google.com>

        Reviewed by Adam Roben.

        Added support for overriding default preferences per-test.
        https://bugs.webkit.org/show_bug.cgi?id=20534
        Two new methods were added: resetToDefaults and overridePreference.

        * Interfaces/IWebPreferencesPrivate.idl: new method signatures
        * WebPreferenceKeysPrivate.h: added new key for internal state
        * WebPreferences.cpp: added new methods
        (WebPreferences::overridePreference): new method
        (WebPreferences::resetToDefaults): new method
        * WebPreferences.h: new method signatures

2008-12-08  Tor Arne Vestbø  <tavestbo@trolltech.com>

        Reviewed by Darin Adler and Holger Freyther.

        Make Widget::frameRectsChanged() and overrides non-const

        This will hopefully allow us to get rid of some of the mutables in
        the classes that react to the callback by changing their own state.

        * WebCoreSupport/EmbeddedWidget.cpp:
        (EmbeddedWidget::frameRectsChanged):
        * WebCoreSupport/EmbeddedWidget.h:

2008-12-09  Brett Wilson  <brettw@chromium.org>

        Reviewed by Dave Hyatt.

        https://bugs.webkit.org/show_bug.cgi?id=22177

        Add a callback on ChromeClient that the state of form elements on
        the page has changed. This is to allow clients implementing session
        saving to know when the current state is dirty.

        * WebCoreSupport/WebChromeClient.h:
        (WebChromeClient::formStateDidChange):

ks2008-12-08  Dan Bernstein  <mitz@apple.com>

        Reviewed by Adam Roben.

        - Fix nightly builds

        * Interfaces/IWebViewPrivate.idl: Moved globalHistoryItem() to the end,
        so that it comes after all methods used by Safari 3.2.1.

2008-12-08  Dan Bernstein  <mitz@apple.com>

        Reviewed by John Sullivan.

        - WebKit/win part of tracking the global history item for a WebView

        * Interfaces/IWebViewPrivate.idl: Declared globalHistoryItem()
        * WebView.cpp:
        (WebView::globalHistoryItem): Added. Gets the page's global history
        item.
        * WebView.h:

2008-12-06  Simon Fraser  <simon.fraser@apple.com>

        Reviewed by Dave Hyatt

        https://bugs.webkit.org/show_bug.cgi?id=15671

        Renderer::caretRect() is now localCaretRect(), which needs
        converting to absolute coordinates (taking transforms into account).

        * WebView.cpp:
        (WebView::handleContextMenuEvent):

2008-12-05  Darin Adler  <darin@apple.com>

        Reviewed by Alexey Proskuryakov.

        - fix https://bugs.webkit.org/show_bug.cgi?id=22674
          Webkit r39005 does not start, an entry point not found

        * WebView.cpp:
        (findCFNetworkModule): Added.
        (findCopySharedURLCacheFunction): Added.
        (WebView::setCacheModel): Call CFURLCacheCopySharedURLCache via dynamic loading
        instead of compiling based on which version of CFNetwork headers are present.

2008-12-04  Steve Falkenburg  <sfalken@apple.com>

        Implement IPropertyBag2::Read.
        Fill in dwType for IPropertyBag2::GetPropertyInfo (we always use PROPBAG2_TYPE_DATA).
        https://bugs.webkit.org/show_bug.cgi?id=22659
        
        This fixes <rdar://problem/6419127> REGRESSION: Forms autocomplete is broken for "other forms"
        
        Reviewed by Ada Chan, Alice Liu.

        * COMPropertyBag.h:
        (::Read): Implemented.
        (::GetPropertyInfo): Set dwType to PROPBAG2_TYPE_DATA.

2008-12-02  Adam Roben  <aroben@apple.com>

        Export new-ish JSCore convenience constructor functions

        Reviewed by Jon Honeycutt.

        * WebKit.vcproj/WebKit.def:
        * WebKit.vcproj/WebKit_debug.def:
        Export JSObjectMakeArray, JSObjectMakeDate, and JSObjectMakeRegExp.
        Remove duplicate export of JSObjectMakeFunction.

2008-12-02  Michael Moss  <mmoss@chromium.org>

        Reviewed by Eric Seidel.

        - Fix http/tests/navigation/reload-subframe-*frame.html on Windows.
        https://bugs.webkit.org/show_bug.cgi?id=20926

        Change 31264 fixed this on Mac (since moved to WebCore/loader/FrameLoader.cpp), but was never ported to Windows.

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::loadURLIntoChild):

2008-12-01  Steve Falkenburg  <sfalken@apple.com>

        Implement renderedImage for Windows.
        https://bugs.webkit.org/show_bug.cgi?25648
        
        Reviewed by Adam Roben.

        * DOMCoreClasses.cpp:
        (DOMElement::renderedImage):
        * DOMCoreClasses.h:
        * Interfaces/DOMPrivate.idl:

2008-12-01  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Roben.

        NULL-check documentFrameView() and topDocumentFrameView() it's possible
        for either of these methods to return NULL, and this was seen to cause
        crashes in Chromium.
        https://bugs.webkit.org/show_bug.cgi?id=22572

        * AccessibleBase.cpp:
        (AccessibleBase::get_accParent):
        (AccessibleBase::accLocation):
        (AccessibleBase::accHitTest):

2008-11-30  Antti Koivisto  <antti@apple.com>

        Another Windows build fix.

        * WebCoreStatistics.cpp:
        (WebCoreStatistics::javaScriptObjectsCount):

2008-11-30  Antti Koivisto  <antti@apple.com>

        Windows build fix.

        * WebJavaScriptCollector.cpp:
        (WebJavaScriptCollector::objectCount):

2008-11-29  Brent Fulgham  <bfulgham@gmail.com>

        Reviewed by Alexey Proskuryakov.

        Remove Visual Studio project dependencies on non-redistributable
        components in the Debug_Cairo and Release_Cairo build targets.
        See https://bugs.webkit.org/show_bug.cgi?id=22527

        * WebKit.vcproj/WebKit.vcproj:
        * WebKit.vcproj/WebKit.sln: Instruct Cairo builds to not bother
          building the unused QuickTime support library.

2008-11-24  Glenn Wilson  <gwilson@chromium.org>

        Reviewed by Alexey Proskuryakov.

        http://bugs.webkit.org/show_bug.cgi?id=15643

        Added API support for the "trailing whitespace" work-around.  This includes an APIs
        to get and set the state of this configuration variable.

        * Interfaces/IWebView.idl:
        * WebCoreSupport/WebEditorClient.cpp:
        (WebEditorClient::selectTrailingWhitespaceEnabled):
        * WebCoreSupport/WebEditorClient.h:
        * WebView.cpp:
        (WebView::WebView):
        (WebView::setSelectTrailingWhitespaceEnabled):
        (WebView::selectTrailingWhitespaceEnabled):
        * WebView.h:

2008-11-24  Darin Adler  <darin@apple.com>

        Reviewed by Dan Bernstein.

        - https://bugs.webkit.org/show_bug.cgi?id=22470
          remove unneeded URL argument from FrameLoaderClient::updateGlobalHistory

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::updateGlobalHistory): Get the URL from the
        DocumentLoader, just as we do the title and the failure flag.
        * WebCoreSupport/WebFrameLoaderClient.h: Remove argument.

2008-11-24  Darin Adler  <darin@apple.com>

        Reviewed by Dan Bernstein.

        - finish https://bugs.webkit.org/show_bug.cgi?id=22295
          track which history items are from page load failures

        Last time around I did this only for the back/forward list and missed the
        global history list.

        * Interfaces/IWebHistoryItemPrivate.idl: Added setLastVisitWasFailure.

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::updateGlobalHistory): Added code to check for failure
        and pass the argument in to WebHistory.

        * WebHistory.cpp: (WebHistory::addItem): Added wasFailure argument.
        Set the flag on the newly created history item.
        * WebHistory.h: Ditto.

        * WebHistoryItem.cpp:
        (WebHistoryItem::setLastVisitWasFailure): Added.
        * WebHistoryItem.h: Ditto.

2008-11-24  Simon Fraser  <simon.fraser@apple.com>

        Fix call to Frame::selectionBounds in Windows build.

        * WebView.cpp:
        (WebView::selectionRect):

2008-11-21  Dimitri Glazkov  <dglazkov@chromium.org>

        Reviewed by Alexey Proskuryakov.

        Debug WebKit crashes on launch because of threading not being initialized early enough.

        * WebKitClassFactory.cpp: (WebKitClassFactory::WebKitClassFactory):
        Call JSC::InitializeThreading().

2008-11-19  Darin Fisher  <darin@chromium.org>

        Reviewed by Geoff Garen.

        https://bugs.webkit.org/show_bug.cgi?id=22345
        Define ScriptValue as a thin container for a JSC::Value*.

        * WebView.cpp:
        (WebView::stringByEvaluatingJavaScriptFromString):

2008-11-19  Adele Peterson  <adele@apple.com>

        Reviewed by Darin Adler.

        For transparent views, clear the dirty rect instead of painting it white.
        
        * WebView.cpp: (WebView::paintIntoBackingStore):

2008-11-18  Adele Peterson  <adele@apple.com>

        Reverting last change.  I just realized it causes the view to never get cleared out.

        * WebView.cpp: (WebView::paintIntoBackingStore):

2008-11-18  Adele Peterson  <adele@apple.com>

        Reviewed by John Sullivan.

        Don't fill the view with white if its transparent.
        
        * WebView.cpp: (WebView::paintIntoBackingStore):

2008-11-18  Holger Hans Peter Freyther  <zecke@selfish.org>

        Try to fix the Windows build. It is view and not webView.

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::transitionToCommittedForNewPage):

2008-11-18  Holger Hans Peter Freyther  <zecke@selfish.org>

        Reviewed by Simon Hausmann.

        Attempt to share transitionToCommittedForNewPage of FrameLoaderClient with the different ports

        After Hyatt's work on Widget and ScrollView there is little difference
        between the implementation of Qt, Gtk+ and Win. In fact any kind of
        difference is mostly a bug. Alp has fixed two of such errors for the Gtk+
        port and the Qt port has at least one of them left.

        The only difference between the implementations is in getting the the
        IntSize for the new FrameView, the background color to be applied and
        eventually some post processing.

        Unify the implementations by providing a static helper function that
        takes a Frame, IntSize, color and transparency bit and calling it from
        the Gtk+, the Qt and the Windows port.

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::transitionToCommittedForNewPage):

2008-11-18  Holger Hans Peter Freyther  <zecke@selfish.org>

        Reviewed by Simon Hausmann.

        https://bugs.webkit.org/show_bug.cgi?id=22056

        Move setting the background color and transparency from WebKit/win
        to WebCore. This allows WebKit/win, WebKit/Qt and WebKit/Gtk+
        to share this code.

        * WebFrame.cpp:
        (WebFrame::updateBackground):

2008-11-16  Geoffrey Garen  <ggaren@apple.com>

        Not reviewed.
        
        Try to fix Windows build.

        * WebCoreSupport/WebFrameLoaderClient.cpp:

2008-11-16  Darin Adler  <darin@apple.com>

        Reviewed by Dan Bernstein.

        - https://bugs.webkit.org/show_bug.cgi?id=22295
          track which history items are from page load failures

        * Interfaces/IWebHistoryItemPrivate.idl: Added lastVisitWasFailure function.

        * WebHistoryItem.cpp:
        (WebHistoryItem::initFromDictionaryRepresentation): Set the lastVisitWasFailure
        flag in the history item if the dictionary had an entry for lastVisitWasFailureKey.
        (WebHistoryItem::dictionaryRepresentation): Set the lastVisitWasFailureKey key
        in the dictionary if the history item had the lastVisitWasFailure flag.
        (WebHistoryItem::lastVisitWasFailure): Added.

        * WebHistoryItem.h: Added lastVisitWasFailure function.

2008-11-15  Geoffrey Garen  <ggaren@apple.com>

        Reviewed by Sam Weinig.
        
        Updated for JavaScriptCore renames.

        * WebScriptCallFrame.cpp:
        (WebScriptCallFrame::valueByEvaluatingJavaScriptFromString):

2008-11-14  Dan Bernstein  <mitz@apple.com>

        - try to fix the Windows build

        * WebCoreLocalizedStrings.cpp:
        (WebCore::contextMenuItemTagTextDirectionMenu): Added.

2008-11-13  Adam Roben  <aroben@apple.com>

        Fix Bug 22244: Webkit nightly builds crash with Safari 3.2

        <https://bugs.webkit.org/show_bug.cgi?id=22244>

        r36652 added IWebViewPrivate::clearMainFrameName into the middle of
        the IWebViewPrivate interface, which modifies the part of the
        IWebViewPrivate vtable that Safari 3.2 relies on.

        Reviewed by Dan Bernstein.

        * Interfaces/IWebViewPrivate.idl: Move clearMainFrameName to the end
        of the interface.

2008-11-11  Dan Bernstein  <mitz@apple.com>

        Reviewed by Adam Roben.

        WebKit/win part of adding a master volume control for media elements in a WebView
        * Interfaces/IWebViewPrivate.idl: Added setMediaVolume() and
        mediaVolume().
        * WebView.cpp:
        (WebView::setMediaVolume): Added.
        (WebView::mediaVolume): Added.
        * WebView.h:

2008-11-10  Adam Roben  <aroben@apple.com>

        Fix Bug 22158: Would like to turn on WebCore logging channels via an
        environment variable

        <https://bugs.webkit.org/show_bug.cgi?id=22158>

        Reviewed by Anders Carlsson.

        * WebView.cpp:
        (WebView::initWithFrame): Call WebCore's
        InitializeLoggingChannelsIfNecessary.

2008-11-08  Dan Bernstein  <mitz@apple.com>

        Reviewed by Darin Adler.

        - WebKit/win part of adding WebPreferences for controlling databases and local storage

        * Interfaces/IWebPreferencesPrivate.idl: Declared setDatabasesEnabled,
        databasesEnabled, setLocalStorageEnabled and localStorageEnabled.
        * WebPreferenceKeysPrivate.h: Added WebKitDatabasesEnabledPreferenceKey
        and WebKitLocalStorageEnabledPreferenceKey.
        * WebPreferences.cpp:
        (WebPreferences::initializeDefaultSettings): Made databases and local
        storage enabled by default.
        (WebPreferences::setDatabasesEnabled): Added.
        (WebPreferences::databasesEnabled): Added.
        (WebPreferences::setLocalStorageEnabled): Added.
        (WebPreferences::localStorageEnabled): Added.
        * WebPreferences.h:
        * WebView.cpp:
        (WebView::notifyPreferencesChanged): Transfer the databases and local
        storage preferences to WebCore settings.

2008-11-06  John Sullivan  <sullivan@apple.com>
    
        Eliminated one of the two booleans tracking whether zoom was text-only, to avoid future problems.
    
        Reviewed by Adam Roben

        * WebView.h:
        removed m_zoomMultiplierIsTextOnly
        
        * WebView.cpp:
        (WebView::WebView):
        removed initialization of m_zoomMultiplierIsTextOnly
        (WebView::setZoomMultiplier):
        use m_page->settings()->setZoomsTextOnly() instead of setting m_zoomMultiplierIsTextOnly
        (WebView::zoomMultiplier):
        use m_page->settings()->zoomsTextOnly() instead of reading m_zoomMultiplierIsTextOnly

2008-11-06  Adele Peterson  <adele@apple.com>

        Reviewed by Adam Roben.

        Add support for a WebKitZoomsTextOnly preference.

        * Interfaces/IWebPreferences.idl:
        * WebPreferenceKeysPrivate.h:
        * WebPreferences.cpp:
        (WebPreferences::setZoomsTextOnly):
        (WebPreferences::zoomsTextOnly):
        * WebPreferences.h:

        * WebView.cpp:
        (WebView::canMakeTextLarger): Consider the zoomsTextOnly setting when computing this.
        (WebView::makeTextLarger): ditto.
        (WebView::canMakeTextSmaller): ditto.
        (WebView::makeTextSmaller): ditto.
        (WebView::canMakeTextStandardSize): 
        Don't consider the setting in this case since we need to reset both text zoom and page zoom regardless of the setting.
        (WebView::makeTextStandardSize):
        (WebView::notifyPreferencesChanged): Set the WebCore settings to match the WebPreference for WebKitZoomsTextOnly.

2008-11-05  Dan Bernstein  <mitz@apple.com>

        Reviewed by John Sullivan.

        - make the {protocol,proxyType} argument of
          WebURLProtectionSpace::initWith{Proxy}Host actually work and fix
          assertion failures.

        * WebURLProtectionSpace.cpp:
        (WebURLProtectionSpace::initWithHost): The BString comparisons were
        applying the BString==BSTR operator to a right hand side that was
        actually a WCHAR string. Fixed by using BStrings on both sides.
        (WebURLProtectionSpace::initWithProxyHost): Ditto.

2008-11-01  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Darin Adler.

        https://bugs.webkit.org/show_bug.cgi?id=22030
        Make EventNames usable from multiple threads

        * WebView.cpp: (WebView::interpretKeyEvent): Access event names via eventNames() function.

2008-11-03  Cameron Zwarich  <zwarich@apple.com>

        Rubber-stamped by Maciej Stachowiak.

        Move more files into the runtime subdirectory of JavaScriptCore.

        * WebJavaScriptCollector.cpp:

2008-11-03  Dan Bernstein  <mitz@apple.com>

        Reviewed by Steve Falkenburg.

        - implement WebMutableURLRequest::setHTTPShouldHandleCookies()
        - add and implement WebMutableURLRequest::mutableCopy()

        * Interfaces/IWebURLRequest.idl:
        * WebMutableURLRequest.cpp:
        (WebMutableURLRequest::setHTTPShouldHandleCookies):
        (WebMutableURLRequest::mutableCopy):
        * WebMutableURLRequest.h:

2008-10-31  Dan Bernstein  <mitz@apple.com>

        Reviewed by John Sullivan.

        - WebKit/win part of <rdar://problem/6334641> Add WebView SPI for disabling document.cookie

        * Interfaces/IWebViewPrivate.idl:
        * WebView.cpp:
        (WebView::setCookieEnabled):
        (WebView::cookieEnabled):
        * WebView.h:

2008-10-31  Adele Peterson  <adele@apple.com>

        Reviewed by Darin Adler.

        WebKit Windows part of fix for <rdar://problem/5839256> FILE CONTROL: multi-file upload.
        https://bugs.webkit.org/show_bug.cgi?id=22008
        
        * WebCoreSupport/WebChromeClient.cpp: (WebChromeClient::runOpenPanel): 
        Add support for mulitple file selection.

2008-10-31  Darin Adler  <darin@apple.com>

        - try to fix build

        * WebView.cpp:
        (WebView::setCacheModel): Roll out the part of my last change
        that involved no longer using wkCopyFoundationCacheDirectory.

2008-10-30  Darin Adler  <darin@apple.com>

        Reviewed by Sam Weinig.

        - https://bugs.webkit.org/show_bug.cgi?id=21986
          <rdar://problem/6294285> adopt CFURLCopySharedURLCache

        * WebView.cpp:
        (WebView::setCacheModel): Use CFURLCopySharedURLCache if present.

2008-10-30  Dan Bernstein  <mitz@apple.com>

        Reviewed by Sam Weinig.

        - export WTFReportAssertionFailureWithMessage()

        * WebKit.vcproj/WebKit_debug.def:

2008-10-29  Steve Falkenburg  <sfalken@apple.com>

        <rdar://problem/6326563> Crash on launch
        
        For Windows, export explicit functions rather than exporting data for atomicallyInitializedStaticMutex.
        
        Exporting data from a DLL on Windows requires specifying __declspec(dllimport) in the header used by
        callers, but __declspec(dllexport) when defined in the DLL implementation. By instead exporting
        the explicit lock/unlock functions, we can avoid this.
        
        Fixes a crash on launch, since we were previously erroneously exporting atomicallyInitializedStaticMutex as a function.
        
        Reviewed by Darin Adler.

        * WebKit.vcproj/WebKit.def:
        * WebKit.vcproj/WebKit_debug.def:

2008-10-29  Jon Honeycutt  <jhoneycutt@apple.com>

        Export atomicallyInitializedStaticMutex.

        Rubber-stamped by Steve Falkenburg.

        * WebKit.vcproj/WebKit.def:
        * WebKit.vcproj/WebKit_debug.def:

2008-10-28  Cameron Zwarich  <zwarich@apple.com>

        Reviewed by Mark Rowe.

        Move ForwardingHeaders to their correct location after the creation of
        the runtime directory in JavaScriptCore.

        * WebScriptCallFrame.h:

2008-10-28  Adele Peterson  <adele@apple.com>

        Reviewed by John Sullivan.

        Fix for https://bugs.webkit.org/show_bug.cgi?id=21880
        "files" string for multifile uploads needs to be localized

        * WebCoreLocalizedStrings.cpp: (multipleFileUploadText):

2008-10-28  Adele Peterson  <adele@apple.com>

        Reviewed by Sam Weinig. 

        * English.lproj: Removed.
        * English.lproj/Localizable.strings: Removed.
        * WebKit.vcproj/WebKit.vcproj: Updated to use Localizable.strings in the top directory, to share with the Mac.

2008-10-28  Timothy Hatcher  <timothy@apple.com>

        Add IWebInspector methods to enable the profiler.

        https://bugs.webkit.org/show_bug.cgi?id=21927

        <rdar://problem/6211578> Make the JavaScript profiler opt-in, so it does
        not slow down JavaScript all the time

        Reviewed by Darin Adler and Kevin McCullough.

        * WebInspector.cpp:
        (WebInspector::isJavaScriptProfilingEnabled): Added. Calls InspectorController::profilerEnabled.
        (WebInspector::setJavaScriptProfilingEnabled): Added. Call InspectorController's disableProfiler
        or enableProfiler methods.
        * WebInspector.h:

2008-10-27  Timothy Hatcher  <timothy@apple.com>

        Rename a few methods related to attaching and detaching the debugger.

        * Rename attachDebugger to enableDebugger.
        * Rename detachDebugger to disableDebugger.
        * Rename the debuggerAttached getter to debuggerEnabled.

        Reviewed by Darin Adler.

        * WebInspector.cpp:
        (WebInspector::isDebuggingJavaScript):
        (WebInspector::toggleDebuggingJavaScript):

2008-10-24  Sam Weinig  <sam@webkit.org>

        Yet another windows build fix.

        * WebCoreSupport/WebChromeClient.cpp:

2008-10-24  Sam Weinig  <sam@webkit.org>

        Another windows build fix.

        * WebCoreSupport/WebChromeClient.cpp:

2008-10-24  Sam Weinig  <sam@webkit.org>

        Reviewed by Dan Bernstein.

        Fix https://bugs.webkit.org/show_bug.cgi?id=21759
        Layering violation: FileChooser should not depend on Document/Frame/Page

        * WebCoreSupport/WebChromeClient.cpp:
        (WebChromeClient::runOpenPanel):
        * WebCoreSupport/WebChromeClient.h:

2008-10-24  Timothy Hatcher  <timothy@apple.com>

        Implement new InspectorClient methods to work with Settings.

        https://bugs.webkit.org/show_bug.cgi?id=21856

        Reviewed by Adam Roben.

        * WebKit.vcproj/WebKit.vcproj: Add the new InspectorClientCF.cpp file.
        * WebCoreSupport/WebInspectorClient.h: Add the new methods.

2008-10-24  Darin Adler  <darin@apple.com>

        - finish rolling out https://bugs.webkit.org/show_bug.cgi?id=21732

        * WebScriptCallFrame.cpp:
        (WebScriptCallFrame::jsValueToString):
        (WebScriptCallFrame::stringByEvaluatingJavaScriptFromString):
        (WebScriptCallFrame::valueForVariable):
        (WebScriptCallFrame::valueByEvaluatingJavaScriptFromString):
        * WebScriptCallFrame.h:
        * WebView.cpp:
        (WebView::stringByEvaluatingJavaScriptFromString):
        Use JSValue* instead of JSValuePtr.

2008-10-22  Brent Fulgham  <bfulgham@gmail.com>

        Correct build regressions in Cairo port for Windows.
        http://bugs.webkit.org/show_bug.cgi?id=21724

        Reviewed by Adam Roben.

        * WebView.cpp:
        (WebView::notifyPreferencesChanged): Don't try to call
        setShouldPaintNativeControls when SafariTheme support is disabled, as
        that function doesn't exist in that case.

2008-10-22  Brady Eidson  <beidson@apple.com>

        Reviewed by Adam Roben
        
        Move elementDoesAutoComplete() to IWebFramePrivate so it is exposed for DRT to use

        * Interfaces/IWebFramePrivate.idl:
        
        * WebFrame.cpp:
        (WebFrame::elementDoesAutoComplete):
        * WebFrame.h:
        
        * WebHTMLRepresentation.cpp:
        (WebHTMLRepresentation::elementDoesAutoComplete):

2008-10-20  Sam Weinig  <sam@webkit.org>

        Reviewed by Anders Carlsson.

        Remove FrameLoaderClient::detachedFromParent4.  It is no longer used by any port.

        * WebFrame.cpp:
        * WebFrame.h:

2008-10-19  Darin Adler  <darin@apple.com>

        Reviewed by Oliver Hunt.

        - next step of https://bugs.webkit.org/show_bug.cgi?id=21732
          improve performance by eliminating JSValue as a base class for JSCell

        Remove most uses of JSValue, which will be removed in a future patch.

        * WebScriptCallFrame.cpp:
        (WebScriptCallFrame::jsValueToString): Use JSValuePtr.
        (WebScriptCallFrame::stringByEvaluatingJavaScriptFromString): Ditto.
        (WebScriptCallFrame::valueForVariable): Put more code inside and ifdef.
        (WebScriptCallFrame::valueByEvaluatingJavaScriptFromString): Ditto.
        * WebScriptCallFrame.h: Use JSValuePtr.

        * WebView.cpp:
        (WebView::stringByEvaluatingJavaScriptFromString): Use JSValuePtr.

2008-10-18  Dan Bernstein  <mitz@apple.com>

        - build fix

        * WebScriptCallFrame.cpp:
        (WebScriptCallFrame::jsValueToString):

2008-10-18  Dan Bernstein  <mitz@apple.com>

        Reviewed by Sam Weinig.

        - WebKit/win part of https://bugs.webkit.org/show_bug.cgi?id=21736
          Long-dead decoded image data make up for most of the object cache's memory use over time

        * WebView.cpp:
        (WebView::setCacheModel): In the primary web browser model,
        set the cache's dead decoded data deletion interval to 60 seconds.

2008-10-16  Kevin McCullough  <kmccullough@apple.com>

        Reviewed by Steve Falkenburg.

        <rdar://problem/6292718>
        Implement a standard way to get the UA given an application name.

        * Interfaces/IWebViewPrivate.idl:
        * WebView.cpp:
        (WebView::standardUserAgentWithApplicationName):
        * WebView.h:

2008-10-17  Dan Bernstein  <mitz@apple.com>

        Reviewed by Sam Weinig.

        - export WTF::initializeOnMainThread()

        * WebKit.vcproj/WebKit.def:
        * WebKit.vcproj/WebKit_debug.def:

2008-10-15  Geoffrey Garen  <ggaren@apple.com>

        Reviewed by Cameron Zwarich.

        Fixed https://bugs.webkit.org/show_bug.cgi?id=21345
        Start the debugger without reloading the inspected page

        * WebInspector.cpp:
        (WebInspector::toggleDebuggingJavaScript): Updated for rename.

2008-10-15  Adam Roben  <aroben@apple.com>

        Export WTF::Mutex::tryLock

        * WebKit.vcproj/WebKit.def:
        * WebKit.vcproj/WebKit_debug.def:

2008-10-14  Jon Honeycutt  <jhoneycutt@apple.com>

        Export currentThread.

        Rubber-stamped by Dan Bernstein.

        * WebKit.vcproj/WebKit.def:
        * WebKit.vcproj/WebKit_debug.def:

2008-10-13  Steve Falkenburg  <sfalken@apple.com>

        Reorder methods to preserve compatibility.
        
        Rubber stamped by Oliver Hunt.

        * Interfaces/IWebViewPrivate.idl:

2008-10-11  Dan Bernstein  <mitz@apple.com>

        Reviewed by Sam Weinig.

        - add SPI for forcing the complex text code path to be used for all text

        * Interfaces/IWebViewPrivate.idl:
        * WebView.cpp:
        (WebView::setAlwaysUsesComplexTextCodePath):
        (WebView::alwaysUsesComplexTextCodePath):
        * WebView.h:

2008-10-10  Ada Chan  <adachan@apple.com>

        Bug 21526: The hashmap webPreferencesInstances in WebPreferences.cpp can 
        potentially hold onto stale instances of WebPreferences
        https://bugs.webkit.org/show_bug.cgi?id=21526
        
        webPreferencesInstances now keeps a reference to all the instances it holds.
        Fix up callers of WebPreferences::removeReferenceForIdentifier() to call 
        it after they have released their references to the WebPreferences objects.

        Reviewed by Adam Roben.

        * WebPreferences.cpp:
        (WebPreferences::getInstanceForIdentifier):
        (WebPreferences::removeReferenceForIdentifier):
        * WebView.cpp:
        (WebView::close):
        (WebView::setPreferences):

2008-10-06  David Hyatt  <hyatt@apple.com>

        Enable viewless Mac WebKit to paint some basic pages.
        
        Reviewed by Sam Weinig

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::createFrame):
        * WebCoreSupport/WebFrameLoaderClient.h:

2008-10-03  David Hyatt  <hyatt@apple.com>

        https://bugs.webkit.org/show_bug.cgi?id=21340
        
        Remove "containingWindow()/setContainingWindow()" from Widget.  HostWindow covers this now.
        
        Reviewed by Dan Bernstein & Darin Adler

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::transitionToCommittedForNewPage):
        * WebScrollBar.cpp:
        (WebScrollBar::WebScrollBar):
        (WebScrollBar::init):
        (WebScrollBar::invalidateScrollbarRect):
        * WebScrollBar.h:

2008-10-03  David Hyatt  <hyatt@apple.com>

         Remove addToDirtyRegion.
        
         Reviewed by Oliver Hunt

        * WebCoreSupport/WebChromeClient.cpp:

2008-10-02  David Hyatt  <hyatt@apple.com>

        https://bugs.webkit.org/show_bug.cgi?id=21328
        
        Make widget invalidation more cross-platform.
        
        (1) Make invalidateRect a pure virtual function on Widget.  All leaf widgets must now implement this function.
        
        (2) Scrollbars now send invalidations through the ScrollbarClient.  windowClipRect on ScrollbarClient has been removed and replaced with this invalidation call.
        This allows all scrollbar invalidations to go through the render tree so that transforms and reflections will be respected.
        
        (3) Plugins now have the native window invalidation code for windowed plugins.  Windowless plugins do a repaintRectangle on the plugin's renderer.
        
        (4) FrameViews now do a repaintRectangle on their owner element's renderer.

        Reviewed by Sam Weinig

        * WebCoreSupport/EmbeddedWidget.cpp:
        (EmbeddedWidget::invalidateRect):
        * WebCoreSupport/EmbeddedWidget.h:
        * WebScrollBar.cpp:
        (WebScrollBar::invalidateScrollbarRect):
        * WebScrollBar.h:

2008-10-02  Darin Adler  <darin@apple.com>

        - https://bugs.webkit.org/show_bug.cgi?id=21321
          Bug 21321: speed up JavaScriptCore by inlining Heap in JSGlobalData

        * WebCoreStatistics.cpp:
        (WebCoreStatistics::javaScriptObjectsCount): Use heap. instead of heap-> to
        work with the heap.
        (WebCoreStatistics::javaScriptGlobalObjectsCount): Ditto.
        (WebCoreStatistics::javaScriptProtectedObjectsCount): Ditto.
        (WebCoreStatistics::javaScriptProtectedGlobalObjectsCount): Ditto.
        (WebCoreStatistics::javaScriptProtectedObjectTypeCounts): Ditto.
        * WebJavaScriptCollector.cpp:
        (WebJavaScriptCollector::objectCount): Ditto.

2008-10-02  Dave Hyatt  <hyatt@apple.com>

        https://bugs.webkit.org/show_bug.cgi?id=21316

        Reviewed by Adele
       
        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::transitionToCommittedForNewPage):

2008-10-02  David Hyatt  <hyatt@apple.com>

        https://bugs.webkit.org/show_bug.cgi?id=21314
        
        Make scrollBackingStore cross-platform.

        Reviewed by Sam Weinig

        * WebCoreSupport/WebChromeClient.cpp:
        (WebChromeClient::repaint):
        (WebChromeClient::scroll):
        * WebCoreSupport/WebChromeClient.h:
        * WebView.cpp:
        (WebView::repaint):
        * WebView.h:

2008-10-01  David Hyatt  <hyatt@apple.com>

        https://bugs.webkit.org/show_bug.cgi?id=21298
        
        Make updateScrollbars cross-platform.  For now a stubbed out scrollContents function is invoked to do the scrolling of the backing store.  Next patch
        will make that cross-platform.  
        
        The ScrollView now implements ScrollbarClient, which means that there was a clash of windowClipRect methods from the
        multiple inheritance.  For now I solved this by adding a Scrollbar* to the ScrollbarClient version of the method, but longer term
        windowClipRect is going to be removed from ScrollbarClient (when Widget invalidation gets rewritten).

        Reviewed by Sam Weinig

        * WebScrollBar.cpp:
        (WebScrollBar::windowClipRect):
        * WebScrollBar.h:

2008-10-01  David Hyatt  <hyatt@apple.com>
        
        https://bugs.webkit.org/show_bug.cgi?id=21282
        
        Make contentsToScreen/screenToContents cross-platform.  Only implemented by Mac/Win right now.
        
        Reviewed by Adam Roben

        * WebCoreSupport/WebChromeClient.cpp:
        (WebChromeClient::windowToScreen):
        (WebChromeClient::screenToWindow):
        * WebCoreSupport/WebChromeClient.h:

2008-09-30   Dave Hyatt  <hyatt@apple.com>

        https://bugs.webkit.org/show_bug.cgi?id=21269
  
        This patch makes the ScrollView::paint method cross-platform.  The paint method calls the base class
        Widget paint on platforms with native widgets (Mac and wx).  Otherwise it calls a virtual function,
        paintContents, to paint the ScrollView's contents, and then it paints each of the two scrollbars and
        the scrollbar corner.
        
        The scrollbar themes are now responsible for painting scrollbar corners.  At the moment ScrollbarThemeWin still
        paints white (which is incorrect), so a future patch will actually implement proper native scroll corner painting
        for Windows.
        
        paintContents is implemented by FrameView, and replaces Frame::paint.  All of the FramePrivate member
        variables used by Frame::paint have moved to FrameViewPrivate instead.  All callers of Frame::paint have
        been patched to use FrameView::paintContents instead.
        
        Reviewed by Darin Adler

        * WebFrame.cpp:
        (WebFrame::paintDocumentRectToContext):
        (WebFrame::spoolPages):

2008-09-30  Dave Hyatt  <hyatt@apple.com>

        http://bugs.webkit.org/show_bug.cgi?id=21250
        
        Rename updateContents to repaintContentRectangle and make it cross-platform by always sending
        repaints up through the ChromeClient.

        Reviewed by Darin Adler

        * WebCoreSupport/WebChromeClient.cpp:
        (WebChromeClient::repaint):
        * WebCoreSupport/WebChromeClient.h:
        * WebView.cpp:
        (WebView::repaint):
        * WebView.h:

2008-09-29  Dan Bernstein  <mitz@apple.com>

        Reviewed by Adam Roben.

        - WebKit/win part of fixing <rdar://problem/6247906> REGRESSION (r19500): Crash on quit beneath CloseThemeData

        * WebKitDLL.cpp:
        (DllMain): Call RenderThemeWin::setWebKitIsBeingUnloaded() when WebKit
        is being unloaded.

2008-09-27  David Hyatt  <hyatt@apple.com>

        Land the frameGeometry->frameRect changes that I forgot to land in WebKit.

        * Interfaces/IWebScrollBarPrivate.idl:
        * WebCoreSupport/EmbeddedWidget.cpp:
        (EmbeddedWidget::setFrameRect):
        (EmbeddedWidget::frameRectsChanged):
        * WebCoreSupport/EmbeddedWidget.h:
        * WebScrollBar.cpp:
        (WebScrollBar::setRect):
        (WebScrollBar::frameRect):
        * WebScrollBar.h:

2008-09-27  Anders Carlsson  <andersca@apple.com>

        Fix build.

        * WebCoreSupport/EmbeddedWidget.cpp:
        (EmbeddedWidget::setFrameRect):
        (EmbeddedWidget::frameRectsChanged):
        * WebCoreSupport/EmbeddedWidget.h:
        * WebScrollBar.cpp:
        (WebScrollBar::setRect):
        (WebScrollBar::frameGeometry):

2008-09-26  David Kilzer  <ddkilzer@apple.com>

        Speculative Windows build fix with XSLT disabled

        Reviewed by Alexey.

        * WebCache.cpp:
        (WebCache::statistics): Populate xslStyleSheet statistics with
        zeros if XSLT is disabled.

2008-09-24  Matt Lilek  <webkit@mattlilek.com>

        Reviewed by Darin Adler.

        Bug 20999: Inspector hover to select does not work properly on Windows
        https://bugs.webkit.org/show_bug.cgi?id=20999
        <rdar://problem/6236524>

        * WebNodeHighlight.cpp:
        (WebNodeHighlight::show):

2008-09-24  Darin Adler  <darin@apple.com>

        * English.lproj/Localizable.strings: Updated for recent changes.

2008-09-22  Alice Liu  <alice.liu@apple.com>

        Added record-memory-win.vcproj tool to the solution

        Reviewed by Steve Falkenburg.

        * WebKit.vcproj/WebKit.sln:

2008-09-20  Darin Adler  <darin@apple.com>

        - fix build

        * WebCoreSupport/WebChromeClient.cpp:
        (WebChromeClient::paintCustomScrollbar): Tweaked constant names to make this
        compile, but it may not be working correctly. Hyatt should do the real fix.

2008-09-19  Alice Liu  <alice.liu@apple.com>

        Fix crash when submitting form at bugreport.apple.com rdar://6234126

        Reviewed by Mark Rowe.

        * COMPropertyBag.h:
        (::GetPropertyInfo):
        correct mis-use of comma operator

2008-09-18  Mark Rowe  <mrowe@apple.com>

        Reviewed by Dan Bernstein.

        Add SPI to WebView to allow DRT to clear the main frame's name between tests.

        * Interfaces/IWebViewPrivate.idl:
        * WebView.cpp:
        (WebView::clearMainFrameName):
        * WebView.h:

2008-09-16  Alp Toker  <alp@nuanti.com>

        Suggested by Dave Hyatt.

        Build fix and cleanup. Rename ScrollBar to Scrollbar.

        * WebScrollBar.cpp:
        * WebScrollBar.h:

2008-09-16  David Hyatt  <hyatt@apple.com>

        Eliminate PlatformScrollbar.

        Reviewed by Sam Weinig

        * WebScrollBar.cpp:
        (WebScrollBar::init):
        * WebScrollBar.h:

2008-09-15  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Darin Adler, Beth Dakin

        Support strings for AXLists

        * WebCoreLocalizedStrings.cpp:
        (WebCore::AXDefinitionListTermText):
        (WebCore::AXDefinitionListDefinitionText):

2008-09-13  Dave Hyatt  <hyatt@apple.com>

        Add ScrollbarTheme to the build.
        
        Reviewed by Sam Weinig

        * WebScrollBar.cpp:
        (WebScrollBar::requestedWidth):
        (WebScrollBar::requestedHeight):

2008-09-13  Dave Hyatt  <hyatt@apple.com>

        More scrollbar refactoring.
        
        Reviewed by Sam Weinig

        * WebScrollBar.h:

2008-09-08  Adam Roben  <aroben@apple.com>

        Respect the font smoothing preference when drawing via WebKitGraphics

        Reviewed by Dave Hyatt.

        * WebKitGraphics.cpp:
        (makeFont): Check the font smoothing preference and update the
        FontDescription's rendering mode based on it.

2008-09-08  Steve Falkenburg  <sfalken@apple.com>

        Another Windows nightly build fix.
        
        Remove non-production versions of CLSIDs since we'll use registry free COM with
        an embedded manifest now in all cases to find COM classes.
        
        Reviewed by Sam Weinig.

        * ForEachCoClass.cpp:
        (setUseOpenSourceWebKit): Remove COM registration code.
        * Interfaces/WebKit.idl: Remove non-production COM classes

2008-09-07  Cameron Zwarich  <cwzwarich@uwaterloo.ca>

        Reviewed by Maciej Stachowiak.

        Bug 20704: Replace the KJS namespace
        <https://bugs.webkit.org/show_bug.cgi?id=20704>

        Rename the KJS namespace to JSC.

        * WebCoreStatistics.cpp:
        * WebJavaScriptCollector.cpp:
        * WebScriptCallFrame.cpp:
        (WebScriptCallFrame::jsValueToString):
        * WebScriptCallFrame.h:
        (WebScriptCallFrame::state):
        * WebView.cpp:
        (WebView::WebView):
        (WebView::stringByEvaluatingJavaScriptFromString):

2008-09-05  Dave Hyatt  <hyatt@apple.com>

        Add support for runtime switchability of the Aqua look and the native look on Windows.
        Make RenderThemeWin compile by default even when USE(SAFARI_THEME) is set.

        Reviewed by Adam Roben

        * Interfaces/IWebPreferencesPrivate.idl:
        * WebPreferenceKeysPrivate.h:
        * WebPreferences.cpp:
        (WebPreferences::initializeDefaultSettings):
        (WebPreferences::shouldPaintNativeControls):
        (WebPreferences::setShouldPaintNativeControls):
        * WebPreferences.h:
        * WebView.cpp:
        (WebView::notifyPreferencesChanged):

2008-09-04  Adam Roben  <aroben@apple.com>

        Make JavaScriptCoreGenerated build first instead of WTF

        JavaScriptCoreGenerated does some setup work that we want to happen
        before WTF builds.

        * WebKit.vcproj/WebKit.sln: Reversed the dependencies of WTF and
        JavaScriptCoreGenerated.

2008-08-30  Sam Weinig  <sam@webkit.org>

        Reviewed by Dan Bernstein.

        Add WebView SPI to defer loading callbacks.

        * Interfaces/IWebViewPrivate.idl:
        * WebView.cpp:
        (WebView::setDefersCallbacks):
        (WebView::defersCallbacks):
        * WebView.h:

2008-08-28  Adele Peterson  <adele@apple.com>

        Build fix.

        * WebIconDatabase.cpp: (WebIconDatabase::getOrCreateDefaultIconBitmap):

2008-08-28  Holger Hans Peter Freyther  <zecke@selfish.org>

        Rubber-stamped by Darin Adler.

        https://bugs.webkit.org/show_bug.cgi?id=17261

        Remove the urlIcon.png from the project and the resource file. Remove
        the usage of this icon from WebKitDLL.cpp and change WebIconDatabase
        to get the icon from the IconDatabase code which is using a version of
        the icon that is compiled into the code.

        * WebIconDatabase.cpp:
        (WebIconDatabase::getOrCreateDefaultIconBitmap): Use the icon from the
        IconDatabase.cpp
        * WebKit.vcproj/WebKit.rc: Remove urlIcon.cpp
        * WebKit.vcproj/urlIcon.png: Removed.
        * WebKitDLL.cpp:
        (loadResourceIntoBuffer): Remove "urlIcon"

2008-08-27  Alice Liu  <alice.liu@apple.com>

        Add interface for obtaining JS object counts broken down by type

        Reviewed by Steve Falkenburg.

        * Interfaces/IWebCoreStatistics.idl:
        * WebCoreStatistics.cpp:
        (WebCoreStatistics::javaScriptProtectedObjectTypeCounts):
        * WebCoreStatistics.h:

2008-08-27  Ada Chan  <adachan@apple.com>

        Fixed build.

        * WebFrame.cpp:
        (WebFrame::pluginWillHandleLoadError):

2008-08-27  Brady Eidson  <beidson@apple.com>

        Reviewed by Anders

        <rdar://problem/6134133> - Crash when loading large movie as a standalone document

        * WebFrame.cpp:
        (WebFrame::pluginWillHandleLoadError):
        * WebFrame.h:

2008-08-26  Alice Liu  <alice.liu@apple.com>

        Implement COMPropertyBag::GetPropertyInfo
        and a variant setter for type int

        Reviewed by Anders Carlsson.

        * COMPropertyBag.h:
        (::GetPropertyInfo):
        * COMVariantSetter.h:

2008-08-25  Adam Roben  <aroben@apple.com>

        Fix an assertion when showing the Web Inspector

        Reviewed by Kevin McCullough.

        * WebCoreSupport/WebInspectorClient.cpp:
        (WebInspectorClient::attachWindow):
        (WebInspectorClient::detachWindow):
        Recent code changes have caused these functions to get called even
        when the window is already attached/detached, respectively. Handle
        this case gracefully instead of asserting something that is no longer
        true.

2008-08-24  Beth Dakin  <bdakin@apple.com>

        Reviewed by John Sullivan.

        Provide the excludeFromTextSearch SPI on Windows as well.

        * Interfaces/IWebFrame.idl:
        * WebFrame.cpp:
        (WebFrame::setExcludeFromTextSearch):
        * WebFrame.h:

2008-08-24  Jon Honeycutt  <jhoneycutt@apple.com>

        Cannot get the focused accessible object from the root object.

        AccessibleBase::get_AccFocus() checks whether the focused object is a
        child of the current object, but 
        http://msdn.microsoft.com/en-us/library/ms696150(VS.85).aspx states that
        the result is the object itself, if it has focus, or a child object of
        the active window, not a child of the object.

        Reviewed by Sam Weinig.

        * AccessibleBase.cpp:
        (AccessibleBase::get_accFocus): Don't check whether the focused object
        is our child.

2008-08-18  Jon Honeycutt  <jhoneycutt@apple.com>

        Add SPI to make a Windows WebView transparent.

        Reviewed by Dan Bernstein.

        * Interfaces/IWebViewPrivate.idl:
        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::transitionToCommittedForNewPage): Call
        updateBackground() when a new frame is attached, matching the Mac.
        * WebFrame.cpp:
        (WebFrame::updateBackground): Propagate WebView transparency to ourself
        and our child frames.
        * WebFrame.h:
        * WebView.cpp:
        (WebView::WebView):
        (WebView::paintIntoBackingStore): Pass m_transparent when creating a
        GraphicsContext, so the context will be created with an alpha channel.
        (WebView::setTransparent):
        (WebView::transparent):
        * WebView.h:

2008-08-12  Jon Honeycutt  <jhoneycutt@apple.com>

        Add SPI to get a handle to the WebView's backing store bitmap.

        Reviewed by Dan Bernstein.

        * Interfaces/IWebViewPrivate.idl:
        * WebView.cpp:
        (WebView::backingStore):
        * WebView.h:

2008-08-21 Jonas Klink <klinktech@gmail.com>

        Reviewed by Jon Honeycutt.

        Fix https://bugs.webkit.org/show_bug.cgi?id=20231
        Bug 20231: accNavigate: no screen element found in the specified direction should return S_FALSE

        Per <http://msdn.microsoft.com/en-us/library/ms696145(VS.85).aspx>, we should return S_FALSE
        from accNavigate if no screen element is found in the specified direction.

        * AccessibleBase.cpp:
        (AccessibleBase::accNavigate):

2008-08-21 Jonas Klink <klinktech@gmail.com>

        Reviewed by Jon Honeycutt.

        Fix http://bugs.webkit.org/show_bug.cgi?id=20230
        Bug 20230: get_accState should be testing state on childObj

        Also initializes output parameter action to 0 in get_accDefaultAction.

        * AccessibleBase.cpp:
        (AccessibleBase::get_accState):
        (AccessibleBase::get_accDefaultAction):

2008-08-20  Maxime Britto  <britto@apple.com>

        Reviewed by Ada Chan.

        rdar://5259746
        Mouse events are sent to page while resizing window (affects Gmail)
        In the WebView, if the MouseEvent is located in the resize corner, we send it back to the UIDelegate and early return.

        * Interfaces/IWebUIDelegatePrivate.idl: Add a new method to the UIDelegate to send the resize message
        * WebView.cpp:
        (WebView::handleMouseEvent): If the mouse event is in the resize corner and our UIDelegate supports the message it sends the new message and early returns

2008-08-19  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Geoff Garen.

        Bring back shared JSGlobalData and implicit locking, because too many clients rely on it.

        * WebCoreStatistics.cpp:
        (WebCoreStatistics::javaScriptObjectsCount):
        (WebCoreStatistics::javaScriptGlobalObjectsCount):
        (WebCoreStatistics::javaScriptProtectedObjectsCount):
        (WebCoreStatistics::javaScriptProtectedGlobalObjectsCount):
        * WebJavaScriptCollector.cpp:
        (WebJavaScriptCollector::objectCount):
        * WebScriptCallFrame.cpp:
        (WebScriptCallFrame::stringByEvaluatingJavaScriptFromString):
        * WebView.cpp:
        (WebView::stringByEvaluatingJavaScriptFromString):

2008-08-19  Steve Falkenburg  <sfalken@apple.com>

        Fix build.

        * WebScriptCallFrame.cpp:
        (WebScriptCallFrame::jsValueToString):

2008-08-14  Steve Falkenburg  <sfalken@apple.com>

        Update cache capacities to match values used on Mac.
        
        Reviewed by Dan Bernstein.

        * WebView.cpp:
        (WebView::setCacheModel):

2008-08-14  Sam Weinig  <sam@webkit.org>

        Reviewed by Jon Honeycutt.

        Add WebView SPI to set HTMLTokenizer yielding parameters.

        * Interfaces/IWebViewPrivate.idl:
        * WebView.cpp:
        (WebView::setCustomHTMLTokenizerTimeDelay):
        (WebView::setCustomHTMLTokenizerChunkSize):
        * WebView.h:

2008-08-13  Eric Seidel  <eric@webkit.org>

        Attempt to fix the windows build, not review.

        * WebIconDatabase.cpp:
        (WebIconDatabase::getOrCreateDefaultIconBitmap):

2008-08-13  Ada Chan  <adachan@apple.com>

        Implemented DOMHTMLElement::idName() and WebFrame::frameElement().
        Added IWebFrame::paintDocumentRectToContext() so we can paint a frame's
        content into a device context.  Changed WebView::paintDocumentRectToContext()
        to call that WebFrame method.

        Reviewed by Adam Roben.

        * DOMHTMLClasses.cpp:
        (DOMHTMLElement::idName):
        * Interfaces/IWebFramePrivate.idl:
        * WebFrame.cpp:
        (WebFrame::paintDocumentRectToContext):
        (WebFrame::frameElement):
        * WebFrame.h:
        * WebView.cpp:
        (WebView::paintDocumentRectToContext):

2008-08-12  Timothy Hatcher  <timothy@apple.com>

        Add a stub for InspectorClient::setAttachedWindowHeight.

        * WebCoreSupport/WebInspectorClient.cpp:
        (WebInspectorClient::setAttachedWindowHeight): Add a FIXME to implement this.
        * WebCoreSupport/WebInspectorClient.h:

2008-08-12  Adam Roben  <aroben@apple.com>

        Export WTFLog in Debug builds

        Reviewed by John Sullivan.

        * WebKit.vcproj/WebKit_debug.def:

2008-08-07  Steve Falkenburg  <sfalken@apple.com>

        Delete backing stores before 5 second WM_TIMER fires if more than 2 are already queued.
        
        WM_TIMER-based timers can be starved if enough other events are keeping
        our message loop busy. This change prevents many backing store deletes from stacking
        up in this case.
        
        Reviewed by Geoff Garen.

        * WebView.cpp:
        (WebView::deleteBackingStore):
        (WebView::deleteBackingStoreSoon):
        (WebView::cancelDeleteBackingStoreSoon):

2008-08-05  Ada Chan  <adachan@apple.com>

        Add a getter for CFURLRequestRef in WebMutableURLRequest.

        Reviewed by Anders Carlsson.

        * Interfaces/IWebMutableURLRequestPrivate.idl:
        * WebMutableURLRequest.cpp:
        (WebMutableURLRequest::cfRequest):
        * WebMutableURLRequest.h:

2008-08-05  Steve Falkenburg  <sfalken@apple.com>

        Don't invalidate a WebView in the process of being closed when prefs change.
        
        Reviewed by Ada Chan.

        * WebView.cpp:
        (WebView::notifyPreferencesChanged):

2008-08-04  Alice Liu  <alice.liu@apple.com>

        Reviewed by Steve Falkenburg.

        Fix CFDictionary leak

        * CFDictionaryPropertyBag.cpp:
        (CFDictionaryPropertyBag::Write):
        m_dictionary is a RetainPtr and should adopt the CF type created

2008-08-02  Maxime Britto  <britto@apple.com>

        Reviewed by Eric Seidel.
      
        These icons are copies from the resizers in WebCore/Ressources

        * ChangeLog:
        * WebKit.vcproj/WebKit.rc:
        * WebKit.vcproj/panEastCursor.png: Added.
        * WebKit.vcproj/panNorthCursor.png: Added.
        * WebKit.vcproj/panNorthEastCursor.png: Added.
        * WebKit.vcproj/panNorthWestCursor.png: Added.
        * WebKit.vcproj/panSouthCursor.png: Added.
        * WebKit.vcproj/panSouthEastCursor.png: Added.
        * WebKit.vcproj/panSouthWestCursor.png: Added.
        * WebKit.vcproj/panWestCursor.png: Added.
        * WebKit.vcproj/resource.h:
        * WebKitDLL.cpp:
        (loadResourceIntoBuffer):

2008-08-01  Beth Dakin  <bdakin@apple.com>

        Reviewed by Adam Roben.

        Fix for <rdar://problem/6119382> Need to hook up WebFrame's 
        disconnected frame API on Windows.

        * Interfaces/IWebFrame.idl:
        * WebFrame.cpp:
        (WebFrame::setIsDisconnected):
        * WebFrame.h:

2008-08-01  Adam Roben  <aroben@apple.com>

        Fix <rdar://6118733> REGRESSION (r35502): Crash when submitting any
        form

        Reviewed by Darin Adler.

        * COMPropertyBag.h:
        (COMPropertyBag::QueryInterface): Cast to an appropriate type before
        assigning into ppvObject.

2008-07-31  Anders Carlsson  <andersca@apple.com>

        Reviewed by Adam.

        Get rid of FormValuesPropertyBag and use COMPropertyBag instead.
        
        * COMPropertyBag.h:
        Implement parts of IPropertyBag2. 
        Currently just one method (CountProperties) is implemented.
        
        * WebCoreSupport/FormValuesPropertyBag.cpp: Removed.
        * WebCoreSupport/FormValuesPropertyBag.h: Removed.
      
        * WebFrame.cpp:
        (WebFrame::dispatchWillSubmitForm):
        Create a COMPropertyBag instead.
        
        * WebKit.vcproj/WebKit.vcproj:

2008-07-31  Anders Carlsson  <andersca@apple.com>

        Reviewed by Jon.
        
        Tweak the names.

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::createPlugin):

2008-07-31  Anders Carlsson  <andersca@apple.com>

        Reviewed by Jon.

        <rdar://problem/5826110>
        
        Add a way for WebKit clients to embed custom content in web pages.
        
        * Interfaces/IWebEmbeddedView.idl: Added.
        New interface which an embedded view must implement.
        
        * Interfaces/IWebUIDelegatePrivate.idl:
        Add new UI delegate method for creating an embedded view.
        
        * Interfaces/WebKit.idl:
        Include IWebEmbeddedView.idl.
        
        * WebCoreSupport/EmbeddedWidget.cpp: Added.
        * WebCoreSupport/EmbeddedWidget.h: Added.
        Add EmbeddedWidget, a widget subclass which can hold an IWebEmbeddedView.
        
        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::createPlugin):
        Check if the UI delegate wants to create an embedded view.
        
        * WebKit.vcproj/WebKit.vcproj:
        Add EmbeddedWidget.{cpp|h}

2008-07-31  Alexey Proskuryakov  <ap@webkit.org>

        Rubber-stamped by Maciej.

        Eliminate JSLock (it was already disabled, removing the stub implementaion and all
        call sites now).

        * WebCoreStatistics.cpp:
        (WebCoreStatistics::javaScriptObjectsCount):
        (WebCoreStatistics::javaScriptGlobalObjectsCount):
        (WebCoreStatistics::javaScriptProtectedObjectsCount):
        (WebCoreStatistics::javaScriptProtectedGlobalObjectsCount):
        * WebJavaScriptCollector.cpp:
        (WebJavaScriptCollector::objectCount):
        * WebScriptCallFrame.cpp:
        (WebScriptCallFrame::stringByEvaluatingJavaScriptFromString):
        * WebView.cpp:
        (WebView::stringByEvaluatingJavaScriptFromString):

2008-07-31  Jon Honeycutt  <jhoneycutt@apple.com>

        Windows build fix.

        * WebURLResponse.cpp:

2008-07-30  Mark Rowe  <mrowe@apple.com>

        Windows build fix.

        * WebURLResponse.cpp:  Don't include a header file that we just deleted.

2008-07-30  Anders Carlsson  <andersca@apple.com>

        Reviewed by Mitz.

        Use a COMPropertyBag instead of the HTTPHeaderPropertyBag.
        
        * HTTPHeaderPropertyBag.cpp: Removed.
        * HTTPHeaderPropertyBag.h: Removed.
        * WebURLResponse.cpp:
        (WebURLResponse::allHeaderFields):

2008-07-30  Anders Carlsson  <andersca@apple.com>

        Fix copyright years.
        
        * COMPropertyBag.h:
        * COMVariantSetter.h:

2008-07-30  Anders Carlsson  <andersca@apple.com>

        Reviewed by Sam.

        More property bag work.
        
        * COMPropertyBag.h:
        (COMPropertyBag::COMPropertyBag):        
        (::adopt):
        (::Read):
        * COMVariantSetter.h:
        (COMIUnknownVariantSetter::setVariant):

2008-07-30  Anders Carlsson  <andersca@apple.com>

        Reviewed by Sam.

        Add COMPropertyBag, a simple template class that implements the IPropertyBag interface. All
        property bag values must be of the same type.
        
        The COMVariantSetter helpers are now in COMVariantSetter.h
        
        * COMEnumVariant.h:
        * COMPropertyBag.h: Added.
        * COMVariantSetter.h: Added.
        * WebKit.vcproj/WebKit.vcproj:
        
2008-07-30  Alice Liu  <alice.liu@apple.com>

        Reviewed by Adam Roben.

        Adding logging of COM class names and counts to facilitate
        investigating memory issues.

        * Interfaces/IWebKitStatistics.idl:
        * WebKitDLL.cpp:
        * WebKitDLL.h:
        * WebKitStatistics.cpp:
        (WebKitStatistics::comClassNameCounts):
        * WebKitStatistics.h:

2008-07-29  Alice Liu  <alice.liu@apple.com>

        Reviewed by Geoff Garen.

        Fix WebDocumentLoader leak on Windows.

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::createDocumentLoader):
        * WebDocumentLoader.cpp:
        (WebDocumentLoader::create):
        * WebDocumentLoader.h:

2008-07-29  Adam Roben  <aroben@apple.com>

        Export detachThread

        Reviewed by Geoff Garen.

        * WebKit.vcproj/WebKit.def:
        * WebKit.vcproj/WebKit_debug.def:

2008-07-29  Adam Roben  <aroben@apple.com>

        Export the new version of createThread

        Reviewed by Anders Carlsson.

        * WebKit.vcproj/WebKit.def:
        * WebKit.vcproj/WebKit_debug.def:
        Also moved the old version of createThread into the deprecated
        section.

2008-07-26  Matt Lilek  <webkit@mattlilek.com>

        Reviewed by Geoff Garen.

        Changes to accommodate newly named/signatured loading methods in WebCore.

        * WebCoreSupport/WebContextMenuClient.cpp:
        (WebContextMenuClient::searchWithGoogle):
        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::loadURLIntoChild):

2008-07-25  Adam Roben  <aroben@apple.com>

        Try to fix the Windows build bot

        * WebKit.vcproj/WebKit.sln: Linearize the project dependencies. Each
        project now depends only on the project that should immediately
        precede it in the build. For the frameworks, this order makes sense.
        For the applications built on top of the frameworks, the order is
        arbitrary (but roughly follows the applications' complexity).

2008-07-17  Adele Peterson  <adele@apple.com>

        Reviewed by Adam.

        WebKit part of fix for <rdar://problem/5698672>  Add drawing callback for a WebKit app to draw its own scrollbars
        
        Added a setting so an application can tell WebKit its going to draw custom scrollbars.  Also added delegate methods for the actual painting.
        
        * Interfaces/IWebPreferences.idl:  Added setShouldPaintCustomScrollbars and shouldPaintCustomScrollbars.
        * Interfaces/IWebScrollBarPrivate.idl: Moved types to WebScrollbarTypes.idl
        * Interfaces/IWebUIDelegate.idl: Added WebUIDelegate4 with new delegate methods, paintCustomScrollbar and paintCustomScrollCorner
        * Interfaces/WebKit.idl: Include new WebScrollbarTypes.idl
        * Interfaces/WebScrollbarTypes.idl: Added. Has types that the new delegate methods use.
        * WebCoreSupport/WebChromeClient.cpp:
        (WebChromeClient::paintCustomScrollbar): Added. Calls new delegate method and converts between WebCore types and types exported in WebScrollbarTypes.idl
        (WebChromeClient::paintCustomScrollCorner): Added. Calls new delegate method.
        (WebChromeClient::uiDelegate4): Added.
        * WebCoreSupport/WebChromeClient.h:
        * WebPreferenceKeysPrivate.h: Added WebKitPaintCustomScrollbarsPreferenceKey
        * WebPreferences.cpp:
        (WebPreferences::): Added.
        (WebPreferences::shouldPaintCustomScrollbars): Added.
        * WebPreferences.h:
        * WebView.cpp: (WebView::notifyPreferencesChanged):

2008-07-15  Adam Roben  <aroben@apple.com>

        Add WebKit[Set]ShouldUseFontSmoothing functions

        <rdar://6059127>

        Reviewed by John Sullivan.

        * WebKit.vcproj/WebKit.def:
        * WebKit.vcproj/WebKit_debug.def:
        Export the new functions.
        * WebKitGraphics.cpp:
        (WebKitSetShouldUseFontSmoothing):
        (WebKitShouldUseFontSmoothing):
        Call through to the relevant WebCore functions.
        * WebKitGraphics.h:

2008-07-14  Steve Falkenburg  <sfalken@apple.com>

        Don't include autoversion.h in WebKitDLL.cpp.
        autoversion.h changes for every build, so we don't want to include it unless necessary.        

        Rubber stamped by Ada Chan.

        * WebKitDLL.cpp:

2008-07-14  Adam Roben  <aroben@apple.com>

        Windows build fix

        * WebJavaScriptCollector.cpp:
        (WebJavaScriptCollector::objectCount): Updated to match
        -[WebCoreStatistics javaScriptsObjectCount].

2008-07-14  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Geoff Garen.

        Eliminate per-thread JavaScript global data instance support and make arbitrary
        global data/global object combinations possible.

        * WebCoreStatistics.cpp:
        (WebCoreStatistics::javaScriptObjectsCount):
        (WebCoreStatistics::javaScriptGlobalObjectsCount):
        (WebCoreStatistics::javaScriptProtectedObjectsCount):
        (WebCoreStatistics::javaScriptProtectedGlobalObjectsCount):
        Ask WebCore for its instance of JSGlobalData, now that it is not in per-thread storage.

2008-07-11  Steve Falkenburg  <sfalken@apple.com>

        Build fix.

        * WebKit.vcproj/WebKit.vcproj:

2008-07-10  Steve Falkenburg  <sfalken@apple.com>

        Build fix.

        * WebKit.vcproj/Interfaces.vcproj:

2008-07-10  Adam Roben  <aroben@apple.com>

        Windows build fix

        * WebKit.vcproj/resource.h: Revert some changes that VS made to this
        file in r35083.

2008-07-09  Maxime Britto  <britto@apple.com>

        Reviewed by Adele.
       
        Added the panning icon in the ressources.
        Its name is compass.png to make a difference with moveCursor.png (from the WebCore ressources)

        * ChangeLog:
        * WebKit.vcproj/WebKit.rc:
        * WebKit.vcproj/panIcon.png: Added.
        * WebKit.vcproj/resource.h:
        * WebKitDLL.cpp: Declared the new ressource with the name "panIcon"
        (loadResourceIntoBuffer):

2008-07-02  Dan Bernstein  <mitz@apple.com>

        - try to fix the Windows build

        * WebScriptCallFrame.cpp:

2008-07-01  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Darin Adler.

        Disable JSLock for per-thread contexts.

        * WebCoreStatistics.cpp:
        (WebCoreStatistics::javaScriptObjectsCount):
        (WebCoreStatistics::javaScriptGlobalObjectsCount):
        (WebCoreStatistics::javaScriptProtectedObjectsCount):
        (WebCoreStatistics::javaScriptProtectedGlobalObjectsCount):
        * WebScriptCallFrame.cpp:
        (WebScriptCallFrame::stringByEvaluatingJavaScriptFromString):
        * WebView.cpp:
        (WebView::stringByEvaluatingJavaScriptFromString):
        Pass a parameter (false) to JSLock to indicate that WebKit doesn't need locking.
        Include JSLock.h, as it is no longer brought in implicitly.

2008-06-27  Adam Roben  <aroben@apple.com>

        Change WebKitGraphics truncation functions to return the length of the
        truncated string

        Reviewed by Darin Adler.

        * WebKitGraphics.cpp:
        (CenterTruncateStringToWidth):
        (RightTruncateStringToWidth):
        Return the length.
        * WebKitGraphics.h:
        The truncation functions now return an unsigned int that is the length
        of the truncated string. The whole file has been marked extern "C" to
        keep the symbols for these functions from changing (which would break
        nightly builds).

2008-06-19  Alexey Proskuryakov  <ap@webkit.org>

        Windows build fix.

        * WebJavaScriptCollector.cpp: Added a missing include.

2008-06-17  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Darin Adler.

        Prepare JavaScript heap for being per-thread.

        * WebCoreStatistics.cpp:
        (WebCoreStatistics::javaScriptObjectsCount):
        (WebCoreStatistics::javaScriptGlobalObjectsCount):
        (WebCoreStatistics::javaScriptProtectedObjectsCount):
        (WebCoreStatistics::javaScriptProtectedGlobalObjectsCount):
        * WebJavaScriptCollector.cpp:
        (WebJavaScriptCollector::objectCount):
        Use JSGlobalData::threadInstance()->heap instead of static Collector calls.

        * WebScriptCallFrame.cpp:
        (WebScriptCallFrame::valueByEvaluatingJavaScriptFromString): Pass ExecState* where
        now required.

2008-06-16  Alexey Proskuryakov  <ap@webkit.org>

        Trying to fix Windows build.

        * WebScriptCallFrame.cpp:
        (WebScriptCallFrame::variableNames):
        (WebScriptCallFrame::valueForVariable):
        Give ExecState to functions that now take it.

2008-06-16  Adam Roben  <aroben@apple.com>

        Windows build fix

        * WebScriptCallFrame.cpp: Fixed a header name.

2008-06-15  Darin Adler  <darin@apple.com>

        - give Frame object functions shorter names: scriptProxy() -> script(),
          selectionController() -> selection(), animationController() -> animation()

        * WebFrame.cpp:
        (WebFrame::globalContext):
        (WebFrame::windowObjectCleared):
        * WebView.cpp:
        (WebView::handleContextMenuEvent):
        (WebViewWndProc):
        (WebView::updateFocusedAndActiveState):
        (WebView::hasSelectedRange):
        (WebView::replaceSelectionWithText):
        (WebView::clearSelection):
        (WebView::prepareCandidateWindow):
        (WebView::onIMERequestCharPosition):
        (WebView::onIMERequestReconvertString):

2008-06-15  Darin Adler  <darin@apple.com>

        - rename KJS::List to KJS::ArgList

        * WebScriptCallFrame.cpp:
        (WebScriptCallFrame::valueByEvaluatingJavaScriptFromString):

2008-06-15  Darin Adler  <darin@apple.com>

        - new names for a few key JavaScriptCore files

        * WebView.cpp:

2008-06-15  Darin Adler  <darin@apple.com>

        Rubber stamped by Sam.

        - use JS prefix and simpler names for basic JavaScriptCore types,
          to complement JSValue and JSObject

        * WebScriptCallFrame.cpp:
        (WebScriptCallFrame::functionName):

2008-06-15  Maciej Stachowiak  <mjs@apple.com>

        Rubber stamped by Oliver.
        
        - fix WebKit solution for testkjs --> jsc rename

        * WebKit.vcproj/WebKit.sln:

2008-06-14  Darin Adler  <darin@apple.com>

        Rubber stamped by Sam.

        - new names for kjs_binding.h and kjs_proxy.h

        * WebFrame.cpp:

2008-06-14  Darin Adler  <darin@apple.com>

        Rubber stamped by Sam.

        - renamed HTMLGenericFormElement to HTMLFormControlElement

        * WebFrame.cpp:
        (WebFrame::elementWithName):
        (WebFrame::controlsInForm):

2008-06-14  Darin Adler  <darin@apple.com>

        - try to fix Windows build, again

        * WebFrame.cpp:
        (WebFrame::dispatchDecidePolicyForNewWindowAction): Fix arguments. Pass form.
        (WebFrame::dispatchDecidePolicyForNavigationAction): Ditto.
        * WebFrame.h: Fix arguments.

2008-06-14  Darin Adler  <darin@apple.com>

        - try to fix Windows build

        * WebActionPropertyBag.cpp:
        (WebActionPropertyBag::Read): Use IDOMNode, not IHTMLFormElement.
        * WebFrame.h: Added missing FormState arguments.
        * WebScrollBar.cpp:
        (WebScrollBar::init): Use create instead of new.

2008-06-14  Darin Adler  <darin@apple.com>

        Reviewed by Sam.

        - more of https://bugs.webkit.org/show_bug.cgi?id=17257
          start ref counts at 1 instead of 0 for speed

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::createFrame): Remove now-obsolete adoptRef that was balanced by
        a ref call inside the Frame constructor. The lifetime rules for Frame are now the
        conventional ones without a special case.

        * WebFrame.cpp:
        (WebFrame::init): Renamed function from initWithWebFrameView and removed the unused
        IWebFrameView argument (every caller was passing 0). Also changed this to return the
        WebCore Frame object, which is needed to straighten out the lifetime and ownership
        issues.
        * WebFrame.h: Ditto.

        * WebView.cpp:
        (WebView::initWithFrame): Changed to call new init function and use the return value.

2008-06-13  Darin Adler  <darin@apple.com>

        Reviewed by John Sullivan.

        - updated for addition of FormState argument to action policy functions
        - added WebActionFormKey

        * Interfaces/IWebPolicyDelegate.idl:
        * WebActionPropertyBag.cpp:
        (WebActionPropertyBag::WebActionPropertyBag):
        (WebActionPropertyBag::createInstance):
        (WebActionPropertyBag::AddRef):
        (WebActionPropertyBag::Release):
        (WebActionPropertyBag::Read):
        * WebActionPropertyBag.h:
        * WebFrame.cpp:
        (WebFrame::dispatchDecidePolicyForNewWindowAction):
        (WebFrame::dispatchDecidePolicyForNavigationAction):

2008-06-07  Darin Adler  <darin@apple.com>

        Reviewed by Mitz.

        - work on https://bugs.webkit.org/show_bug.cgi?id=17257
          start ref counts at 1 instead of 0 for speed

        * WebHistoryItem.cpp:
        (WebHistoryItem::createInstance):
        (WebHistoryItem::initFromDictionaryRepresentation):
        (WebHistoryItem::initWithURLString):

2008-05-30  Steve Falkenburg  <sfalken@apple.com>

        Registry-free COM.        
        
        WebKit no longer requires COM registration.
        Registry-free COM information is read from the application manifest.

        Only 1 set of CLSIDs are now used, since we don't need to worry about registry collisions.
        The second set remains, but only temporarily so nightlies continue to work.

        This is supported for XPSP2 and later.  Earlier systems require an installer
        to write the required registry keys.  Nightlies and developer builds require
        XPSP2, Server 2003, or later.

        Reviewed by Adam.

        * ForEachCoClass.cpp: Moved COM registration code here from WebKitDLL.cpp. This is ONLY used in the nightly case.
        (substituteGUID): Moved here from WebKitDLL.cpp.
        (registerWebKit): Moved here from WebKitDLL.cpp.
        (setUseOpenSourceWebKit): Call registerWebKit instead of swapping progids. There is only 1 set of progids now - for the nightly.
        * ForEachCoClass.h: Removed production progids. 
        * Interfaces/WebKit.idl: Added prototype for shutDownWebKit.
        * WebKit.vcproj/Interfaces.vcproj: Changed path to type library to move it out of project directory.
        * WebKit.vcproj/WebKit.vcproj: Changed path to type library to move it out of project directory.
        * WebKitDLL.cpp:
        (DllUnregisterServer): Does nothing. Entry point is still present for backward compatibility.
        (DllRegisterServer): Does nothing. Entry point is still present for backward compatibility.
        (RunAsLocalServer): Does nothing. Entry point is still present for backward compatibility.
        (shutDownWebKit): Moved from ForEachCoClass.
        * WebKitDLL.h:

2008-05-29  Anders Carlsson  <andersca@apple.com>

        Reviewed by Brady.

        <rdar://problem/5970312> 
        icon file specified for stand alone web app causes crash if the icon can't be found
        
        Handle the case where iconData is null.

        * WebIconFetcher.cpp:
        (WebIconFetcherClient::finishedFetchingIcon):

2008-05-22  Anders Carlsson  <andersca@apple.com>

        Reviewed by Adam.

        Add IWebIconFetcher interface and implementation.
        
        * Interfaces/IWebFramePrivate.idl:
        * Interfaces/IWebIconFetcher.idl: Added.
        * Interfaces/WebKit.idl:
        * WebFrame.cpp:
        * WebFrame.h:
        * WebIconFetcher.cpp: Added.
        * WebIconFetcher.h: Added.
        * WebKit.vcproj/WebKit.vcproj:

2008-05-22  Adam Roben  <aroben@apple.com>

        Add functions to IWebInspector to start/stop profiling/debugging

        <rdar://5956403>

        Reviewed by Jon Honeycutt.

        * Interfaces/IWebInspector.idl:
        * WebInspector.cpp:
        (WebInspector::isDebuggingJavaScript):
        (WebInspector::toggleDebuggingJavaScript):
        (WebInspector::isProfilingJavaScript):
        (WebInspector::toggleProfilingJavaScript):
        * WebInspector.h:

2008-05-22  Steve Falkenburg  <sfalken@apple.com>

        Build fix.

        * Interfaces/IWebInspector.idl:
        * Interfaces/WebKit.idl:
        * WebInspector.cpp:
        (WebInspector::unused1):
        * WebInspector.h:

2008-05-22  Timothy Hatcher  <timothy@apple.com>

        Changes to keep Windows building.

        <rdar://problem/5956403> Update the Develop menu to match the new Inspector items

        Reviewed by Adam Roben.

        * English.lproj/Localizable.strings: Added new strings.
        * WebInspector.cpp:
        (WebInspector::showConsole): Call showPanel.
        * WebInspector.h:

2008-05-21  Adele Peterson  <adele@apple.com>

        Reviewed by Adam.

        WebKit part of for <rdar://problem/5787733> fast/dom/HTMLDocument/hasFocus.html fails on Windows
        
        * WebCoreSupport/WebChromeClient.cpp:
        (WebChromeClient::focus): Call updateActiveState directly.
         Normally this would happen on a timer, but JS might need to know this earlier, so we'll update here.        
        (WebChromeClient::unfocus): ditto.
        * WebView.cpp: (WebView::updateActiveStateSoon): Added comment about why we use a timer for this.

=== End merge of squirrelfish ===

2008-05-13  Geoffrey Garen  <ggaren@apple.com>

        Reviewed by Oliver Hunt.
        
        Updated for new JS debugging APIs.

        * WebScriptDebugServer.cpp:
        (WebScriptDebugServer::didParseSource):
        (WebScriptDebugServer::failedToParseSource):
        * WebScriptDebugServer.h:

2008-05-09  Oliver Hunt  <oliver@apple.com>

        Reviewed by Geoff.

        Build fixes for SquirrelFish on windows.

        * WebScriptCallFrame.cpp:
        (callingFunctionOrGlobalExecState):
        (WebScriptCallFrame::caller):
        (WebScriptCallFrame::functionName):
        (WebScriptCallFrame::variableNames):
        (WebScriptCallFrame::valueForVariable):
        (WebScriptCallFrame::valueByEvaluatingJavaScriptFromString):
        * WebScriptDebugServer.cpp:
        (WebScriptDebugServer::willLeaveCallFrame):

2008-05-19  Adam Roben  <aroben@apple.com>

        Make WebKit.idl rebuild whenever any of its included interfaces are
        changed

        Reviewed by Tim Hatcher.

        * WebKit.vcproj/DerivedSources.make: Touch WebKit.idl whenever any
        other IDL file is changed. This will force VS to rebuild WebKit.idl.

2008-05-19  Anders Carlsson  <andersca@apple.com>

        Reviewed by Adam.

        <rdar://problem/5946454>
        Support navigator.onLine from HTML5.
        
        Link with iphlpapi.lib, and make iphlpapi.dll a delay loaded library.
        
        * WebKit.vcproj/WebKit.vcproj:

=== Start merge of squirrelfish ===

2008-05-19  Anders Carlsson  <andersca@apple.com>

        Reviewed by Darin, Alexey, Jess and Brady.

        Set the application cache path.
        
        * WebView.cpp:
        (WebKitSetApplicationCachePathIfNecessary):
        New function that sets the cache path.
        
        (WebView::initWithFrame):
        Set the application cache path.
        
2008-05-19  Ada Chan  <adachan@apple.com>

        Added IWebCookieManager interface which allows client to set the
        CFHTTPCookieStorageRef that WebCore should use.
        
        Implement IWebCookieManager interface in WebCookieManager.
        
        Update the cookie accept policy in the current cookie storage.

        Reviewed by Steve Falkenburg.

        * ForEachCoClass.h:
        * Interfaces/IWebCookieManager.idl: Added.
        * Interfaces/WebKit.idl:
        * WebCookieManager.cpp: Added.
        (WebCookieManager::createInstance):
        (WebCookieManager::WebCookieManager):
        (WebCookieManager::~WebCookieManager):
        (WebCookieManager::QueryInterface):
        (WebCookieManager::AddRef):
        (WebCookieManager::Release):
        (WebCookieManager::cookieStorage):
        (WebCookieManager::setCookieStorage):
        * WebCookieManager.h: Added.
        * WebKit.vcproj/WebKit.vcproj:
        * WebKitClassFactory.cpp:
        * WebView.cpp:
        (updateSharedSettingsFromPreferencesIfNeeded):

2008-05-16  Stephanie Lewis  <slewis@apple.com>

        Reviewed by Steve.

        Get pending unload event count from WebCore.

        * Interfaces/IWebFramePrivate.idl:
        * WebFrame.cpp:
        (WebFrame::pendingFrameUnloadEventCount):
        * WebFrame.h:

2008-05-16  Matt Lilek  <webkit@mattlilek.com>

        Rubber stamped by Oliver.

        Remove the Drosera sub-project.

        * WebKit.vcproj/WebKit.sln:

2008-05-16  Brady Eidson  <beidson@apple.com>

        Reviewed by Steve Falkenburg
        
        <rdar://problem/5942624> - Get LocalStorage persistence working on Windows
        
        * WebPreferenceKeysPrivate.h: Add the LocalStorageDirectory defaults key
        
        * WebPreferences.cpp:
        (WebPreferences::initializeDefaultSettings):
        (WebPreferences::localStorageDatabasePath):
        (WebPreferences::setLocalStorageDatabasePath):
        * WebPreferences.h:
        * Interfaces/IWebPreferencesPrivate.idl:

        * WebView.cpp:
        (WebView::initWithFrame): Set the path in the WebCore::Settings after new Page creation

2008-05-06  Brady Eidson  <beidson@apple.com>

        Reviewed by Tim Hatcher

        Until the settings/preferences equation can be reworked, we'll need to manually set the local storage path
        before setting the page group of the new page.

        Since I still need to add the local storage path to WebPreferences on Windows, mark this with a FIXME for now.

        * WebView.cpp:
        (WebView::initWithFrame): Mark an important FIXME for setting the LocalStorage path as
          appropriate.  Until this FIXME is handled, Windows will have no persistent LocalStorage

2008-05-14  Adam Roben  <aroben@apple.com>

        Fix Bug 18767: Inspector is currently pretty much useless on Windows

        <https://bugs.webkit.org/show_bug.cgi?id=18767>

        Reviewed by Tim Hatcher.

        * WebCoreSupport/WebInspectorClient.cpp:
        (WebInspectorClient::highlight): Only move the highlight behind the
        Inspector window when first creating the highlight, not every time we
        update it.

2008-05-13  Adam Roben  <aroben@apple.com>

        Neuter WebScriptDebugServer

        Some upcoming changes to JavaScriptDebugServer and
        JavaScriptDebugListener will break WebScriptDebugServer. Since Drosera
        is being replaced by the Inspector's debugger, and Drosera is the only
        client of WebScriptDebugServer, it makes more sense to get rid of
        WebScriptDebugServer than to update it to keep it working.

        We can't actually remove WebScriptDebugServer entirely yet, so I've
        just made it non-functional. This will completely break Drosera, but
        as stated above, Drosera's days are numbered anyway.

        Reviewed by Tim Hatcher and Kevin McCullough.

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::dispatchDidLoadMainResource): Removed all code
        in this function.
        * WebKitDLL.cpp:
        (LocalServerDidDie): Ditto.
        * WebScriptDebugServer.cpp: Made all IWebScriptDebugServer functions
        return E_NOTIMPL.
        * WebScriptDebugServer.h: Removed everything but the
        IWebScriptDebugServer functions.

2008-05-12  Dan Bernstein  <mitz@apple.com>

        - build fix

        * Interfaces/WebKit.idl: Touched.

2008-05-12  Dan Bernstein  <mitz@apple.com>

        Reviewed by Ada Chan.

        - WebKit/win changes for https://bugs.webkit.org/show_bug.cgi?id=17097
          <rdar://problem/5715471> CGFontRefs (and HFONTs on Windows) leak because FontCache grows without bound

        Added font cache statistics and a function to purge inactive font data.

        * Interfaces/IWebCoreStatistics.idl:
        * WebCoreStatistics.cpp:
        (WebCoreStatistics::cachedFontDataCount):
        (WebCoreStatistics::cachedFontDataInactiveCount):
        (WebCoreStatistics::purgeInactiveFontData):
        (WebCoreStatistics::glyphPageCount):
        * WebCoreStatistics.h:

2008-05-12  Adam Roben  <aroben@apple.com>

        Build fix

        * WebKitPrefix.cpp: Touch this so that it will rebuild after
        ENABLE_CROSS_DOCUMENT_MESSAGING was removed.

2008-05-12  Alexey Proskuryakov  <ap@webkit.org>

        Roll out recent  threading changes (r32807, r32810, r32819, r32822) to simplify
        SquirrelFish merging.

        * WebCoreStatistics.cpp:
        (WebCoreStatistics::javaScriptObjectsCount):
        (WebCoreStatistics::javaScriptGlobalObjectsCount):
        (WebCoreStatistics::javaScriptProtectedObjectsCount):
        (WebCoreStatistics::javaScriptProtectedGlobalObjectsCount):
        * WebJavaScriptCollector.cpp:
        (WebJavaScriptCollector::objectCount):
        * WebScriptCallFrame.cpp:
        (WebScriptCallFrame::valueByEvaluatingJavaScriptFromString):

2008-05-09  Brady Eidson  <beidson@apple.com>

        Reviewed by Adam Roben

        Fix a hang-on-quit bug where in the DLL_PROCESS_DETACH DllMain callback, we assummed that
        we could cleanly shutdown WebKit but we couldn't because any background threads have already
        been uncleanly aborted at that point.
        
        * ForEachCoClass.cpp:
        (shutDownWebKit): Moved from WebKitDLL to here, to be exposed via WebKit.def
        * ForEachCoClass.h:
        
        * WebKit.vcproj/WebKit.def:
        * WebKit.vcproj/WebKit_debug.def:
        
        * WebKitDLL.cpp:
        (DllMain): Don't call shutDownWebKit here

2008-05-09  Sam Weinig  <sam@webkit.org>

        Rubber-stamped by Mark Rowe.

        Remove the ENABLE_CROSS_DOCUMENT_MESSAGING #ifdefs.

        * WebKit.vcproj/WebKit.vcproj:

2008-05-09  Adam Roben  <aroben@apple.com>

        Build fix

        * Interfaces/WebKit.idl: Touched.

2008-05-06  Alice Liu  <alice.liu@apple.com>

        Reviewed by Adele Peterson and John Sullivan.

        changes needed to build on Windows after r32911 and r32927

        * AccessibleBase.cpp:
        (AccessibleBase::get_accParent):
        * AccessibleDocument.cpp:
        (AccessibleDocument::document):

2008-05-06  Brady Eidson  <beidson@apple.com>

        Reviewed by Darin Adler

        Preparation for upcoming work making LocalStorage persistent.

        When the application terminates, all LocalStorage areas must be sync'ed out to disk first.

        * WebKitDLL.cpp:
        (shutDownWebKit): Close all LocalStorage areas before quitting.

2008-05-05  Anders Carlsson  <andersca@apple.com>

        Reviewed by John.

        Add preference for enabling the offline web application cache.
        
        * Interfaces/IWebPreferencesPrivate.idl:
        * WebPreferenceKeysPrivate.h:
        * WebPreferences.cpp:
        (WebPreferences::initializeDefaultSettings):
        (WebPreferences::setOfflineWebApplicationCacheEnabled):
        (WebPreferences::offlineWebApplicationCacheEnabled):
        * WebPreferences.h:
        * WebView.cpp:
        (WebView::notifyPreferencesChanged):

2008-05-05  Sam Weinig  <sam@webkit.org>

        Reviewed by Tim Hatcher.

        Make the Inspector's localizable strings file match the format used by Dashboard widgets.

        * WebCoreSupport/WebInspectorClient.cpp:
        (WebInspectorClient::localizedStringsURL):

2008-05-05  Steve Falkenburg  <sfalken@apple.com>

        Add WebPreference for application chrome mode.
        
        Reviewed by Dave Hyatt.

        * Interfaces/IWebPreferencesPrivate.idl:
        * WebPreferenceKeysPrivate.h:
        * WebPreferences.cpp:
        (WebPreferences::initializeDefaultSettings):
        (WebPreferences::inApplicationChromeMode):
        (WebPreferences::setApplicationChromeMode):
        * WebPreferences.h:
        * WebView.cpp:
        (WebView::notifyPreferencesChanged):

2008-05-02  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Geoffrey Garen.

        https://bugs.webkit.org/show_bug.cgi?id=18826
        Make JavaScript heap per-thread

        * WebCoreStatistics.cpp:
        (WebCoreStatistics::javaScriptObjectsCount):
        (WebCoreStatistics::javaScriptGlobalObjectsCount):
        (WebCoreStatistics::javaScriptProtectedObjectsCount):
        (WebCoreStatistics::javaScriptProtectedGlobalObjectsCount):
        * WebJavaScriptCollector.cpp:
        (WebJavaScriptCollector::objectCount):
        * WebScriptCallFrame.cpp:
        (WebScriptCallFrame::valueByEvaluatingJavaScriptFromString):
        Replaced static Collector calls with calls to a current thread's instance. Pass ExecState to jsString().

2008-04-29  Ada Chan  <adachan@apple.com>

        Support text shadow in WebDrawText().
        Remove DrawTextAtPoint() since it is only called by WebDrawText().

        Reviewed by Adam.

        * WebKit.vcproj/WebKit.def:
        * WebKit.vcproj/WebKit_debug.def:
        * WebKitGraphics.cpp:
        (WebDrawText):
        * WebKitGraphics.h:

2008-04-29  Adam Roben  <aroben@apple.com>

        Restore the beloved COMPtr::operator&

2008-04-29  Adam Roben  <aroben@apple.com>

        Windows build fix

        Replaced uses of COMPtr::operator& with COMPtr::adoptionPointer.

2008-04-29  Adam Roben  <aroben@apple.com>

        Fix a Windows build error

        * WebScriptCallFrame.cpp:
        (WebScriptCallFrame::variableNames): Don't use ::adopt now that
        PropertyNameArray has no swap function.

2008-04-28  Adam Roben  <aroben@apple.com>

        Fix some Windows build errors in WebKit

        * Interfaces/WebKit.idl: Touched to force Interfaces to rebuild.
        * WebKitPrefix.cpp: Touched to force WebKit to rebuild.

2008-04-25  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Darin Adler.

        Fix run-webkit-tests --threading
        and provisionally fix <https://bugs.webkit.org/show_bug.cgi?id=18661>
        Proxy server issue in Sunday's Nightly

        * WebView.cpp: (WebView::WebView): Initialize threading. Previously, this was only done from
        icon database code, which is not robust enough.

2008-04-26  Adam Barth <hk9565@gmail.com>

        Reviewed by Adam Roben and Sam Weinig.

        Renamed "domain" method to "host" to match SecurityOrigin.

        * Interfaces/IWebSecurityOrigin.idl:
        * WebSecurityOrigin.cpp:
        (WebSecurityOrigin::host):
        * WebSecurityOrigin.h:

2008-04-25  Anders Carlsson  <andersca@apple.com>

        Reviewed by Adam.

        Fix internal debug build.
        
        * WebKit.vcproj/WebKit.vcproj:

2008-04-24  Dan Bernstein  <mitz@apple.com>

        - build fix

        * WebView.cpp:
        (WebView::handleContextMenuEvent):

2008-04-24  Brady Eidson  <beidson@apple.com>

        Reviewed by Darin

        Revert my previous change to WebKit/Win until I can make it act more like the new Mac code

        * WebView.cpp:
        (WebView::initWithFrame):

2008-04-24  Anders Carlsson  <andersca@apple.com>

        Reviewed by Sam.

        Change some String arguments to be const references instead.

        * WebCoreSupport/WebEditorClient.cpp:
        (WebEditorClient::shouldInsertText):
        * WebCoreSupport/WebEditorClient.h:

2008-04-23  Brady Eidson  <beidson@apple.com>

        Reviewed by Sam Weinig

        In some current work I noticed that when a new Page is created, it is possible that it requires info from its Settings
        object before the Settings object is initialized.  It seems quite prudent to post the preferences changed notification,
        thereby populating the Settings object, immediately after the Page is created.

        * WebView.cpp:
        (WebView::initWithFrame): Post the notification right after the Page is created

2008-04-23  Jon Honeycutt  <jhoneycutt@apple.com>

        Reviewed by Brady.

        Implement accDoDefaultAction().

        * AccessibleBase.cpp:
        (AccessibleBase::accDoDefaultAction): Call the object's
        performDefaultAction() method. Return S_FALSE if the call returns false,
        indicating that the object has no default action associated with it.

2008-04-23  Jon Honeycutt  <jhoneycutt@apple.com>

        Reviewed by Adam.

        Implement accHitTest().

        * AccessibleBase.cpp:
        (AccessibleBase::accHitTest): Perform a hit test for a child object. If
        none is found, report whether the point was within our own bounding box.

2008-04-23  Jon Honeycutt  <jhoneycutt@apple.com>

        Reviewed by Adam and Darin.

        Implement accNavigate().

        * AccessibleBase.cpp:
        (AccessibleBase::accNavigate): This method navigates between elements,
        given a start point and a direction. The directions UP, DOWN, LEFT,
        RIGHT are not are not implemented, matching Mozilla and IE. The
        directions FIRSTCHILD and LASTCHILD are only allowed from self. NEXT and
        PREVIOUS are allowed from self or any of our children.

2008-04-23  Jon Honeycutt  <jhoneycutt@apple.com>

        Reviewed by Adam.

        Implement accLocation().

        * AccessibleBase.cpp:
        (AccessibleBase::accLocation): Report the screen coordinates for the
        object's bounding box.

2008-04-23  Jon Honeycutt  <jhoneycutt@apple.com>

        Reviewed by Adam, Darin, Oliver.

        Implement get_accDefaultAction().

        * AccessibleBase.cpp:
        (AccessibleBase::get_accDefaultAction): Report the result of calling the
        object's actionVerb method.
        * English.lproj/Localizable.strings: Updated with new strings.
        * WebCoreLocalizedStrings.cpp: 
        (WebCore::AXButtonActionVerb): Return a localized string representing
        the object's default action.
        (WebCore::AXRadioButtonActionVerb): Same.
        (WebCore::AXTextFieldActionVerb): Same.
        (WebCore::AXCheckedCheckBoxActionVerb): Same
        (WebCore::AXUncheckedCheckBoxActionVerb): Same.
        (WebCore::AXLinkActionVerb): Same.

2008-04-23  Daniel Zucker  <zucker@wake3.com>

        Reviewed by Adam Roben.

        <https://bugs.webkit.org/show_bug.cgi?id=18468>

        * WebError.h:  include RetainPtr.h to fix build errors in Cairo build

2008-04-23  Daniel Zucker  <zucker@wake3.com>

        Reviewed by Adam Roben.

        Move the location of #if USE(CFNETWORK) to fix a cairo/curl build error.
        <https://bugs.webkit.org/show_bug.cgi?id=18470>

        * WebError.cpp:
        (WebError::sslPeerCertificate):

2008-04-22  Jon Honeycutt  <jhoneycutt@apple.com>

        Reviewed by Adam.

        Implement get_accFocus().

        * AccessibleBase.cpp:
        (AccessibleBase::get_accRole): Remove redundant initialization;
        VariantInit does this.
        (AccessibleBase::get_accState): Same.
        (AccessibleBase::get_accSelection): Relocated next to accSelect().
        (AccessibleBase::get_accFocus): If the focused object is this object or
        a child of this object, report it. Otherwise, report VT_EMPTY.

2008-04-22  Jon Honeycutt  <jhoneycutt@apple.com>

        Reviewed by Sam.

        Implement get_accKeyboardShortcut().

        * AccessibleBase.cpp:
        (AccessibleBase::get_accKeyboardShortcut): Report the key combination
        that will perform the object's access key action, represented as a
        string.

2008-04-19  Jon Honeycutt  <jhoneycutt@apple.com>

        Reviewed by Darin Adler.

        Implement get_accHelp().

        * AccessibleBase.cpp:
        (AccessibleBase::get_accHelp): Report the result of calling the object's
        helpText() method.

2008-04-19  Jon Honeycutt  <jhoneycutt@apple.com>

        Reviewed by Darin Adler.

        Implement get_accState().

        * AccessibleBase.cpp:
        (AccessibleBase::get_accState):

2008-04-21  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Darin Adler.

        Move collector main thread initialization from WebKit/win to KJS::initializeThreading.

        * WebView.cpp:
        (WebView::WebView):

2008-04-18  Jon Honeycutt  <jhoneycutt@apple.com>

        Reviewed by Darin Adler.

        Implement get_accRole().

        * AccessibleBase.cpp:
        (AccessibleBase::get_accRole): Report the result of role().
        (MSAARole): Added; returns the MSAA role for a WebCore role.
        (AccessibleBase::role): Return the MSAA role for the object's roleValue.
        * AccessibleBase.h: Add declaration for role().

2008-04-18  Jon Honeycutt  <jhoneycutt@apple.com>

        Reviewed by Darin Adler.

        Implement get_accName(), get_accValue(), get_accDescription(). Added
        virtual methods that accessible objects can override to customize the
        result.

        * AccessibleBase.cpp:
        (AccessibleBase::get_accName): Report result of name().
        (AccessibleBase::get_accValue): Report result of value().
        (AccessibleBase::get_accDescription): Report result of description().
        (AccessibleBase::name): Added; returns AccessibilityObject::title().
        (AccessibleBase::value): Added; returns
        AccessibilityObject::stringValue().
        (AccessibleBase::description): Added; returns
        AccessibilityObject::accessibilityDescription().
        * AccessibleBase.h: Added declarations for name(), value(), and
        description().
        * ChangeLog: Fix my misuse of "definition."

2008-04-18  Jon Honeycutt  <jhoneycutt@apple.com>

        Fix build after r32231.

        * WebFrame.cpp:
        (WebFrame::renderTreeAsExternalRepresentation): renderer() ->
        contentRenderer()

2008-04-18  Jon Honeycutt  <jhoneycutt@apple.com>

        Fix build after r32231.

        * WebView.cpp:
        (WebView::paintIntoBackingStore): renderer() -> contentRenderer()
        (WebView::elementAtPoint): Same.

2008-04-18  Jon Honeycutt  <jhoneycutt@apple.com>

        * AccessibleBase.cpp: Build fix for copy/paste error.

2008-04-18  Jon Honeycutt  <jhoneycutt@apple.com>

        Reviewed by Darin Adler.

        Implement IAccessible::get_accChild().

        * AccessibleBase.cpp:
        (AccessibleBase::get_accChild): Call getAccessibilityObjectForChild
        to find the AccessibilityObject for the VARIANT vChild. Get the
        AccessibilityObjectWrapper for the child, add a ref, and pass it back.
        (AccessibleBase::getAccessibilityObjectForChild): Added; finds the
        AccessibilityObject referred to by a VARIANT, or returns a COM error on
        failure.
        (AccessibleBase::wrapper): Added; returns the wrapper for the
        AccessibilityObject. Creates one if necessary.
        * AccessibleBase.h: Added declarations for wrapper() and
        getAccessibilityObjectForChild().

2008-04-18  Jon Honeycutt  <jhoneycutt@apple.com>

        Reviewed by Darin, Ollie. 

        * AccessibleBase.cpp:
        (AccessibleBase::get_accChildCount): Implement get_accChildCount.

2008-04-17  Jon Honeycutt  <jhoneycutt@apple.com>

        Reviewed by Darin Adler.

        Implement IAccessible::get_accParent(). 

        * AccessibleBase.cpp:
        (AccessibleBase::get_accParent): Call AccessibleObjectFromWindow with
        OBJID_WINDOW. This will be handled by Windows to return the default
        accessible object for the WebView, because we only handle OBJID_CLIENT.
        * WebView.cpp:
        (WebView::AccessibleObjectFromWindow): Added; calls through to the
        AccessibleObjectFromWindow in the MSAA DLL.
        * WebView.h: Added declaration for AccessibleObjectFromWindow.

2008-04-17  Jon Honeycutt  <jhoneycutt@apple.com>

        Reviewed by Darin Adler.

        Return an AccessibleDocument when our root accessible object is queried
        for.

        * AccessibleDocument.cpp: Added; represents an AccessibilityObject that
        itself represents a Document.
        (AccessibleDocument::AccessibleDocument): Initialize AccessibleBase with
        the AccessibilityObject for this Document.
        * AccessibleDocument.h: Added.
        * WebFrame.cpp:
        (WebFrame::accessible): If m_accessible is 0, or if Document in this
        frame does not match the Document in the cached m_accessible object,
        create a new AccessibleDocument for this frame's Document.
        * WebFrame.h: Swap AccessibleBase.h for AccessibleDocument.h
        * WebKit.vcproj/WebKit.vcproj: Add AccessibleDocument.{h,cpp}

2008-04-17  Jon Honeycutt  <jhoneycutt@apple.com>

        Reviewed by Darin Adler.

        Respond to WM_GETOBJECT messages. Currently returns NULL.

        * WebFrame.cpp:
        (WebFrame::accessible): Added; will return the root accessible object
        for this frame.
        * WebFrame.h: Added declaration for accessible().
        * WebView.cpp:
        (WebViewWndProc): Handle WM_GETOBJECT messages by calling onGetObject().
        (WebView::onGetObject): Added; enables the AXObjectCache in WebCore,
        queries the top-level frame for its root accessible object, and loads
        the MSAA DLL and locates its LresultFromObject function. If calling
        LresultFromObject succeeds, it returns a reference to the accessible
        object to pass back to Windows. If not, we return false and let Windows
        handle the request through DefWindowProc.
        * WebView.h: Added declaration for onGetObject().

2008-04-18  Brady Eidson  <beidson@apple.com>

        Reviewed by Sam Weinig

        Don't clear the PageGroup on _close, as the WebCore::Page destructor already does this.
        No reason to do the work twice...

        * WebView.cpp:
        (WebView::close):

2008-04-18  Adam Roben  <aroben@apple.com>

        Update WebScriptDebugServer for JavaScriptDebugListener changes

        Reviewed by Tim Hatcher.

        * WebScriptDebugServer.cpp: Changed to use KJS::UString instead of
        WebCore::String.
        * WebScriptDebugServer.h: Ditto.

2008-04-16  Jon Honeycutt  <jhoneycutt@apple.com>

        Reviewed by Darin Adler.

        Add a base AccessibilityObject wrapper class. Currently just stubs all
        of the IAccessible methods.

        * AccessibleBase.cpp: Added. Implements IAccessible, and inherits from
        WebCore::AccessibilityObjectWrapper.
        (AccessibleBase::AccessibleBase): Set the object's wrapper to this
        instance. 
        (AccessibleBase::~AccessibleBase):
        (AccessibleBase::createInstance): Create an instance of a wrapper for
        this AccessibilityObject.
        (AccessibleBase::QueryInterface):
        (AccessibleBase::Release):
        (AccessibleBase::get_accParent):
        (AccessibleBase::get_accChildCount):
        (AccessibleBase::get_accChild):
        (AccessibleBase::get_accName):
        (AccessibleBase::get_accValue):
        (AccessibleBase::get_accDescription):
        (AccessibleBase::get_accRole):
        (AccessibleBase::get_accState):
        (AccessibleBase::get_accHelp):
        (AccessibleBase::get_accKeyboardShortcut):
        (AccessibleBase::accSelect):
        (AccessibleBase::get_accFocus):
        (AccessibleBase::get_accSelection):
        (AccessibleBase::get_accDefaultAction):
        (AccessibleBase::accLocation):
        (AccessibleBase::accNavigate):
        (AccessibleBase::accHitTest):
        * AccessibleBase.h: Added.
        (AccessibleBase::AddRef):
        (AccessibleBase::put_accName):
        (AccessibleBase::put_accValue):
        (AccessibleBase::get_accHelpTopic):
        (AccessibleBase::GetTypeInfoCount):
        (AccessibleBase::GetTypeInfo):
        (AccessibleBase::GetIDsOfNames):
        (AccessibleBase::Invoke):
        (AccessibleBase::detach): Detach this wrapper from its object.
        * WebKit.vcproj/WebKit.vcproj:

2008-04-15  Anders Carlsson  <andersca@apple.com>

        Reviewed by Adam.

        Add ENABLE_OFFLINE_WEB_APPLICATIONS to FEATURE_DEFINES.

        * WebKit.vcproj/WebKit.vcproj:

2008-04-12  Matt Lilek  <webkit@mattlilek.com>

        Not reviewed, build fix.

        * WebView.cpp:
        (WebView::paintDocumentRectToContext):

2008-04-11  Steve Falkenburg  <sfalken@apple.com>

        Fix caching typo.
        
        Made this code match the Mac.
        
        Reviewed by Mark Rowe.

        * WebView.cpp:
        (PreferencesChangedOrRemovedObserver::notifyPreferencesChanged):

2008-04-11  Adam Roben  <aroben@apple.com>

        * ForEachCoClass.h: Added a deprecation notice.

2008-04-11  Adam Roben  <aroben@apple.com>

        Fix Bug 18376: r31733 and 27 don't work w/Safari 3.1
        
        <https://bugs.webkit.org/show_bug.cgi?id=18376>

        Rubberstamped by Steve.

        * ForEachCoClass.h: Move post-3.1 classes to the end of the
        FOR_EACH_COCLASS macro so that pre-3.1 classes will be in the place
        Safari expects them to be. We will soon be deprecating
        setUseOpenSourceWebKit/progIDForClass because it is clearly very
        fragile.

2008-04-10  Ada Chan  <adachan@apple.com>

        Added WebCoreStatistics that provides stats on Javascript objects
        and IconDatabase.
        
        Changed WebCache::statistics() to additionally return xsl stylesheets data
        and data on live sizes and decoded sizes.

        Reviewed by Steve.

        * ForEachCoClass.h:
        * Interfaces/IWebCoreStatistics.idl: Added.
        * Interfaces/WebKit.idl:
        * WebCache.cpp:
        (WebCache::statistics):
        * WebCoreStatistics.cpp: Added.
        (WebCoreStatistics::WebCoreStatistics):
        (WebCoreStatistics::~WebCoreStatistics):
        (WebCoreStatistics::createInstance):
        (WebCoreStatistics::QueryInterface):
        (WebCoreStatistics::AddRef):
        (WebCoreStatistics::Release):
        (WebCoreStatistics::javaScriptObjectsCount):
        (WebCoreStatistics::javaScriptGlobalObjectsCount):
        (WebCoreStatistics::javaScriptProtectedObjectsCount):
        (WebCoreStatistics::javaScriptProtectedGlobalObjectsCount):
        (WebCoreStatistics::iconPageURLMappingCount):
        (WebCoreStatistics::iconRetainedPageURLCount):
        (WebCoreStatistics::iconRecordCount):
        (WebCoreStatistics::iconsWithDataCount):
        * WebCoreStatistics.h: Added.
        * WebKit.vcproj/WebKit.vcproj:
        * WebKitClassFactory.cpp:

2008-04-09  Steve Falkenburg  <sfalken@apple.com>

        Delete backing store (after a delay) when a WebView's top-level parent becomes inactive.

        Reviewed by Brady Eidson.

        * WebView.cpp:
        (WebView::windowReceivedMessage):

2008-04-08  Adam Roben  <aroben@apple.com>

        Export callOnMainThread from WebKit.dll

        Rubberstamped by Anders.

        * WebKit.vcproj/WebKit.def:
        * WebKit.vcproj/WebKit_debug.def:

2008-04-08  Adam Roben  <aroben@apple.com>

        Move callOnMainThread to WTF

        Reviewed by Alexey Proskuryakov.

        * WebIconDatabase.cpp: Updated #include

2008-04-08  Steve Falkenburg  <sfalken@apple.com>

        Add missing increment/decrement COM class counts to detect leaks.
        
        Reviewed by Adam Roben.

        * CFDictionaryPropertyBag.cpp:
        (CFDictionaryPropertyBag::CFDictionaryPropertyBag):
        (CFDictionaryPropertyBag::~CFDictionaryPropertyBag):
        * CFDictionaryPropertyBag.h:
        * HTTPHeaderPropertyBag.cpp:
        (HTTPHeaderPropertyBag::HTTPHeaderPropertyBag):
        (HTTPHeaderPropertyBag::~HTTPHeaderPropertyBag):
        * HTTPHeaderPropertyBag.h:
        * WebActionPropertyBag.cpp:
        (WebActionPropertyBag::WebActionPropertyBag):
        (WebActionPropertyBag::~WebActionPropertyBag):
        * WebDocumentLoader.cpp:
        (WebDocumentLoader::WebDocumentLoader):
        (WebDocumentLoader::~WebDocumentLoader):
        * WebDropSource.cpp:
        (WebDropSource::WebDropSource):
        (WebDropSource::~WebDropSource):
        * WebDropSource.h:
        * WebElementPropertyBag.cpp:
        (WebElementPropertyBag::WebElementPropertyBag):
        (WebElementPropertyBag::~WebElementPropertyBag):
        * WebTextRenderer.cpp:
        (WebTextRenderer::WebTextRenderer):
        (WebTextRenderer::~WebTextRenderer):

2008-04-07  Brady Eidson  <beidson@apple.com>

        Reviewed by John Honeycutt

        ENABLE_DOM_STORAGE for Windows

        * WebKit.vcproj/WebKit.vcproj:

2008-04-04  Adam Roben  <aroben@apple.com>

        Export some more WTF functions from WebKit.dll

        Reviewed by Alexey Proskuryakov.

        * WebKit.vcproj/WebKit.def:
        * WebKit.vcproj/WebKit_debug.def:

2008-04-04  Steve Falkenburg  <sfalken@apple.com>

        Only delete the backing store of background windows.

        Reviewed by Ada Chan.

        * WebView.cpp:
        (WebView::WebView):
        (WebView::deleteBackingStore):
        (WebView::paint): Added active check.
        (WebView::deleteBackingStoreSoon):
        (WebView::cancelDeleteBackingStoreSoon): Added.
        (WebView::active): Added.
        (WebView::updateActiveState): Moved active check code from here to active().
        * WebView.h:

2008-04-04  Steve Falkenburg  <sfalken@apple.com>

        Fix tooltip window leak.
        
        Explicitly call DestroyWindow on the tooltip.
        Destroying its parent won't destroy the tooltip, since it not a WS_CHILD style window.

        Reviewed by Ada Chan.

        * WebView.cpp:
        (WebView::~WebView):

2008-04-04  Steve Falkenburg  <sfalken@apple.com>

        Delete backing store after we go 5 seconds without a paint.
                
        Timer will be reset if a paint occurs, so this won't negatively impact performance.
        
        Reviewed by Ada Chan.

        * WebView.cpp:
        (WebView::paint): Call deleteBackingStoreSoon after paint.
        (WebViewWndProc): Add DeleteBackingStoreTimer.
        (WebView::deleteBackingStoreSoon): Added.
        * WebView.h: Add deleteBackingStoreSoon.

2008-04-04  Ada Chan  <adachan@apple.com>

        <rdar://problem/5830598> Image file opened in the browser window shows "Localized String Not Found' in window's title bar instead file name
        Save WebCoreLocalizedStrings.cpp with UTF8 encoding.
        Changed the format string to take in integers.

        Reviewed by Dan.

        * English.lproj/Localizable.strings: Updated.
        * WebCoreLocalizedStrings.cpp:
        (WebCore::imageTitle):

2008-04-03  Dan Bernstein  <mitz@apple.com>

        Reviewed by Dave Hyatt.

        - WebKit part of fixing http://bugs.webkit.org/show_bug.cgi?id=6484
          font-weight does not properly support graded weights

        * DOMCoreClasses.cpp:
        (DOMElement::font): Updated for the change to FontDescription.
        * WebCoreSupport/WebDragClient.cpp:
        (dragLabelFont): Ditto.
        * WebKitGraphics.cpp:
        (makeFont): Ditto.
        * WebKitGraphics.h: Added a FIXME.

2008-04-03  Steve Falkenburg  <sfalken@apple.com>

        <rdar://problem/5835382> Calling window.open immediately after window.close can sometimes result in no window being created
        
        Group name tracking needs to happen using code in WebCore::Page, since it is more involved than
        just setting a string.
        
        Reviewed by Adam Roben.

        * WebView.cpp:
        (WebView::close): Add null check (found via code inspection).
        (WebView::initWithFrame): Store the group name directly in Page.
        (WebView::setGroupName): Store the group name directly in Page.
        (WebView::groupName): Retrieve the group name directly from Page.
        * WebView.h: Removed m_groupName

2008-04-03  Simon Hausmann  <hausmann@webkit.org>

        Reviewed by Mark Rowe.

        Roll out r31599 and r31605 again after discussion with Mark Rowe.

        * WebIconDatabase.cpp:
        (WebIconDatabase::iconForURL):

2008-04-03  Simon Hausmann  <hausmann@webkit.org>

        Attempted build fix

        * WebIconDatabase.cpp:
        (WebIconDatabase::iconForURL): Adjust to changed iconForPageURL
        signature

2008-04-03  Ada Chan  <adachan@apple.com>

        Allow WebArchive to be created via COM.
        Replaced IID_DOMNode with __uuidof(DOMNode).

        Reviewed by Adam and Steve.

        * DOMCoreClasses.cpp:
        (DOMNode::QueryInterface):
        (DOMNode::isSameNode):
        * DOMCoreClasses.h:
        * ForEachCoClass.h:
        * Interfaces/WebKit.idl:
        * WebArchive.cpp:
        (WebArchive::createInstance):
        * WebArchive.h:
        * WebKitClassFactory.cpp:

2008-04-01  Brady Eidson  <beidson@apple.com>

        Reviewed by Jon Honeycutt and Cake

        Hookup WebArchive API enough to be able to save the archive of a DOMNode
        
        * DOMCoreClasses.h: Add a GUID for DOMNode

        * Interfaces/IWebArchive.idl: Add initWithNode()

        * WebArchive.cpp:
        (WebArchive::initWithNode):
        (WebArchive::data): Actually return LegacyWebArchive-style data
        * WebArchive.h:

2008-04-01  Brady Eidson  <beidson@apple.com>

        Reviewed by Adam Roben

        Add empty implementations of WebArchive for future work
        
        * WebArchive.cpp: Added.
        (WebArchive::createInstance):
        (WebArchive::WebArchive):
        (WebArchive::~WebArchive):
        (WebArchive::QueryInterface):
        (WebArchive::AddRef):
        (WebArchive::Release):
        (WebArchive::initWithMainResource):
        (WebArchive::initWithData):
        (WebArchive::mainResource):
        (WebArchive::subResources):
        (WebArchive::subframeArchives):
        (WebArchive::data):
        * WebArchive.h: Added.
        
        * WebKit.vcproj/WebKit.vcproj:

2008-03-29  Adam Roben  <aroben@apple.com>

        Rename IWebViewPrivate::addAdditionalPluginPath to
        addAdditionalPluginDirectory

        Reviewed by Mitz Pettel.

        * Interfaces/IWebViewPrivate.idl:
        * Interfaces/WebKit.idl: Touched to make sure the Interfaces project
        rebuilds.
        * WebView.cpp:
        (WebView::addAdditionalPluginDirectory):
        * WebView.h:

2008-03-26  Brent Fulgham  <bfulgham@gmail.com>

        Reviewed by Adam Roben.

        Add necessary files and build commands to vcproj files to
        build a Curl-based Windows WebKit.  For details, see
        http://bugs.webkit.org/show_bug.cgi?id=17985

        * WebKit.vcproj/WebKit.vcproj:

2008-03-25  Adam Roben  <aroben@apple.com>

        Attempted build fix

        * WebKit.vcproj/WebKit.sln: Make testapi build after most other
        projects.

2008-03-25  Adam Roben  <aroben@apple.com>

        Fix Bug 18077: Integrate testapi.c into the Windows build

        <http://bugs.webkit.org/show_bug.cgi?id=18077>

        Reviewed by Steve Falkenburg.

        * WebKit.vcproj/WebKit.sln: Added testapi.vcproj to the solution.

2008-03-25  Brady Eidson  <beidson@apple.com>

        Reviewed by Darin

        Remove newly obsolete FrameLoaderClient methods

        * WebFrame.cpp:
        * WebFrame.h:

2008-03-25  Darin Adler  <darin@apple.com>

        Suggested by Adam.

        * Interfaces/WebKit.idl: Touch this file to make the Interface project rebuild.

2008-03-21  Ada Chan  <adachan@apple.com>

        <rdar://problem/5810324> visitCount not updated in History.plist
        Call WebCore::HistoryItem::mergeAutoCompleteHints() in WebHistoryItem::mergeAutoCompleteHints().

        Reviewed by Steve.

        * WebHistoryItem.cpp:
        (WebHistoryItem::mergeAutoCompleteHints):
        (WebHistoryItem::QueryInterface):

2008-03-20  Dan Bernstein  <mitz@apple.com>

        Reviewed by Adam Roben.

        - make makeTextLarger() and zoomPageIn() do what they are supposed to do

        * WebView.cpp:
        (WebView::makeTextLarger): Changed call to canZoomIn() to zoomIn().
        (WebView::zoomPageIn): Ditto.

2008-03-20  Dave Hyatt  <hyatt@apple.com>

        Add full page zoom API for Windows WebKit.

        Reviewed by aroben

        * Interfaces/IWebView.idl:
        * WebView.cpp:
        (WebView::WebView):
        (WebView::setTextSizeMultiplier):
        (WebView::setPageSizeMultiplier):
        (WebView::setZoomMultiplier):
        (WebView::textSizeMultiplier):
        (WebView::pageSizeMultiplier):
        (WebView::zoomMultiplier):
        (WebView::canMakeTextLarger):
        (WebView::canZoomPageIn):
        (WebView::canZoomIn):
        (WebView::makeTextLarger):
        (WebView::zoomPageIn):
        (WebView::zoomIn):
        (WebView::canMakeTextSmaller):
        (WebView::canZoomPageOut):
        (WebView::canZoomOut):
        (WebView::makeTextSmaller):
        (WebView::zoomPageOut):
        (WebView::zoomOut):
        (WebView::canMakeTextStandardSize):
        (WebView::canResetPageZoom):
        (WebView::canResetZoom):
        (WebView::makeTextStandardSize):
        (WebView::resetPageZoom):
        (WebView::resetZoom):
        * WebView.h:

2008-03-20  John Sullivan  <sullivan@apple.com>

        * English.lproj/Localizable.strings:
        Brought this file up to date

2008-03-19  Dan Bernstein  <mitz@apple.com>

        - build fix

        * Interfaces/WebKit.idl: Touched.

2008-03-19  Adam Roben  <aroben@apple.com>

        Fix a couple of bugs where the node highlight would appear when it shouldn't

        There were at least two ways you could get the highlight to appear
        when it shouldn't:
          1) Selecting a node in the Inspector while the inspected WebView was
             in a background tab.
          2) Selecting a node in the Inspector, switching to another tab,
             closing the Inspector, then switching back to the inspected
             WebView's tab.

        This patch fixes the above two issues, and possibly others.

        show() and hide() are now private methods of WebNodeHighlight. They
        are replaced by a single public method,
        setShowsWhileWebViewIsVisible(bool). WebInspectorClient uses this to
        tell the highlight whether it should be showing when the inspected
        WebView is visible.

        Reviewed by John Sullivan.

        * WebCoreSupport/WebInspectorClient.cpp:
        (WebInspectorClient::highlight): If the highlight is already showing,
        it just needs to update since the highlighted node has changed. If the
        highlight is not showing, call setShowsWhileWebViewIsVisible(true) so
        that the highlight will show when the WebView is shown.
        (WebInspectorClient::hideHighlight): Changed to call
        setShowsWhileWebViewIsVisible(false) instead of hide().
        * WebNodeHighlight.cpp:
        (WebNodeHighlight::WebNodeHighlight): Initialize new member, and
        initialize m_inspectedWebViewWindow to its final value here instead of
        in show().
        (WebNodeHighlight::setShowsWhileWebViewIsVisible): Added. If we're not
        supposed to show ourselves when the WebView is visible, we hide
        ourselves and return. Otherwise, we make our visibility match the
        WebView's.
        (WebNodeHighlight::isWebViewVisible): Added.
        (WebNodeHighlight::show): Removed initialization of
        m_inspectedWebViewWindow (this is now done by our constructor). Added
        an assertion that we're supposed to show ourselves when the WebView is
        visible.
        (WebNodeHighlight::onWebViewShowWindow): If we shouldn't show
        ourselves when the WebView is visible, then we don't need to do
        anything at all when the WebView's visibility changes.
        * WebNodeHighlight.h:

2008-03-19  Adam Roben  <aroben@apple.com>

        Small WebNodeHighlight cleanup

        Renamed the following methods:
          visible() -> isShowing()
          updateWindow() -> update()

        Removed the window() method.

        Added a new method, placeBehindWindow(HWND), that moves the highlight
        overlay in the window z-order to be just behind the passed-in window.
        WebInspectorClient calls this instead of doing the move directly using
        the old window() method.

        Reviewed by John Sullivan.

        * WebCoreSupport/WebInspectorClient.cpp:
        (WebInspectorClient::attachWindow):
        (WebInspectorClient::detachWindow):
        (WebInspectorClient::highlight): Call placeBehindWindow instead of
        calling SetWindowPos directly.
        * WebNodeHighlight.cpp:
        (WebNodeHighlight::show):
        (WebNodeHighlight::isShowing):
        (WebNodeHighlight::placeBehindWindow): Added. Code came from
        WebInspectorClient::highlight.
        (WebNodeHighlight::onWebViewWindowPosChanged):
        (WebNodeHighlight::onRootWindowPosChanged):
        * WebNodeHighlight.h:

2008-03-19  Ada Chan  <adachan@apple.com>

        Added a method to paint WebView content specified by 
        the document rect into a device context.

        Reviewed by Darin Adler.

        * Interfaces/IWebViewPrivate.idl:
        * WebView.cpp:
        (WebView::paintDocumentRectToContext):
        * WebView.h:

2008-03-18  Brent Fulgham  <bfulgham@gmail.com>

        Reviewed by Adam Roben.

        Provide some stub implementations for things that WebKit
        uses for performing authentication/challenge activities.  This
        is in support of http://bugs.webkit.org/show_bug.cgi?id=17837

        * WebDataSource.cpp:
        * WebError.cpp:  Conditionalize CFNetwork-specific logic
        * WebURLAuthenticationChallenge.cpp:  Conditionalize constructor
          for authentication/challenge member.
        (WebURLAuthenticationChallenge::initWithAuthenticationChallenge):
        * WebURLResponse.cpp:  Remove CFNetwork-specific logic.
        * WebURLResponse.h: Conditionalize CFNetwork-specific member.
        * WebView.cpp:  Conditionalize CFNetwork-specific network protocol test.
        (WebView::canHandleRequest):

2008-03-18  Adam Roben  <aroben@apple.com>

        Focus the Inspector's WebView whenever the Inspector window is focused

        Reviewed by Mitz.

        * WebCoreSupport/WebInspectorClient.cpp:
        (WebInspectorClient::onSetFocus): Send focus to the WebView.
        (WebInspectorWndProc): Added a handler for WM_SETFOCUS.
        * WebCoreSupport/WebInspectorClient.h:

2008-03-18  Adam Roben  <aroben@apple.com>

        Fix Bug 14276: Element highlight also covers Web inspector

        <http://bugs.webkit.org/show_bug.cgi?id=14276>
        <rdar://5712796>

        Also fixes <rdar://5622837> Browser window comes to front when node
        highlight appears, potentially blocking Inspector

        Reviewed by Mitz.

        * WebCoreSupport/WebInspectorClient.cpp:
        (WebInspectorClient::highlight): After showing the highlight,
        reposition it just behind the Inspector's window.
        * WebNodeHighlight.cpp:
        (WebNodeHighlight::show):
          - Changed flags passed to CreateWindowEx to not specify WS_VISIBLE.
            This is not needed because we'll show the window later in this
            function.
          - Removed call to SetWindowPos that tried to position the overlay
            just in front of the WebView. This is now handled by
            WebInspectorClient.
          - Changed call to ShowWindow to use SetWindowPos so that we can pass
            SWP_NOACTIVATE. This prevents the highlight from jumping in front
            of the Inspector every time it's shown.
        * WebNodeHighlight.h: Added a method to get the highlight's HWND.

2008-03-14  Steve Falkenburg  <sfalken@apple.com>

        PGO build fixes.

        * WebKit.vcproj/WebKit.vcproj:

2008-03-13  Adam Roben  <aroben@apple.com>

        Another Windows build fix after r31034

        * WebKitDLL.cpp:
        (loadResourceIntoBuffer): Use SharedBuffer::create.

2008-03-13  Adam Roben  <aroben@apple.com>

        Windows build fix after r31034

        * WebFrame.cpp:
        (WebFrame::loadData): Use SharedBuffer::create.
        (WebFrame::loadHTMLString): Ditto.

2008-03-13  Steve Falkenburg  <sfalken@apple.com>

        More PGO build fixes.

        * WebKit.vcproj/WebKit.pgd: Removed.
        * WebKit.vcproj/WebKit.vcproj:
        * WebKitPrefix.cpp:

2008-03-13  Anders Carlsson  <andersca@apple.com>

        Reviewed by Adam.

        Call originalRequest instead of initialRequest.
        
        * WebDataSource.cpp:
        (WebDataSource::initialRequest):

2008-03-13  Steve Falkenburg  <sfalken@apple.com>

        PGO build fixes.
        
        Disable PGO for normal release builds.
        Added work-in-progress Release_PGOInstrument/Release_PGOOptimize targets.

        * WebKit.vcproj/WebKit.vcproj:

2008-03-12  Steve Falkenburg  <sfalken@apple.com>

        Fix build.

        * WebKit.vcproj/WebKit.vcproj:

2008-03-12  Ada Chan  <adachan@apple.com>

        <rdar://problem/5795843> 
        CFURLDownload needs to be cancelled if we don't have a destination path
        to save resume information.

        Reviewed by Brady.

        * WebDownload.cpp:
        (WebDownload::cancelForResume):

2008-03-12  David Hyatt  <hyatt@apple.com>

        Make the zoom factor a float and not a percent.

        Reviewed by antti

        * WebFrame.cpp:
        (WebFrame::setTextSizeMultiplier):

2008-03-12  Steve Falkenburg  <sfalken@apple.com>

        Build fix.

        * WebKit.vcproj/WebKit.pgd:
        * WebKit.vcproj/WebKit.vcproj:

2008-03-12  Steve Falkenburg  <sfalken@apple.com>

        Re-enabled PGO.
        
        Rubber stamped by Mark Rowe.

        * WebKit.vcproj/WebKit.pgd:
        * WebKit.vcproj/WebKit.vcproj:
        * WebKitPrefix.cpp: touched this file to force a re-build.

2008-03-12  Steve Falkenburg  <sfalken@apple.com>

        Fix build.

        * WebKit.vcproj/WebKit.vcproj:

2008-03-11  Steve Falkenburg  <sfalken@apple.com>

        Use PGO to build WebKit.dll.
        
        Reviewed by Oliver.

        * WebKit.vcproj/WebKit.pgd: Added.
        * WebKit.vcproj/WebKit.vcproj:

2008-03-11  Brent Fulgham  <bfulgham@gmail.com>

        Reviewed by Adam Roben.

        Enabled WinLauncher as part of normal Windows build.
        http://bugs.webkit.org/show_bug.cgi?id=17715.

        * WebKit.vcproj/WebKit.sln:  Add WinLauncher to the set of things
          build during a Windows build.

2008-03-11  Adam Roben  <aroben@apple.com>

        Roll out r30961 since it broke the default site icon on Windows

        * WebKit.vcproj/WebKit.rc:
        * WebKit.vcproj/urlIcon.png: Renamed from WebCore/Resources/urlIcon.png.
        * WebKitDLL.cpp:
        (loadResourceIntoBuffer):

2008-03-11  Holger Hans Peter Freyther  <zecke@selfish.org>

        Reviewed by Darin Adler.

        r25512 inlined the urlIcon to improve the startup time of Safari on Mac. Inlining is
        not suitable for platforms where this icon is themable. E.g. the Qt platform is allowing
        to theme this icon and the Gtk+ platform will probably end up with themable icons
        as well.
        
        Remove dead code from the windows port and move the urlIcon from the windows
        directory to the Resource directory to be used by Qt and other ports.
        
        Ifdef the usage of the built-in icon in IconDatabase.cpp and for Qt do not use
        it. Gtk+ currently has no proper implementation of Image::loadPlatformResource but
        once it does it wants to use this for getting the urlIcon as well.

        * WebKit.vcproj/WebKit.rc:
        * WebKitDLL.cpp:
        (loadResourceIntoBuffer):

2008-03-10  Eric Seidel  <eric@webkit.org>

        No review, build fix only.
        
        Speculative fix for Windows build, use ::UChar instead of KJS::UChar

        * WebScriptCallFrame.cpp:
        (WebScriptCallFrame::valueForVariable):
        (WebScriptCallFrame::valueByEvaluatingJavaScriptFromString):

2008-03-10  Steve Falkenburg  <sfalken@apple.com>

        Fix build break caused by r30920.
        
        Serialize remaining dependent builds by adding dependencies.
        Visual Studio per-vcproj parallelization doesn't add a lot of value
        since so many of our builds are dependent - this just enforces that.
        We do our parallelization via pdevenv, which works much better.

        * WebKit.vcproj/WebKit.sln:
        * WebKit.vcproj/WebKit.submit.sln:

2008-03-09  Steve Falkenburg  <sfalken@apple.com>

        Stop Windows build if an error occurs in a prior project.

        Rubber stamped by Darin Adler.

        * WebKit.vcproj/Interfaces.vcproj:
        * WebKit.vcproj/InterfacesGenerated.vcproj:
        * WebKit.vcproj/WebKit.vcproj:
        * WebKit.vcproj/WebKitGUID.vcproj:

2008-03-09  Adam Roben  <aroben@apple.com>

        Make WebInspectorClient use WindowMessageBroadcaster instead of manual subclassing

        Reviewed by Darin Adler.

        * WebCoreSupport/WebInspectorClient.cpp:
        (WebInspectorClient::WebInspectorClient): Removed
        m_orignalWebViewWndProc member.
        (WebInspectorClient::attachWindow): Register as a listener with
        WindowMessageBroadcaster instead of subclassing.
        (WebInspectorClient::detachWindow): Deregister as a listener with
        WindowMessageBroadcaster instead of unsubclassing.
        (WebInspectorClient::windowReceivedMessage): Renamed from
        SubclassedWebViewWndProc. Also added a missing break statement after
        the call to onWebViewWindowPosChanging.
        * WebCoreSupport/WebInspectorClient.h:

2008-03-09  Adam Roben  <aroben@apple.com>

        Make the node highlight not obscure the tab bar when it first appears

        Reviewed by Darin Adler.

        * WebNodeHighlight.cpp:
        (WebNodeHighlight::onWebViewWindowPosChanged): Added. Listens for
        changes to the WebView's size and resizes the highlight window to
        match.
        (WebNodeHighlight::onRootWindowPosChanged): Added. Listens for changes
        to the WebView's root window's position and moves the highlight window
        to match.
        (WebNodeHighlight::windowReceivedMessage): Call
        onWebViewWindowPosChanged/onRootWindowPosChanged as appropriate.
        * WebNodeHighlight.h:

2008-03-09  Adam Roben  <aroben@apple.com>

        Fix Bug 14254: Inspector node highlight applied to all tabs

        <http://bugs.webkit.org/show_bug.cgi?id=14254>
        <rdar://problem/5322306>

        WebNodeHighlight now listens for the WM_SHOWWINDOW message being sent
        to the inspected WebView so that it can hide/show itself as the
        WebView is hidden/shown.

        Reviewed by Anders.

        * WebNodeHighlight.cpp:
        (WebNodeHighlight::~WebNodeHighlight): Remove ourselves as a listener
        for our inspected WebView's window's messages.
        (WebNodeHighlight::show): Add ourselves as a listener for our
        inspected WebView's window's messages.
        (WebNodeHighlight::onWebViewShowWindow): Added. Hide ourselves when
        the WebView hides, show ourselves when the WebView is shown.
        (WebNodeHighlight::windowReceivedMessage): Added a separate switch
        statement to handle the inspected WebView's window's messages.
        * WebNodeHighlight.h:

2008-03-07  Brent Fulgham  <bfulgham@gmail.com>

        Reviewed by Mark Rowe.

        Correct build intermediary output
        (http://bugs.webkit.org/show_bug.cgi?id=17713)

        * WebKit/win/WebKit.vcproj/WebKit.vcproj:  Correct output and intermediary paths

2008-03-07  Brent Fulgham  <bfulgham@gmail.com>

        Reviewed by Adam Roben.

        Do not link (or attempt to initialize) the SafariTheme.dll
        when not building with USE(SAFARI_THEME) enabled.
        (http://bugs.webkit.org/show_bug.cgi?id=17707)

        * WebKit/win/WebKitClassFactory.cpp:  Conditionalize use of SafariTheme.dll

2008-03-07  Brent Fulgham  <bfulgham@gmail.com>

        Reviewed by Steve Falkenburg.

        Update solution to understand Cairo build target.  Add
        library dependencies for Cairo build target.
        (http://bugs.webkit.org/show_bug.cgi?id=17300)

        * WebKit.vcproj/WebKit.sln:
        * WebKit.vcproj/WebKit.vcproj:

2008-03-06  Adam Roben  <aroben@apple.com>

        Change WebScriptDebugServer to use WebCore::JavaScriptDebugServer

        WebScriptDebugServer is now a JavaScriptDebugListener.

        Reviewed by Darin Adler.

        * WebScriptDebugServer.cpp:
        (WebScriptDebugServer::WebScriptDebugServer): Removed initialization
        of m_callingListeners member.
        (WebScriptDebugServer::addListener): Register as a listener with
        JavaScriptDebugServer if we've just added our first listener.
        (WebScriptDebugServer::removeListener): Deregister as a listener with
        JavaScriptDebugServer if we've just removed our last listener.
        (WebScriptDebugServer::didParseSource): Added. Code came from the old
        sourceParsed method. Removed m_callingListeners code because
        JavaScriptDebugServer guards against re-entry for us.
        (WebScriptDebugServer::failedToParseSource): Ditto.
        (WebScriptDebugServer::didEnterCallFrame): Ditto for callEvent.
        (WebScriptDebugServer::willExecuteStatement): Ditto for atStatement.
        (WebScriptDebugServer::willLeaveCallFrame): Ditto for
        willLeaveCallFrame.
        (WebScriptDebugServer::exceptionWasRaised): Ditto for exception.
        * WebScriptDebugServer.h: Changed to inherit from
        WebCore::JavaScriptDebugListener.
        * WebView.cpp:
        (WebView::initWithFrame): Removed call to
        WebScriptDebugServer::pageCreated. This is now handled by WebCore.

2008-03-06  Darin Adler  <darin@apple.com>

        Reviewed by Mitz.

        - fix regression test failures and crashes from the visited-link change

        * WebCoreSupport/WebChromeClient.cpp:
        (WebChromeClient::populateVisitedLinks): Check for null before calling
        addVisitedLinksToPageGroup.
        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::updateGlobalHistory): Ditto.
        * WebHistory.cpp:
        (WebHistory::setOptionalSharedHistory): Call PageGroup::setShouldTrackVisitedLinks
        to turn off visited links if there is no history object. Also call
        removeAllVisitedLinks so we can start over from scratch with the new history.

2008-03-06  Matt Lilek  <webkit@mattlilek.com>

        Reviewed by Adam Roben.

        Bug 17691: REGRESSION: FindSafari doesn't work
        http://bugs.webkit.org/show_bug.cgi?id=17691

        Swap my change from r30394 to use the Release libraries instead of Debug
        since some machines don't have the Debug version.

        * WebKit.vcproj/WebKit.sln:

2008-03-06  Darin Adler  <darin@apple.com>

        Reviewed by Mitz.

        - fix http://bugs.webkit.org/show_bug.cgi?id=17526
          REGRESSION: iframes are added to Safari's History menu
          by separating the visited link machinery from global history

        * WebCoreSupport/WebChromeClient.cpp:
        (WebChromeClient::populateVisitedLinks): Added a call to the new
        WebHistory::addVisitedLinksToPageGroup function.
        * WebCoreSupport/WebChromeClient.h: Added populateVisitedLinks.
        Also fixed the webView function to be non-virtual.

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::updateGlobalHistory): Changed to use the
        new WebHistory::addItem function.
        (WebFrameLoaderClient::webHistory): Changed to return a WebHistory*,
        there's no reason to AddRef the result from this function.
        * WebCoreSupport/WebFrameLoaderClient.h: Ditto.

        * WebHistory.cpp: Removed IWebHistoryPrivate and _WebCoreHistoryProvider.
        (WebHistory::QueryInterface): Removed IWebHistoryPrivate.
        (sharedHistoryStorage): Added.
        (WebHistory::sharedHistory): Added.
        (WebHistory::optionalSharedHistory): Changed to use sharedHistory().
        (WebHistory::setOptionalSharedHistory): Changed to require a WebHistory
        object, not just an IWebHistory.
        (WebHistory::removeAllItems): Call PageGroup::removeAllVisitedLinks.
        (WebHistory::addItem): Changed parameter types since this is called with
        arguments from WebCore -- at some point this could allow better efficiency.
        (WebHistory::removeItemForURLString):  Call PageGroup::removeAllVisitedLinks
        if the last URL is being removed.
        (addVisitedLinkToPageGroup): Added. Helper. Adds a single link to a group's
        visited link set.
        (WebHistory::addVisitedLinksToPageGroup): Added. Adds all links to a group's
        visited link.
        * WebHistory.h: Removed IWebHistoryPrivate. Removed optionalSharedHistoryInternal
        and added sharedHistory. Replaced addItemForURL and containsItemForURLString with
        non-virtual addItem and addVisitedLinksToPageGroup functions.

2008-03-05  Anders Carlsson  <andersca@apple.com>

        Build fix.

        * WebKit.vcproj/WebKit.vcproj:

2008-03-04  Sam Weinig  <sam@webkit.org>

        Reviewed by Mark Rowe.

        - Remove all unnecessary includes of JSDOMWindowBase.h, we prefer including
          JSDOMWindow.h

        * WebFrame.cpp:

2008-03-04  Adam Roben  <aroben@apple.com>

        WebScriptDebugServer cleanup

        Reviewed by Anders.

        * WebScriptDebugServer.cpp: Renamed m_callingServer to
        m_callingListeners.
        (WebScriptDebugServer::WebScriptDebugServer):
        (WebScriptDebugServer::sharedWebScriptDebugServer): Changed to keep
        the shared instance as a function-level static.
        (WebScriptDebugServer::didLoadMainResourceForDataSource): Made return
        void.
        (WebScriptDebugServer::sourceParsed):
        (WebScriptDebugServer::callEvent):
        (WebScriptDebugServer::atStatement):
        (WebScriptDebugServer::returnEvent):
        (WebScriptDebugServer::exception):
        (WebScriptDebugServer::serverDidDie): Made return void.
        * WebScriptDebugServer.h:
          - Removed unnecessary #includes
          - Made inheritance from KJS::Debugger private
          - Made some methods private

2008-03-04  Adam Roben  <aroben@apple.com>

        Remove WebScriptDebugger

        Reviewed by Anders.

        * WebKit.vcproj/WebKit.vcproj: Removed files from project.
        * WebScriptDebugServer.cpp:
        (frame): Moved here from WebScriptDebugger.cpp.
        (webFrame): Ditto.
        (webView): Ditto.
        (WebScriptDebugServer::WebScriptDebugServer): Initialize new member.
        * WebScriptDebugServer.h: Changed to inherit directly from
        KJS::Debugger instead of from WebScriptDebugger, and added
        m_callingServer member that WebScriptDebugger used to own.
        * WebScriptDebugger.cpp: Removed.
        * WebScriptDebugger.h: Removed.

2008-03-04  Adam Roben  <aroben@apple.com>

        Move sourceParsed to WebScriptDebugServer

        Reviewed by Anders.

        * WebScriptDebugServer.cpp:
        (WebScriptDebugServer::sourceParsed): Moved here from
        WebScriptDebugger and merged with didParseSource/failedToParseSource.
        * WebScriptDebugServer.h: Removed didParseSource/failedToParseSource.
        * WebScriptDebugger.cpp: Removed sourceParsed.
        * WebScriptDebugger.h: Ditto.

2008-03-04  Adam Roben  <aroben@apple.com>

        Move callEvent, returnEvent, and exception to WebScriptDebugServer

        Reviewed by Anders.

        * WebScriptDebugServer.cpp:
        (WebScriptDebugServer::callEvent): Moved here from WebScriptDebugger
        and merged with didEnterCallFrame.
        (WebScriptDebugServer::returnEvent): Ditto for willLeaveCallFrame.
        (WebScriptDebugServer::exception): Ditto for exceptionWasRaised.
        * WebScriptDebugServer.h: Removed didEnterCallFrame,
        willLeaveCallFrame, and exceptionWasRaised.
        * WebScriptDebugger.cpp: Removed callEvent, returnEvent, and
        exception.
        * WebScriptDebugger.h: Ditto.

2008-03-04  Adam Roben  <aroben@apple.com>

        Move atStatement to WebScriptDebugServer

        Reviewed by Anders.

        * WebScriptDebugServer.cpp:
        (WebScriptDebugServer::atStatement): Moved here and merged with the
        old willExecuteStatement method.
        * WebScriptDebugServer.h: Removed inheritance from
        IWebScriptDebugListener, which no one was relying on.
        * WebScriptDebugger.cpp:
        (webFrame): Made non-static.
        (webView): Ditto.
        * WebScriptDebugger.h: Added declarations of webFrame and webView
        methods for WebScriptDebugServer's benefit. Removed unused m_webView
        and m_frame members.

2008-03-04  Adam Roben  <aroben@apple.com>

        Start to merge WebScriptDebugger and WebScriptDebugServer

        WebScriptDebugServer now inherits from WebScriptDebugger.

        Reviewed by Anders.

        * WebScriptDebugServer.cpp:
        (WebScriptDebugServer::pageCreated): Use sharedWebScriptDebugServer
        instead of WebScriptDebugger::shared.
        (WebScriptDebugServer::addListener): Ditto.
        (WebScriptDebugServer::removeListener): Ditto.
        * WebScriptDebugServer.h: Changed to inherit from WebScriptDebugger.
        * WebScriptDebugger.cpp: Removed shared method.
        * WebScriptDebugger.h: Made constructor/destructor protected, and
        removed shared method.

2008-03-04  Adam Roben  <aroben@apple.com>

        Use WebCore's new debugger-attaching code

        Reviewed by Kevin M.

        * WebCoreSupport/WebFrameLoaderClient.cpp: Moved a kit() function to
        WebView.{cpp,h} so that other files can call it.
        * WebFrame.cpp:
        (WebFrame::WebFrame): Removed m_scriptDebugger member.
        (WebFrame::windowObjectCleared): Removed attach/detach calls. This is
        no longer needed because WebScriptDebugger no longer stores any
        per-WebFrame state.
        * WebFrame.h:
        * WebScriptDebugServer.cpp:
        (WebScriptDebugServer::pageCreated): Added. Attaches our shared
        debugger to the Page if we have any listeners.
        (WebScriptDebugServer::addListener): Sets our shared debugger for all
        Pages when we get our first listener.
        (WebScriptDebugServer::removeListener): Removes our shared debugger
        from all Pages when we lose our last listener.
        * WebScriptDebugServer.h:
        * WebScriptDebugger.cpp:
        (WebScriptDebugger::shared): Added.
        (WebScriptDebugger::WebScriptDebugger): Removed m_frame member.
        (WebScriptDebugger::~WebScriptDebugger): Added.
        (frame): Gets a Frame from an ExecState.
        (webFrame): Gets a WebFrame from an ExecState.
        (webView): Gets a WebView from an ExecState.
        (WebScriptDebugger::sourceParsed): Changed to call webFrame() and
        webView() instead of using m_frame and m_webView members.
        (WebScriptDebugger::callEvent): Ditto.
        (WebScriptDebugger::atStatement): Ditto.
        (WebScriptDebugger::returnEvent): Ditto.
        (WebScriptDebugger::exception): Ditto.
        * WebScriptDebugger.h:
        * WebView.cpp:
        (kit): Moved here from WebFrameLoaderClient.cpp.
        (WebView::initWithFrame): Tell the WebScriptDebugServer about the new
        Page so it can attach a debugger if needed.
        * WebView.h:

2008-03-04  Adam Roben  <aroben@apple.com>

        Change WebView's string-finding methods to call through to Page

        These methods were added to Page back in r28878 (and the
        implementation was copied from WebView!) but we never switched over to
        using them.

        Reviewed by Sam.

        * WebView.cpp:
        (WebView::searchFor): Call through to Page::findString.
        (WebView::markAllMatchesForText): Call through to Page.
        (WebView::unmarkAllTextMatches): Ditto.

2008-03-04  Adam Roben  <aroben@apple.com>

        Actually pause the process while Drosera is at a breakpoint

        WebScriptDebugServer::suspendProcessIfPaused is supposed to pause the
        process while Drosera is at a breakpoint. Previously we were just
        starting a message pump that would deliver messages to all windows in
        the process, allowing mouse events, JS timers, etc. to execute.

        Now we only deliver messages to COM's message window, which is all we
        need to allow RPC to function.

        Reviewed by Anders.

        * WebScriptDebugServer.cpp:
        (comMessageWindow): Added. Finds COM's message window.
        (WebScriptDebugServer::suspendProcessIfPaused): Only deliver messages
        to COM's message window so that mouse events, JS timers, etc., won't
        execute.

2008-03-03  Adam Roben  <aroben@apple.com>

        Generate WebScriptCallFrame instances dynamically

        WebScriptDebugger no longer holds a reference to the topmost call
        frame, and WebScriptCallFrame no longer holds a reference to its
        caller. We now generate WebScriptCallFrame instances as needed by
        walking the callingExecState chain.

        By making WebKit no longer responsible for keeping track of the call
        stack, we get one step closer to moving most JS debugging code out of
        WebKit entirely.

        This incidentally fixes a bug in Drosera where we'd never show the
        global scope in the call stack.

        Reviewed by Sam and Kevin M.

        * WebScriptCallFrame.cpp:
        (callingFunctionOrGlobalExecState): Finds the nearest calling
        ExecState that is a FunctionExecState or GlobalExecState, if any, and
        returns it.
        (WebScriptCallFrame::WebScriptCallFrame):
          - No longer takes a caller parameter.
          - Sets m_state to the callingFunctionOrGlobalExecState of the
            ExecState passed in.
        (WebScriptCallFrame::createInstance): Removed the caller parameter.
        (WebScriptCallFrame::caller): Generate a new WebScriptCallFrame on the
        fly from our ExecState.
        * WebScriptCallFrame.h: No longer holds a reference to the caller.
        * WebScriptDebugger.cpp:
        (WebScriptDebugger::WebScriptDebugger): Removed the call to callEvent
        that was supposed to set up the global scope call frame, but never
        worked because m_callingServer was set to true, which would cause
        callEvent to return early without doing anything. Also removed the
        m_callingServer guards since we're not calling callEvent anymore.
        (WebScriptDebugger::callEvent): Create a WebScriptCallFrame on the
        fly from the passed-in ExecState.
        (WebScriptDebugger::atStatement): Ditto.
        (WebScriptDebugger::returnEvent): Ditto, but use the callingExecState.
        This is equivalent to what calling leaveFrame() did before.
        (WebScriptDebugger::exception): Ditto, using the passed-in ExecState.
        * WebScriptDebugger.h: Removed m_topStackFrame member and
        enterFrame/leaveFrame methods.

2008-03-03  Sam Weinig  <sam@webkit.org>

        Windows build fix.

        * WebFrame.cpp:
        (WebFrame::windowObjectCleared):

2008-03-03  David Hyatt  <hyatt@apple.com>

        Full page zoom work.  Make setting of a zoom factor take a boolean saying whether it is a text only
        or full page zoom.

        Reviewed by Tim H.

        * WebFrame.cpp:
        (WebFrame::setTextSizeMultiplier):

2008-02-29  Adam Roben  <aroben@apple.com>

        Delete an unused file

        Rubberstamped by Brady.

        * Interfaces/IWebScriptScope.idl: Removed.

2008-02-28  Adam Roben  <aroben@apple.com>

        Change WebPreferences to be backed by CFPreferences

        Reviewed by Ada, Geoff, Steve, and Darin.

        * WebPreferenceKeysPrivate.h:
        * WebPreferences.cpp:
        (WebPreferences::sharedStandardPreferences): Changed to call
        setAutoSaves(TRUE) before calling load(). This ensures that the
        preferences being migrated to CFPreferences are saved to disk.
        (WebPreferences::valueForKey): Changed to return a RetainPtr to ensure
        that the refcount is managed properly. Now attempts to retrieve a
        value from CFPreferences before falling back to the default settings.
        (WebPreferences::setValueForKey): Now saves the value in
        CFPreferences if m_autoSaves is true.
        (WebPreferences::stringValueForKey): Updated for valueForKey changes.
        (WebPreferences::integerValueForKey): DItto.
        (WebPreferences::boolValueForKey): Ditto.
        (WebPreferences::floatValueForKey): Ditto.
        (WebPreferences::save): Now simply calls CFPreferencesAppSynchronize.
        (WebPreferences::load): Always initializes m_privatePrefs to an empty
        CFMutableDictionary.
        (WebPreferences::migrateWebKitPreferencesToCFPreferences): Migrates
        preferences from our old custom plist to CFPreferences and then
        deletes our custom plist, if the migration has never occurred before.
        (WebPreferences::copyWebKitPreferencesToCFPreferences): Copies
        preferences to CFPreferences. If we've never migrated the default
        settings from Safari 3 Beta before, we omit them from this copying
        procedure.
        * WebPreferences.h:

2008-02-28  Adam Roben  <aroben@apple.com>

        Refactor value <-> CFNumber conversions into some helper functions

        Reviewed by Jon.

        * WebPreferences.cpp:
        (preferencesPath): Changed to return a const String&.
        (numberValueForPreferencesValue): Converts a value from preferences to
        a native numeric type.
        (cfNumber): Converts a native numeric value to a CFNumberRef.
        (booleanValueForPreferencesValue): Converts a value from preferences
        to a native boolean.
        (WebPreferences::integerValueForKey): Changed to call
        numberValueForPreferencesValue.
        (WebPreferences::floatValueForKey): Ditto.
        (WebPreferences::boolValueForKey): Changed to call
        booleanValueForPreferencesValue.
        (WebPreferences::setIntegerValue): Changed to call cfNumber.
        (WebPreferences::setLongLongValue): Ditto.

2008-02-27  Adam Roben  <aroben@apple.com>

        Add WebPreferences::setValueForKey

        This is just a small refactoring of some duplicated logic into a
        shared method.

        Reviewed by Sam.

        * WebPreferences.cpp:
        (WebPreferences::setValueForKey): Added.
        (WebPreferences::setStringValue): Call setValueForKey.
        (WebPreferences::setIntegerValue): Ditto.
        (WebPreferences::setBoolValue): Ditto.
        (WebPreferences::setLongLongValue): Ditto.
        * WebPreferences.h:

2008-02-27  Adam Roben  <aroben@apple.com>

        Remove WebPreferences' static members

        s_defaultSettings is now a file-level static, and
        s_standardPreferences has been removed completely (it wasn't being
        used).

        Reviewed by Sam.

        * WebPreferences.cpp:
        (WebPreferences::initializeDefaultSettings):
        (WebPreferences::valueForKey):
        (WebPreferences::migrateDefaultSettingsFromSafari3Beta):
        (WebPreferences::removeValuesMatchingDefaultSettings):
        * WebPreferences.h:

2008-02-29  Steve Falkenburg  <sfalken@apple.com>

        Don't free the VARIANT passed into Write, since it is an input parameter owned by the caller.
        Found via code inspection.
        
        Reviewed by Adam.

        * WebActionPropertyBag.cpp:
        (WebActionPropertyBag::Write):
        * WebElementPropertyBag.cpp:
        (WebElementPropertyBag::Write):

2008-02-27  Matt Lilek  <webkit@mattlilek.com>

        Reviewed by Adam Roben.

        Bug 14348: Messing up the inspector by dragging an URL into it
        http://bugs.webkit.org/show_bug.cgi?id=14348
        <rdar://problem/5283620> and <rdar://problem/5712808>

        Add a new class to handle the Inspector's delegate calls.

        * WebCoreSupport/WebInspectorClient.cpp:
        (WebInspectorClient::createPage):
        * WebCoreSupport/WebInspectorDelegate.cpp: Added.
        (:m_refCount):
        (WebInspectorDelegate::createInstance):
        (WebInspectorDelegate::AddRef):
        (WebInspectorDelegate::Release):
        (WebInspectorDelegate::dragDestinationActionMaskForDraggingInfo):
        * WebCoreSupport/WebInspectorDelegate.h: Added.
        (WebInspectorDelegate::QueryInterface):
        (WebInspectorDelegate::createWebViewWithRequest):
        (WebInspectorDelegate::webViewShow):
        (WebInspectorDelegate::webViewClose):
        (WebInspectorDelegate::webViewFocus):
        (WebInspectorDelegate::webViewUnfocus):
        (WebInspectorDelegate::webViewFirstResponder):
        (WebInspectorDelegate::makeFirstResponder):
        (WebInspectorDelegate::setStatusText):
        (WebInspectorDelegate::webViewStatusText):
        (WebInspectorDelegate::webViewAreToolbarsVisible):
        (WebInspectorDelegate::setToolbarsVisible):
        (WebInspectorDelegate::webViewIsStatusBarVisible):
        (WebInspectorDelegate::setStatusBarVisible):
        (WebInspectorDelegate::webViewIsResizable):
        (WebInspectorDelegate::setResizable):
        (WebInspectorDelegate::setFrame):
        (WebInspectorDelegate::webViewFrame):
        (WebInspectorDelegate::setContentRect):
        (WebInspectorDelegate::webViewContentRect):
        (WebInspectorDelegate::runJavaScriptAlertPanelWithMessage):
        (WebInspectorDelegate::runJavaScriptConfirmPanelWithMessage):
        (WebInspectorDelegate::runJavaScriptTextInputPanelWithPrompt):
        (WebInspectorDelegate::runBeforeUnloadConfirmPanelWithMessage):
        (WebInspectorDelegate::runOpenPanelForFileButtonWithResultListener):
        (WebInspectorDelegate::mouseDidMoveOverElement):
        (WebInspectorDelegate::contextMenuItemsForElement):
        (WebInspectorDelegate::validateUserInterfaceItem):
        (WebInspectorDelegate::shouldPerformAction):
        (WebInspectorDelegate::willPerformDragDestinationAction):
        (WebInspectorDelegate::dragSourceActionMaskForPoint):
        (WebInspectorDelegate::willPerformDragSourceAction):
        (WebInspectorDelegate::contextMenuItemSelected):
        (WebInspectorDelegate::hasCustomMenuImplementation):
        (WebInspectorDelegate::trackCustomPopupMenu):
        (WebInspectorDelegate::measureCustomMenuItem):
        (WebInspectorDelegate::drawCustomMenuItem):
        (WebInspectorDelegate::addCustomMenuDrawingData):
        (WebInspectorDelegate::cleanUpCustomMenuDrawingData):
        (WebInspectorDelegate::canTakeFocus):
        (WebInspectorDelegate::takeFocus):
        (WebInspectorDelegate::registerUndoWithTarget):
        (WebInspectorDelegate::removeAllActionsWithTarget):
        (WebInspectorDelegate::setActionTitle):
        (WebInspectorDelegate::undo):
        (WebInspectorDelegate::redo):
        (WebInspectorDelegate::canUndo):
        (WebInspectorDelegate::canRedo):
        * WebKit.vcproj/WebKit.vcproj:

2008-02-26  Adam Roben  <aroben@apple.com>

        Move ResourceLoadDelegate methods to WebFrameLoaderClient

        Changed all methods to use early returns where possible and COMPtr's
        AdoptCOM/Query constructors.

        Reviewed by Anders.

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::assignIdentifierToInitialRequest):
        (WebFrameLoaderClient::dispatchDidReceiveAuthenticationChallenge):
        (WebFrameLoaderClient::dispatchDidCancelAuthenticationChallenge):
        (WebFrameLoaderClient::dispatchWillSendRequest):
        (WebFrameLoaderClient::dispatchDidReceiveResponse):
        (WebFrameLoaderClient::dispatchDidReceiveContentLength):
        (WebFrameLoaderClient::dispatchDidFinishLoading):
        (WebFrameLoaderClient::dispatchDidFailLoading):
        * WebCoreSupport/WebFrameLoaderClient.h:
        * WebFrame.cpp:
        * WebFrame.h:

2008-02-26  Adam Roben  <aroben@apple.com>

        Move two more methods to WebFrameLoaderClient

        Reviewed by Anders.

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (kit):
        (WebFrameLoaderClient::dispatchCreatePage): Changed nested ifs to
        early returns, and changed to use the COMPtr Query constructor.
        (WebFrameLoaderClient::dispatchDidLoadMainResource): Added an early
        return, and changed to use getWebDataSource.
        * WebCoreSupport/WebFrameLoaderClient.h:
        * WebFrame.cpp:
        * WebFrame.h:

2008-02-26  Adam Roben  <aroben@apple.com>

        Get rid of IID_WebFrame

        Reviewed by Anders.

        * WebFrame.cpp: Removed IID_WebFrame definition.
        (WebFrame::QueryInterface): Use __uuidof(WebFrame) instead of
        IID_WebFrame.
        (WebFrame::isDescendantOfFrame): Use COMPtr's Query constructor
        instead of a manual QueryInterface.
        * WebFrame.h: Removed IID_WebFrame declaration, gave WebFrame a
        DECLSPEC_UUID.

2008-02-26  Adam Roben  <aroben@apple.com>

        Move WebHistory-related methods to WebFrameLoaderClient

        Reviewed by Anders.

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::updateGlobalHistory):
        (WebFrameLoaderClient::shouldGoToHistoryItem):
        (WebFrameLoaderClient::setTitle): Changed some nested ifs into early
        returns.
        (WebFrameLoaderClient::webHistory): Changed to return a COMPtr to
        make the reference management foolproof.
        * WebCoreSupport/WebFrameLoaderClient.h:
        * WebFrame.cpp:
        * WebFrame.h:

2008-02-26  Adam Roben  <aroben@apple.com>

        Move cache-related methods to WebFrameLoaderClient

        Reviewed by Anders.

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (getWebDataSource): Moved to the top of the file.
        (WebFrameLoaderClient::savePlatformDataToCachedPage):
        (WebFrameLoaderClient::transitionToCommittedForNewPage):
        (WebFrameLoaderClient::canCachePage):
        * WebCoreSupport/WebFrameLoaderClient.h:
        * WebFrame.cpp:
        * WebFrame.h:

2008-02-25  Adam Roben  <aroben@apple.com>

        Move plugin-related methods to WebFrameLoaderClient

        Reviewed by Anders.

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::WebFrameLoaderClient):
        (WebFrameLoaderClient::setMainDocumentError):
        (WebFrameLoaderClient::committedLoad): Added some early returns.
        (WebFrameLoaderClient::receivedData):
        (WebFrameLoaderClient::finishedLoading): Ditto.
        (getWebDataSource):
        (WebFrameLoaderClient::createPlugin):
        * WebCoreSupport/WebFrameLoaderClient.h:
        * WebFrame.cpp:
        (WebFrame::WebFramePrivate::WebFramePrivate):
        * WebFrame.h:

2008-02-25  Adam Roben  <aroben@apple.com>

        Move createFrame to WebFrameLoaderClient

        Reviewed by Anders.

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::createFrame):
        (WebFrameLoaderClient::loadURLIntoChild):
        * WebCoreSupport/WebFrameLoaderClient.h:
        * WebFrame.cpp:
        * WebFrame.h:

2008-02-25  Adam Roben  <aroben@apple.com>

        Move progress-related methods to WebFrameLoaderClient

        Reviewed by Anders.

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::postProgressStartedNotification):
        (WebFrameLoaderClient::postProgressEstimateChangedNotification):
        (WebFrameLoaderClient::postProgressFinishedNotification):
        * WebCoreSupport/WebFrameLoaderClient.h:
        * WebFrame.cpp:
        * WebFrame.h:

2008-02-25  Adam Roben  <aroben@apple.com>

        Remove WebFrame::detachedFromParent1

        This method was removed from FrameLoaderClient in r19042, but was
        never removed from WebFrame.

        Reviewed by Anders.

        * WebFrame.cpp:
        * WebFrame.h:

2008-02-23  Adam Roben  <aroben@apple.com>

        Move many dispatch methods to WebFrameLoaderClient

        Reviewed by Sam.

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::dispatchDidHandleOnloadEvents):
        (WebFrameLoaderClient::dispatchDidReceiveServerRedirectForProvisionalLoad):
        (WebFrameLoaderClient::dispatchDidCancelClientRedirect):
        (WebFrameLoaderClient::dispatchWillPerformClientRedirect):
        (WebFrameLoaderClient::dispatchDidChangeLocationWithinPage):
        (WebFrameLoaderClient::dispatchWillClose):
        (WebFrameLoaderClient::dispatchDidReceiveIcon):
        (WebFrameLoaderClient::dispatchDidStartProvisionalLoad):
        (WebFrameLoaderClient::dispatchDidReceiveTitle):
        (WebFrameLoaderClient::dispatchDidCommitLoad):
        (WebFrameLoaderClient::dispatchDidFinishDocumentLoad):
        (WebFrameLoaderClient::dispatchDidFinishLoad):
        (WebFrameLoaderClient::dispatchDidFirstLayout):
        (WebFrameLoaderClient::dispatchShow):
        * WebCoreSupport/WebFrameLoaderClient.h:
        * WebFrame.cpp:
        * WebFrame.h:

2008-02-23  Adam Roben  <aroben@apple.com>

        Move two more methods to WebFrameLoaderClient

        Reviewed by Sam.

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::hasFrameView):
        (WebFrame::forceLayout):
        * WebCoreSupport/WebFrameLoaderClient.h:
        * WebFrame.cpp:
        * WebFrame.h:

2008-02-24  Darin Adler  <darin@apple.com>

        Reviewed by Sam.

        - remove separate client calls for "standard" and "reload' history

        * WebFrame.cpp:
        (WebFrame::updateGlobalHistory):
        * WebFrame.h:

2008-02-23  Brent Fulgham  <bfulgham@gmail.com>

        Not reviewed, build fix.

        * WebIconDatabase.cpp:
        * WebIconDatabase.h:

2008-02-22  Adam Roben  <aroben@apple.com>

        Move hasWebView to WebFrameLoaderClient

        I added an m_webFrame member to WebFrameLoaderClient. This is slightly
        strange because WebFrame inherits from WebFrameLoaderClient, but this
        member will be needed once we remove the inheritance, so we might as
        well prepare for that now.

        Reviewed by Anders.

        * WebCoreSupport/WebFrameLoaderClient.cpp:
        (WebFrameLoaderClient::WebFrameLoaderClient): Changed to take a
        WebFrame* parameter.
        (WebFrameLoaderClient::hasWebView): Moved here from WebFrame.cpp.
        * WebCoreSupport/WebFrameLoaderClient.h: Added an m_webFrame
        parameter.
        * WebFrame.cpp: Removed hasWebView.
        (WebFrame::WebFrame): Updated for WebFrameLoaderClient constructor
        change.
        * WebFrame.h:

2008-02-22  Adam Roben  <aroben@apple.com>

        Start to move FrameLoaderClient methods off WebFrame onto a separate class

        WebFrame now inherits from a new WebFrameLoaderClient class, which
        will gradually assume all FrameLoaderClient responsibilities. Once
        that process is complete, WebFrame will no longer inherit from
        WebFrameLoaderClient.

        In this first patch, I've only moved createDocumentLoader up to the
        WebFrameLoaderClient class.

        Reviewed by Anders.

        * WebCoreSupport/WebFrameLoaderClient.cpp: Added.
        (WebFrameLoaderClient::WebFrameLoaderClient):
        (WebFrameLoaderClient::~WebFrameLoaderClient):
        (WebFrameLoaderClient::createDocumentLoader): Moved here from
        WebFrame.cpp.
        * WebCoreSupport/WebFrameLoaderClient.h: Added.
        * WebFrame.cpp: Removed createDocumentLoader implementation.
        * WebFrame.h: Changed to inherit from WebFrameLoaderClient.
        * WebKit.vcproj/WebKit.vcproj: Added new files to the project.

2008-02-22  Adam Roben  <aroben@apple.com>

        Move FormValuesPropertyBag into its own files

        Reviewed by Sam.

        * WebCoreSupport/FormValuesPropertyBag.cpp: Added.
        (FormValuesPropertyBag::QueryInterface):
        (FormValuesPropertyBag::AddRef):
        (FormValuesPropertyBag::Release):
        (FormValuesPropertyBag::Read):
        (FormValuesPropertyBag::Write):
        (FormValuesPropertyBag::CountProperties):
        (FormValuesPropertyBag::GetPropertyInfo):
        (FormValuesPropertyBag::LoadObject):
        * WebCoreSupport/FormValuesPropertyBag.h: Added.
        (FormValuesPropertyBag::FormValuesPropertyBag):
        * WebFrame.cpp: Deleted FormValuesPropertyBag code.
        * WebKit.vcproj/WebKit.vcproj: Added new files to the project.

2008-02-22  Adam Roben  <aroben@apple.com>

        Remove some unused WebFrame methods

        FrameWinClient was deleted back in r22965, but these methods were
        never deleted.

        Reviewed by Sam.

        * WebFrame.cpp:
        * WebFrame.h: Made one createFrame overload protected, since it's only
        called internally by WebFrame.

2008-02-21  Adam Roben  <aroben@apple.com>

        Move Client implementations into a WebCoreSupport directory

        Reviewed by Anders.

        * WebKit.vcproj/WebKit.vcproj: Updated file paths, and added
        WebCoreSupport directory to the include path.
        * WebCoreSupport/WebChromeClient.cpp: Renamed from WebKit/win/WebChromeClient.cpp.
        * WebCoreSupport/WebChromeClient.h: Renamed from WebKit/win/WebChromeClient.h.
        * WebCoreSupport/WebContextMenuClient.cpp: Renamed from WebKit/win/WebContextMenuClient.cpp.
        * WebCoreSupport/WebContextMenuClient.h: Renamed from WebKit/win/WebContextMenuClient.h.
        * WebCoreSupport/WebDragClient.cpp: Renamed from WebKit/win/WebDragClient.cpp.
        * WebCoreSupport/WebDragClient.h: Renamed from WebKit/win/WebDragClient.h.
        * WebCoreSupport/WebEditorClient.cpp: Renamed from WebKit/win/WebEditorClient.cpp.
        * WebCoreSupport/WebEditorClient.h: Renamed from WebKit/win/WebEditorClient.h.
        * WebCoreSupport/WebInspectorClient.cpp: Renamed from WebKit/win/WebInspectorClient.cpp.
        * WebCoreSupport/WebInspectorClient.h: Renamed from WebKit/win/WebInspectorClient.h.

2008-02-20  Sam Weinig  <sam@webkit.org>

        Reviewed by Darin and Geoff.

        - WebKit part of <rdar://problem/5754378> work around missing video on YouTube front page with a site-specific hack

        * WebView.cpp:
        (WebView::notifyPreferencesChanged): Added a call to Settings::setNeedsSiteSpecificQuirks.
        (WebView::setAllowSiteSpecificHacks): Added a comment about the problem Darin noticed, where
        after you disable the site-specific hacks they persist until you open a new window or tweak
        some other preference.

2008-02-19  Darin Adler  <darin@apple.com>

        Reviewed by Sam.

        * WebFrame.cpp:
        (WebFrame::renderTreeAsExternalRepresentation): Changed to use String instead
        of DeprecatedString.

2008-02-18  Steve Falkenburg  <sfalken@apple.com>

        Make Drosera work on Vista.
        
        Runtime type library registration on Vista requires use of two new call:
        RegisterTypeLibraryForUser and UnRegisterTypeLibraryForUser, which write to
        HKCU.  LoadTypeLib[Ex] registers under HKLM, which fails under vista due to UAC.
        
        Reviewed by Adam.

        * WebKitDLL.cpp:
        (DllUnregisterServer): Call UnRegisterTypeLibraryForUser if available. Fix version number.
        (DllRegisterServer): Call RegisterTypeLibraryForUser if available.

2008-02-18  Matt Lilek  <webkit@mattlilek.com>

        Reviewed by Adam.

        Remove FindSafari's Release configuration.

        * WebKit.vcproj/WebKit.sln:

2008-02-16  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Darin Adler.

        http://bugs.webkit.org/show_bug.cgi?id=17397
        <rdar://problem/5748245> REGRESSION (r30236-30336): Cannot backspace/enter in forms on Windows

        * WebKit.vcproj/WebKit.vcproj: Add ENABLE_CROSS_DOCUMENT_MESSAGING definitions.

2008-02-15  Darin Adler  <darin@apple.com>

        Reviewed by Adam.

        - quick fix for a problem causing an assertion on launch

        * WebFrame.cpp:
        (WebFrame::loadData): Make an empty KURL even if the BSTR is null.
        Later we might want to rethink this.

2008-02-14  Darin Adler  <darin@apple.com>

        - updated for WebCore KURL changes

        * MarshallingHelpers.cpp:
        (MarshallingHelpers::BSTRToKURL): Removed deprecatedString call.
        (MarshallingHelpers::KURLToBSTR): Tweaked for efficiency.
        * WebContextMenuClient.cpp:
        (WebContextMenuClient::searchWithGoogle): Updated for KURL changes.
        * WebDataSource.cpp:
        (WebDataSource::unreachableURL): Ditto.
        * WebDownload.cpp:
        (WebDownload::init): Ditto.
        (WebDownload::initWithRequest): Ditto.
        * WebFrame.cpp:
        (WebFrame::loadData): Ditto.
        (WebFrame::loadURLIntoChild): Ditto.
        (WebFrame::objectContentType): Ditto.
        * WebResource.cpp:
        (WebResource::initWithData): Ditto.
        * WebURLResponse.cpp:
        (WebURLResponse::createInstance): Ditto.
        (WebURLResponse::initWithURL): Ditto.
        * WebView.cpp:
        (WebView::userAgentForURL): Ditto.
        (WebView::copyURL): Ditto.
        (WebView::notifyPreferencesChanged): Ditto.

2008-02-14  Alexey Proskuryakov  <ap@webkit.org>

        * WebChromeClient.cpp: (WebChromeClient::exceededDatabaseQuota): Forgot to re-apply review comments to
        the previous check-in, fixing.

2008-02-14  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Adam Roben.

        http://bugs.webkit.org/show_bug.cgi?id=17207
        Database example doesn't work (requires not-yet-released Safari)

        * WebChromeClient.cpp:
        (WebChromeClient::exceededDatabaseQuota): Check Safari version, and allow 5 megabytes of storage
        if it's too old.

2008-02-13  Ada Chan  <adachan@apple.com>

        <rdar://problem/5740656> Leak in postDidAddIconNotification in WebIconDatabase

        Reviewed by Darin Adler.

        * WebIconDatabase.cpp:
        (postDidAddIconNotification): Need to adopt the newly created instance of CFDictionaryPropertyBag, 
        which already has a ref count of 1.

2008-02-13  Rodney Dawes  <dobey@wayofthemonkey.com>

        Fix Bug 17220: Illogical dependency between PluginView and
        PluginDatabase
        
        <http://bugs.webkit.org/show_bug.cgi?id=17220>

        Reviewed by Adam and Darin.

        Update for the rename of PluginDatabase::createPluginView
        to PluginView::create

        * WebFrame.cpp:

2008-02-13  Adam Roben  <aroben@apple.com>

        Windows build fix

        * Interfaces/WebKit.idl: Create the typelib version symbol ourselves.

2008-02-12  Steve Falkenburg  <sfalken@apple.com>

        Use a precompiled header to build WebKit.
        
        Reviewed by Adam.

        * WebKit.vcproj/WebKit.vcproj:
        * WebKitPrefix.cpp: Added.
        * WebKitPrefix.h: Added.

2008-02-12  Steve Falkenburg  <sfalken@apple.com>

        Changes to support merged MIDL output.

        All COM interfaces are now generated to WebKit.h.

        Reviewed by Sam, Ada.

        * DOMCSSClasses.h:
        * DOMCoreClasses.h:
        * DOMEventsClasses.h:
        * DOMHTMLClasses.h:
        * DefaultDownloadDelegate.h:
        * DefaultPolicyDelegate.cpp:
        * DefaultPolicyDelegate.h:
        * GEN_DOMObject.h:
        * Interfaces/DOMCSS.idl:
        * Interfaces/DOMCore.idl:
        * Interfaces/DOMEvents.idl:
        * Interfaces/DOMExtensions.idl:
        * Interfaces/DOMHTML.idl:
        * Interfaces/DOMPrivate.idl:
        * Interfaces/DOMRange.idl:
        * Interfaces/DOMWindow.idl:
        * Interfaces/IGEN_DOMObject.idl:
        * Interfaces/IWebArchive.idl:
        * Interfaces/IWebBackForwardList.idl:
        * Interfaces/IWebBackForwardListPrivate.idl:
        * Interfaces/IWebCache.idl:
        * Interfaces/IWebDataSource.idl:
        * Interfaces/IWebDatabaseManager.idl:
        * Interfaces/IWebDocument.idl:
        * Interfaces/IWebDownload.idl:
        * Interfaces/IWebEditingDelegate.idl:
        * Interfaces/IWebError.idl:
        * Interfaces/IWebErrorPrivate.idl:
        * Interfaces/IWebFormDelegate.idl:
        * Interfaces/IWebFrame.idl:
        * Interfaces/IWebFrameLoadDelegate.idl:
        * Interfaces/IWebFrameLoadDelegatePrivate.idl:
        * Interfaces/IWebFramePrivate.idl:
        * Interfaces/IWebFrameView.idl:
        * Interfaces/IWebHTMLRepresentation.idl:
        * Interfaces/IWebHTTPURLResponse.idl:
        * Interfaces/IWebHistory.idl:
        * Interfaces/IWebHistoryItem.idl:
        * Interfaces/IWebHistoryItemPrivate.idl:
        * Interfaces/IWebIconDatabase.idl:
        * Interfaces/IWebInspector.idl:
        * Interfaces/IWebJavaScriptCollector.idl:
        * Interfaces/IWebKitStatistics.idl:
        * Interfaces/IWebMutableURLRequest.idl:
        * Interfaces/IWebMutableURLRequestPrivate.idl:
        * Interfaces/IWebNotification.idl:
        * Interfaces/IWebNotificationCenter.idl:
        * Interfaces/IWebNotificationObserver.idl:
        * Interfaces/IWebPolicyDelegate.idl:
        * Interfaces/IWebPreferences.idl:
        * Interfaces/IWebPreferencesPrivate.idl:
        * Interfaces/IWebResource.idl:
        * Interfaces/IWebResourceLoadDelegate.idl:
        * Interfaces/IWebResourceLoadDelegatePrivate.idl:
        * Interfaces/IWebScriptCallFrame.idl:
        * Interfaces/IWebScriptDebugListener.idl:
        * Interfaces/IWebScriptDebugServer.idl:
        * Interfaces/IWebScriptObject.idl:
        * Interfaces/IWebScriptScope.idl:
        * Interfaces/IWebScrollBarDelegatePrivate.idl:
        * Interfaces/IWebScrollBarPrivate.idl:
        * Interfaces/IWebSecurityOrigin.idl:
        * Interfaces/IWebTextRenderer.idl:
        * Interfaces/IWebUIDelegate.idl:
        * Interfaces/IWebUIDelegatePrivate.idl:
        * Interfaces/IWebURLAuthenticationChallenge.idl:
        * Interfaces/IWebURLRequest.idl:
        * Interfaces/IWebURLResponse.idl:
        * Interfaces/IWebURLResponsePrivate.idl:
        * Interfaces/IWebUndoManager.idl:
        * Interfaces/IWebUndoTarget.idl:
        * Interfaces/IWebView.idl:
        * Interfaces/IWebViewPrivate.idl:
        * Interfaces/WebKit.idl:
        * WebActionPropertyBag.cpp:
        * WebBackForwardList.h:
        * WebCache.h:
        * WebDataSource.cpp:
        * WebDataSource.h:
        * WebDatabaseManager.h:
        * WebDownload.h:
        * WebEditorClient.cpp:
        * WebEditorClient.h:
        * WebError.h:
        * WebFrame.cpp:
        * WebFrame.h:
        * WebFramePolicyListener.h:
        * WebHTMLRepresentation.cpp:
        * WebHTMLRepresentation.h:
        * WebHistory.cpp:
        * WebHistory.h:
        * WebHistoryItem.h:
        * WebIconDatabase.h:
        * WebInspector.h:
        * WebJavaScriptCollector.h:
        * WebKit.vcproj/Interfaces.vcproj:
        * WebKit.vcproj/WebKitGUID.vcproj:
        * WebKitDLL.cpp:
        * WebKitStatistics.h:
        * WebMutableURLRequest.cpp:
        * WebMutableURLRequest.h:
        * WebNotification.h:
        * WebNotificationCenter.h:
        * WebPreferences.h:
        * WebResource.h:
        * WebScriptCallFrame.h:
        * WebScriptDebugServer.cpp:
        * WebScriptDebugServer.h:
        * WebScriptDebugger.cpp:
        * WebScriptDebugger.h:
        * WebScriptObject.h:
        * WebScrollBar.h:
        * WebSecurityOrigin.h:
        * WebTextRenderer.h:
        * WebURLAuthenticationChallenge.h:
        * WebURLAuthenticationChallengeSender.h:
        * WebURLCredential.h:
        * WebURLProtectionSpace.h:
        * WebURLResponse.h:
        * WebView.cpp:
        * WebView.h:

2008-02-12  Anders Carlsson  <andersca@apple.com>

        Reviewed by Adam.

        Implement imageTitle.
        
        * WebCoreLocalizedStrings.cpp:
        (WebCore::imageTitle):

2008-02-12  Anders Carlsson  <andersca@apple.com>

        Reviewed by Mitz.

        * WebCoreLocalizedStrings.cpp:
        (WebCore::imageTitle):
        Add stub.
        

2008-02-07  Ada Chan  <adachan@apple.com>

        <rdar://problem/5292433> certificate authentication support broken in Safari 3.0
        Added mechanism to communicate client certificate info back to CFNetwork.

        Reviewed by Adam.

        * Interfaces/IWebError.idl: Added new WebURLErrorClientCertificateRequired error.
        * Interfaces/IWebMutableURLRequestPrivate.idl: Added. Added method to set client 
        certificate info on the request.
        * WebKit.vcproj/Interfaces.vcproj: Added new idl.
        * WebKit.vcproj/WebKit.vcproj: Link crypt32.lib
        * WebKit.vcproj/WebKitGUID.vcproj:
        * WebMutableURLRequest.cpp:
        (WebMutableURLRequest::QueryInterface): Implements IWebMutableURLRequestPrivate.
        (deallocCertContext): Free certificate context.
        (copyCert): Duplicate the certificate context and returns it in a CFDataRef.
        (WebMutableURLRequest::setClientCertificate):
        * WebMutableURLRequest.h:

2008-02-05  Rodney Dawes  <dobey@wayofthemonkey.com>

        Reviewed by Anders Carlsson.

        Part one of http://bugs.webkit.org/show_bug.cgi?id=16924.
        Shared PluginDatabase, PluginInfoStore and PluginPackage implementations.

        Track WebCore renames.

        * WebFrame.cpp:
        (WebFrame::createPlugin):
        (WebFrame::redirectDataToPlugin):
        (WebFrame::createJavaAppletWidget):
        (WebFrame::objectContentType):
        * WebView.cpp:
        (WebViewWndProc):
        (WebView::canShowMIMEType):
        (WebView::addAdditionalPluginPath):

2008-02-05  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Darin Adler.

        http://bugs.webkit.org/show_bug.cgi?id=15248
        <rdar://problem/5497032> Can not enter accented characters using alt-numeric keypad (take two)

        * WebView.cpp: (WebViewWndProc): KeyUp messages need to be translated, too.

2008-02-01  Darin Adler  <darin@apple.com>

        - fix <rdar://problem/5680469> Each database worker thread takes a JSLock,
          which slows down all JavaScript execution until the thread terminates

        * WebIconDatabase.cpp:
        (WebIconDatabase::scheduleNotificationDelivery): Updated for new callOnMainThread.
        (WebIconDatabase::deliverNotifications): Ditto.
        * WebIconDatabase.h: Ditto.

2008-01-31  Adam Roben  <aroben@apple.com>

        Fix <rdar://5713172> Focus lost from Gmail message body after toggling
        tabs

        This regressed in r29583. Prior to r29583, the code path that resulted
        in calling focusController->setFocusedFrame(0) was never getting hit.
        r29583 changed the code to adhere to the comment above the code and
        actually call setFocusedFrame(0) when losing focus to another part of
        the window. It turns out this is wrong behavior (and not what
        WebKit/mac does). The only time we should clear the focused frame is
        when we tab out of the WebView, and that's already taken care of by
        FocusController::advanceFocus. The code to clear the focused frame in
        WebView was written before FocusController::advanceFocus, so it was
        correct at one point but no longer is.

        We now never call setFocusedFrame(0) when the WebView receives a
        WM_KILLFOCUS message. Instead we just call setFocused(false) on the
        focused frame so that blur events will be sent. This matches what
        WebKit/mac does.

        Reviewed by Darin and Adele.

        * WebView.cpp:
        (WebViewWndProc): Also reworded a couple of comments to make them
        clearer.

2008-01-31  Adam Roben  <aroben@apple.com>

        Let WebCore take care of the highlight drawing entirely

        Reviewed by Darin Adler.

        * WebInspectorClient.cpp:
        (WebInspectorClient::highlight): We now just show our highlight
        window and let WebCore figure out what/where to paint. Once all ports
        follow suit the Node* parameter to this method should be removed
        entirely, and the name should probably change to
        updateAndShowHighlight or something similar.
        * WebNodeHighlight.cpp: Renamed m_webView to m_inspectedWebViewWindow.
        (WebNodeHighlight::WebNodeHighlight): Now takes a WebView* parameter.
        (WebNodeHighlight::show): Renamed from highlight(). Now gets the
        WebView's HWND. Updated for member rename/removal.
        (WebNodeHighlight::updateWindow): Updated for member rename and for
        InspectorController changes.
        * WebNodeHighlight.h: Added m_inspectedWebView member, removed m_rect
        member, renamed highlight(Node*) -> show().

2008-01-31  Adam Roben  <aroben@apple.com>

        Move node highlight drawing code to WebCore

        Reviewed by Darin Adler.

        * WebNodeHighlight.cpp:
        (WebNodeHighlight::updateWindow): Call into WebCore to do the node
        highlight drawing.

2008-01-29  Adam Roben  <aroben@apple.com>

        Fix a crash when opening the Inspector

        Reviewed by Anders.

        * WebInspectorClient.cpp:
        (WebInspectorClient::createPage): Call
        WebPreferences::initWithIdentifier so our custom WebPreferences will
        have all its members initialized.

2008-01-29  Adam Roben  <aroben@apple.com>

        Fix Bug 16786: "Display images when page opens" preference affects
        Inspector

        <http://bugs.webkit.org/show_bug.cgi?id=16786>
        <rdar://5712914>

        Reviewed by Anders and Darin.

        * WebInspectorClient.cpp:
        (WebInspectorClient::createPage): Create our own custom WebPreferences
        so that we won't be affected by global preference changes. This
        matches what Mac does.

2008-01-29  Adam Roben  <aroben@apple.com>

        Fix <rdar://5713302> Web Inspector on Windows is not using the
        localized strings

        Reviewed by Steve.

        * WebInspectorClient.cpp:
        (getWebKitBundle): Added.
        (WebInspectorClient::createPage): Call getWebKitBundle.
        (WebInspectorClient::localizedStringsURL): Implemented.

2008-01-29  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Darin Adler.

        <rdar://problem/5710692> All storage tests fail/crash

        * WebChromeClient.cpp: (WebChromeClient::exceededDatabaseQuota): Clients that do not implement
        database quota callbacks should have no database support - but not crash.

2008-01-26  Steve Falkenburg  <sfalken@apple.com>

        <rdar://problem/5707607> REGRESSION: I hear a beep when selecting Alt-enter in address or search fields
        
        Reviewed by Oliver.

        * WebView.cpp:
        (WebView::keyDown): Allow alt-return to be marked as handled by WebKit.

2008-01-24  Steve Falkenburg  <sfalken@apple.com>

        Build fix

        * WebKit.vcproj/WebKit.sln:
        * WebKit.vcproj/WebKit.submit.sln:

2008-01-24  Adam Roben  <aroben@apple.com>

        Build fix

        * WebView.cpp: Added a comma.

2008-01-24  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Adam Roben.

        <rdar://problem/5702734> REGRESSION(r28936/r15890): Shift+del does not work in win Safari

        * WebView.cpp: Fixed keyDownEntries to list this shortcut (and related ones, for consistency).

2008-01-23  Steve Falkenburg  <sfalken@apple.com>

        <rdar://problem/5698732> Copyright strings should include 2008
        
        Reviewed by Sam.

        * WebKit.vcproj/WebKit.rc:

2008-01-23  Adam Roben  <aroben@apple.com>

        Fix <rdar://5698502> Inspector window reverts to default position/size unexpectedly

        Reviewed by Hyatt.

        * WebInspectorClient.cpp:
        (defaultWindowRect): Added.
        (WebInspectorClient::createPage):
            - Use defaultWindowRect() to set the initial size/position of the
              Inspector window.
            - Pass the Inspector window's client rect to
              IWebView::initWithFrame so that the WebView will be initially
              sized to fill the window.
        (WebInspectorClient::showWindow): Don't move/resize the window back to
        the defaults every time this method is called.

2008-01-23  Adam Roben  <aroben@apple.com>

        Fix <rdar://5700620> REGRESSION (r28190): "Open frame in new tab" instead of "Open link in new tab" @ digg.com

        Test: fast/events/contextmenu-scrolled-page-with-frame.html

        Reviewed by Dan.

        * WebView.cpp:
        (WebView::handleContextMenuEvent): Translate the mouse coordinates
        into document coordinates before performing the hit-test. This is what
        EventHandler does internally.

2008-01-23  Steve Falkenburg  <sfalken@apple.com>

        <rdar://problem/5699509> Allow file upload dialog to be localized.
        
        Reviewed by Darin Adler.

        * English.lproj/Localizable.strings: Updated.
        * WebCoreLocalizedStrings.cpp:
        (WebCore::uploadFileText): Added.
        (WebCore::allFilesText): Added.

2008-01-22  Adam Roben  <aroben@apple.com>

        Fix <rdar://5693599> REGRESSION (r29369): scroll bars are drawing when they shouldn't be on an ad on cnn.com

        Now that we have multiple FrameViews per Frame on Windows, we need to
        make sure each FrameView gets its scrolling mode set correctly. On Mac
        this works because WebFrameView holds the scrolling mode and a single
        WebFrameView is shared by many FrameViews. On Windows, we have no such
        shared object, so we just ask the Frame's owner element for the
        scrolling mode.

        Tests: fast/frames/frame-scrolling-attribute.html
               fast/frames/iframe-scrolling-attribute.html

        Reviewed by Hyatt.

        * WebFrame.cpp:
        (WebFrame::transitionToCommittedForNewPage): Set the scrolling mode
        on the FrameView based on the scrolling mode of the Frame's owner
        element.

2008-01-21  Darin Adler  <darin@apple.com>

        Reviewed by John Sullivan.

        - fix <rdar://problem/5644324> Delegate-less WebKit clients should have no databases
        - fix incorrect value for WebDatabaseDisplayNameKey in header
        
        * Interfaces/IWebDatabaseManager.idl: Renamed detailsForDatabaseWithOrigin to
        detailsForDatabase. Replaced deleteDatabasesWithOrigin with deleteOrigin.
        Renamed deleteDatabaseWithOrigin to deleteDatabase. Fixed incorrect value for
        WebDatabaseDisplayNameKey.
        * Interfaces/IWebPreferencesPrivate.idl: Removed defaultDatabaseQuota and
        setDefaultDatabaseQuota.
        * Interfaces/IWebUIDelegatePrivate.idl: Replaced the two database quota functions
        with a single one.

        * WebChromeClient.cpp:
        (WebChromeClient::exceededDatabaseQuota): Replaced the two database quota functions
        with a single one.
        * WebChromeClient.h: Ditto.

        * WebDatabaseManager.cpp:
        (WebDatabaseManager::detailsForDatabase): Changed to check for a name of null to
        detect a nonexistent database rather than using isValid.
        (WebDatabaseManager::deleteOrigin): Updated for name change (actually a semantic
        change too, but both have the same name).
        (WebDatabaseManager::deleteDatabase): Updated for name change.
        (WebKitSetWebDatabasesPathIfNecessary): Ditto.

        * WebDatabaseManager.h: Updated for name changes.

        * WebPreferenceKeysPrivate.h: Removed WebKitDefaultDatabaseQuotaKey.
        * WebPreferences.cpp:
        (WebPreferences::initializeDefaultSettings): Removed the default for
        WebKitDefaultDatabaseQuotaKey.
        * WebPreferences.h: Removed defaultDatabaseQuota and setDefaultDatabaseQuota.
        * WebView.cpp:
        (WebView::notifyPreferencesChanged): Removed the code to set the
        default database origin quota in WebCore::Settings based on IWebPreferencesPrivate.

2008-01-19  Mark Rowe  <mrowe@apple.com>

        Fix inconsistent line endings and set svn:eol-style=native
        on IDL files that did not have it set.

        * Interfaces/IGEN_DOMObject.idl:

2008-01-18  Adam Roben  <aroben@apple.com>

        Fix <rdar://5693854> REGRESSION (r29581): fast/events/frame-click-focus.html failing

        Restored the previous behavior of IWebViewPrivate::updateActiveState,
        which DRT depends on, and renamed it to
        IWebViewPrivate::updateFocusedAndActiveState to be clearer about its
        side-effects.

        Reviewed by Adele.

        * Interfaces/IWebViewPrivate.idl:
        * WebView.cpp:
        (WebViewWndProc): Removed some FIXMEs that we no longer want to fix
        because the current design is better.
        (WebView::updateActiveState): This is now just a method of WebView,
        not any of its public interfaces.
        (WebView::updateFocusedAndActiveState): Performs the tasks that the
        old IWebViewPrivate::updateActiveState performed.
        * WebView.h:

2008-01-18  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Adam Roben.

        Fix plugin-related tests in Debug_Internal configuration, which are failing because of CRT version mismatch
        between DRT and TestNetscapePlugin.

        * WebKit.vcproj/WebKit.sln: Use newly added TestNetscapePlugin Debug_Internal configuration.

2008-01-17  Steve Falkenburg  <sfalken@apple.com>

        Build fix.

        * WebKit.vcproj/WebKit.make:

2008-01-16  Adam Roben  <aroben@apple.com>

        Trigger activation changes at the right time by listening for WM_NCACTIVATE

        This is the final part of <rdar://5006915> Inactive look for Aqua
        controls

        WebView now listens to messages sent to its top-level parent window.
        When the top-level parent receives a WM_NCACTIVATE message, WebView
        recalculates whether it is contained within the current active window.

        Reviewed by Darin Adler.

        * Interfaces/IWebViewPrivate.idl:
        (IWebViewPrivate::windowAncestryDidChange): Added. WebKit clients
        should call this when they change the parent window chain of a
        WebView.
        * WebView.cpp:
        (WebView::WebView): Initialize new member.
        (findTopLevelParent): Added.
        (WebViewWndProc):
            - Separated activation handling from focus handling, now that
              activation handling is taken care of by updateActiveState
              exclusively.
            - Compare top-level parents in our WM_KILLFOCUS handler so that we
              really know if focus is staying inside our top-level window.
            - Update our active state on WM_WINDOWPOSCHANGED.
            - Added a WM_TIMER handler.
        (WebView::initWithFrame): Call windowAncestryDidChange after setting
        up our HWND as a child of the host window.
        (WebView::windowReceivedMessage): Added. Update our active state when
        our top-level parent receives a WM_NCACTIVATE message.
        (WebView::updateActiveStateSoon): Added.
        (WebView::setHostWindow): Call windowAncestryDidChange after changing
        the host window.
        (WebView::updateActiveState): We are active if our top-level parent is
        the same as the top-level parent of the active window.
        (WebView::windowAncestryDidChange): Added. Recalculates our top-level
        parent and registers as a listener for the new top-level parent's
        messages.
        * WebView.h: Made WebView and WindowMessageListener so that it can
        utilize WindowMessageBroadcaster to listen to its top-level parent's
        messages.

2008-01-16  Adam Roben  <aroben@apple.com>

        Updated for ScrollBarClient changes

        Reviewed by Darin Adler.

        * WebScrollBar.h:
        (WebScrollBar::isActive): Added.

2008-01-16  Adam Roben  <aroben@apple.com>

        Updated for changes to WebCore methods

        Focus and active state are now handled (somewhat) separately. Future
        patches will further separate these concepts.

        Reviewed by Darin Adler.

        * WebView.cpp:
        (WebViewWndProc): Updated for method renames.
        (WebView::updateActiveState): Only change the active state here. Focus
        is handled inside WM_SETFOCUS and WM_KILLFOCUS message handlers.

2008-01-16  Steve Falkenburg  <sfalken@apple.com>

        <rdar://problem/5097419> Cursor flickers when over window resizer
        
        Reviewed by Sam.

        * WebView.cpp:
        (WebViewWndProc): Don't set the resize cursor when over the non-border resize area.

2008-01-15  Steve Falkenburg  <sfalken@apple.com>

        <rdar://problem/5663888> Cannot type into a JavaScript prompt created from a timer
        
        Allow nested timers from javascript prompts to allow for WebView-based edit fields.
        
        Reviewed by Darin Adler.

        * WebChromeClient.cpp:
        (WebChromeClient::runJavaScriptPrompt):

2008-01-14  Steve Falkenburg  <sfalken@apple.com>

        Use shared vsprops for most vcproj properties.
        
        Reviewed by Darin Adler.

        * WebKit.vcproj/Interfaces.vcproj:
        * WebKit.vcproj/WebKit.vcproj:
        * WebKit.vcproj/WebKitGUID.vcproj: Add missing Debug_Internal config.

2008-01-11  Steve Falkenburg  <sfalken@apple.com>

        Share common files across projects.
        
        Unify vsprops files
        Debug:          common.vsprops, debug.vsprops
        Debug_Internal: common.vsprops, debug.vsprops, debug_internal.vsprops
        Release:        common.vsprops, release.vsprops
        
        Shared properties can go into common.vsprops, shared debug settings can go into debug.vsprops.
        debug_internal.vsprops will be mostly empty except for file path prefix modifiers.

        Pull auto-version.sh, VERSION, and PRODUCTVERSION from tools.

        Reviewed by Adam Roben.

        * WebKit.vcproj/Interfaces.vcproj:
        * WebKit.vcproj/PRODUCTVERSION: Removed.
        * WebKit.vcproj/VERSION: Removed.
        * WebKit.vcproj/WebKit.vcproj:
        * WebKit.vcproj/WebKitGUID.vcproj:
        * WebKit.vcproj/auto-version.sh: Removed.
        * WebKit.vcproj/debug.vsprops: Removed.
        * WebKit.vcproj/debug_internal.vsprops: Removed.
        * WebKit.vcproj/release.vsprops: Removed.

2008-01-11  Adam Roben  <aroben@apple.com>

        Fix Bug 16828: WebView never paints if first page load is canceled after being committed but before layout

        <http://bugs.webkit.org/show_bug.cgi?id=16828>
        <rdar://5682402>

        Now that we have 1) a real loader and 2) multiple FrameViews per
        Frame, we no longer need the hackery we had in our WM_PAINT handler
        that decided whether or not to paint. We now always want to paint,
        letting the swapping of FrameViews that happens in
        transitionToCommittedForNewPage handle which document gets painted.

        Reviewed by Hyatt.

        * WebView.cpp:
        (WebViewWndProc): Removed hackery that decided sometimes not to paint.

2008-01-11  Mark Rowe  <mrowe@apple.com>

        Windows build fix.  Update to match method name in WebCore.

        * WebJavaScriptCollector.cpp:
        (WebJavaScriptCollector::collectOnAlternateThread):

2008-01-10  Geoffrey Garen  <ggaren@apple.com>

        Reviewed by John Sullivan.

        Updated for transition away from JavaScriptStatistics, which is gone now.

        * WebJavaScriptCollector.cpp:
        (WebJavaScriptCollector::collect):
        (WebJavaScriptCollector::collectOnAlternateThread):
        (WebJavaScriptCollector::objectCount):

2008-01-10  Maciej Stachowiak  <mjs@apple.com>

        Not reviewed, build fix.
        
        - more build fixing

        * WebDatabaseManager.cpp:
        * WebSecurityOrigin.h:

2008-01-10  Maciej Stachowiak  <mjs@apple.com>

        Not reviewed, build fix.
        
        - try to fix build

        * WebDatabaseManager.cpp:
        (WebDatabaseManager::databasesWithOrigin):
        * WebSecurityOrigin.h:

2008-01-10  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Sam.

        - remove SecurityOriginData and fold its functionality into SecurityOrigin

        * WebChromeClient.cpp:
        (WebChromeClient::requestQuotaIncreaseForNewDatabase):
        (WebChromeClient::requestQuotaIncreaseForDatabaseOperation):
        * WebChromeClient.h:
        * WebDatabaseManager.cpp:
        (WebDatabaseManager::origins):
        (WebDatabaseManager::databasesWithOrigin):
        (WebDatabaseManager::detailsForDatabaseWithOrigin):
        (WebDatabaseManager::deleteDatabasesWithOrigin):
        (WebDatabaseManager::deleteDatabaseWithOrigin):
        (WebDatabaseManager::dispatchDidModifyOrigin):
        (WebDatabaseManager::dispatchDidModifyDatabase):
        * WebDatabaseManager.h:
        * WebSecurityOrigin.cpp:
        (WebSecurityOrigin::createInstance):
        (WebSecurityOrigin::WebSecurityOrigin):
        (WebSecurityOrigin::protocol):
        (WebSecurityOrigin::domain):
        (WebSecurityOrigin::port):
        (WebSecurityOrigin::usage):
        (WebSecurityOrigin::quota):
        (WebSecurityOrigin::setQuota):
        * WebSecurityOrigin.h:

2008-01-10  David Kilzer  <ddkilzer@apple.com>

        dftables should be rewritten as a script

        <http://bugs.webkit.org/show_bug.cgi?id=16818>
        <rdar://problem/5681463>

        Reviewed by Darin Adler.

        * WebKit.vcproj/WebKit.sln: Removed reference to dftables project.

2008-01-10  Adam Roben  <aroben@apple.com>

        Fix many bugs by giving Windows one FrameView per page load
        
        Bugs include:
            <rdar://5659200>
                Windows back/forward cache causes crashes in the layout tests
            <rdar://5659355>
            <http://bugs.webkit.org/show_bug.cgi?id=16808>
                REGRESSION: PLT broken on Windows due to back/forward cache
            <rdar://5663654>
            <http://bugs.webkit.org/show_bug.cgi?id=16607>
                Random crashes in FrameView::scheduleRelayout while surfing
                Thinkgeek

        On Windows until now we've only had one FrameView per Frame. Once the
        back/forward cache was turned on this started causing assertions to
        fail and crashes to occur due to a single FrameView being both in the
        back/forward cache (possibly multiple times!) and used by a live
        document. We now create a new FrameView for each page load, just as
        Mac does.

        This has the side-effect of plugging some of the world leaks seen at
        the end of the PLT.

        Reviewed by Hyatt.

        * WebFrame.cpp:
        (WebFrame::initWithWebFrameView): Don't create the FrameView right
        away -- it'll be created when the load is committed.
        (WebFrame::transitionToCommittedFromCachedPage): Match the Mac by no
        longer calling resetMultipleFormSubmissionProtection here.
        (WebFrame::transitionToCommittedForNewPage): Ported code from
        -[WebCoreFrameBridge
        createFrameViewWithNSView:marginWidth:marginHeight:],
        -[WebCoreFrameBridge installInFrame:], and moved code here from
        WebFrame::initWithWebFrameView and WebView::initWithFrame. WebCore
        takes care of resetMultipleFormSubmissionProtection, just like it does
        on the Mac.
        * WebView.cpp:
        (WebView::initWithFrame): Moved FrameView initialization code to
        WebFrame::transitionToCommittedForNewPage.

2008-01-09  Ada Chan  <adachan@apple.com>

        Fix crash that could happen if the key we are passing to the HashMap is 0 in WebView::interpretKeyEvent().

        Reviewed by Darin Adler.

        * WebView.cpp:
        (WebView::interpretKeyEvent):

2008-01-08  Steve Falkenburg  <sfalken@apple.com>

        Fix build.

        * DOMCoreClasses.cpp:

2008-01-07  Antti Koivisto  <antti@apple.com>

        Try to fix the Windows build.

        * WebKit.vcproj/WebKit.sln:

2008-01-07  Antti Koivisto  <antti@apple.com>

        Reviewed by Steve.
        
        Re-enable media support in Windows build.

        * WebKit.vcproj/WebKit.vcproj:

2008-01-07  Steve Falkenburg  <sfalken@apple.com>

        Build fix.

        * WebKit.vcproj/InterfacesGenerated.vcproj:

2008-01-07  Dan Bernstein  <mitz@apple.com>

        Reviewed by Dave Hyatt.

        - <rdar://problem/5665216> Support the unicode-range property in @font-face rules

        * WebView.cpp:
        (WebView::setShouldApplyMacFontAscentHack):

2008-01-07  Holger Freyther  <zecke@selfish.org>

        Reviewed by Alp Toker.

        * Qt and Gtk must know if a ContextMenuItem is checkable. Add a new ContextMenuItemType for checkable
        actions.
        * Use this information in the Gtk platform to create a GtkCheckMenuItem when needed.
        * Update the ContextMenuController to accept CheckableActionTypes as well.
        * Change ContextMenu.cpp to use the CheckableActionType. The information if a item is checkable
        was extracted from ContextMenu::checkOrEnableIfNeeded.
        * Update the Qt and Windows port.

        * WebContextMenuClient.cpp:

2008-01-04  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Adam Roben.

        http://bugs.webkit.org/show_bug.cgi?id=16733
        REGRESSION: Crash on Safari Start

        * Interfaces/IWebViewPrivate.idl: Should have added a new method at the end.

2008-01-04  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Darin Adler.

        <rdar://problem/5611712> xsl:sort does not use a case folding sort, and the 'case-order' attribute is ignored (16077)

        * WebKit.vcproj/WebKit.vcproj: Link to icuin{_debug}.lib

2008-01-04  Adam Roben  <aroben@apple.com>

        Fix <rdar://4968855> Shift-PageUp/Shift-PageDown only select one line of text

        Test: platform/win/editing/selection/shift-page-down-up.html

        Reviewed by Oliver.

        * WebView.cpp: Correct the commands associated with
        Shift-PageUp/Shift-PageDown.

2008-01-03  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Darin Adler.

        <rdar://problem/5463489> A number of layout tests should be using execCommand instead of textInputController

        * Interfaces/IWebViewPrivate.idl:
        * WebView.cpp:
        (WebView::executeCoreCommandByName):
        * WebView.h:
        Added an SPI to implement layoutTestController.execCommand.

2008-01-03  Ada Chan  <adachan@apple.com>

        Replaced the use of editor command "ForwardDelete" with "DeleteForward" to be consistent
        with our use of "DeleteBackward".

        Rubber-stamped by Jon.

        * WebView.cpp:

2008-01-03  Ada Chan  <adachan@apple.com>

        Regression: backspace stopped working on text inputs
        - Replaced the use of editor command "BackwardDelete" with "DeleteBackward" since it's no longer supported.

        Reviewed by Adam.

        * WebEditorClient.cpp:
        (WebEditorClient::textWillBeDeletedInTextField):
        * WebView.cpp:

2008-01-02  Alice Liu  <alice.liu@apple.com>

        Reviewed by Maciej.

        Fixed <rdar://5283861> (problems scrolling in gmail message content area)

        * WebView.cpp:
        (WebView::keyDown):
        bubble scrolling from a key event

2008-01-01  Matt Lilek  <webkit@mattlilek.com>

        Attempt to fix the Windows bots until the bots
        can get the Quicktime SDK installed.

        * WebKit.vcproj/WebKit.sln:
        * WebKit.vcproj/WebKit.vcproj:

2007-12-30  Matt Lilek  <webkit@mattlilek.com>

        Reviewed by Darin Adler.

        Bug 16578: Windows Web Inspector window needs minimum size
        http://bugs.webkit.org/show_bug.cgi?id=16578

        * WebInspectorClient.cpp:
        (WebInspectorClient::onGetMinMaxInfo):
        (WebInspectorWndProc):
        * WebInspectorClient.h:

2007-12-21  Antti Koivisto  <antti@apple.com>

        Reviewed by Steve.
        
        Build media support on Windows.

        * WebKit.vcproj/WebKit.sln:
        * WebKit.vcproj/WebKit.vcproj:

2007-12-21  Ada Chan  <adachan@apple.com>

        Implemented DOMDocument::getElementById().

        Reviewed by Darin Adler.

        * DOMCoreClasses.cpp:
        (DOMDocument::getElementById):

2007-12-21  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Steve and Darin.

        <rdar://problem/5497037> Win32: Accelerator keys (ctrl-x,c,v,w,q,etc) only fire keyUp,
        keyDown/Press consumed by accelerator table (14104)

        <rdar://problem/5346299> preventing default behavior for key down does not block accelerators like Ctrl+N

        This is WebKit part of a fix, most of which will be in Safari.

        * WebView.cpp:
        (WebViewWndProc): Return our result for WM_(SYS)KEYDOWN to let the client know whether
        further procesing is desired.

2007-12-21  Alexey Proskuryakov  <ap@webkit.org>

        Build fix: cannot use framework-style include for ProgIDMacros.h,
        because the file is only created on a later step. 

        * ForEachCoClass.h:

2007-12-20  Kevin McCullough  <kmccullough@apple.com>

        Reviewed by Steve.

        - <rdar://5656485> Drosera: Win: Nightly does not reliably connect to 
        WebKit.

        - Drosera and Safari need to use the same ProgIDs in order for
        CoCreateInstance to work properly.  The most robust way to do this is
        for WebKit to dynamically publish those ProgIDs.

        * ForEachCoClass.cpp: Added.
        (setUseOpenSourceWebKit):
        (progIDForClass):
        * ForEachCoClass.h: Added functionality to publish ProgIDs.
        * WebKit.vcproj/WebKit.def: Exposed added functions for applications.
        * WebKit.vcproj/WebKit.vcproj: Added ForEachCoClass.cpp
        * WebKit.vcproj/WebKit_debug.def: Exposed added functions fori
        applications.

2007-12-19  Dave Hyatt <hyatt@apple.com>

        Add a fourth preference value for GDI text in the font smoothing prefs.
        
        Reviewed by mitz

        * Interfaces/IWebPreferences.idl:
        * WebPreferenceKeysPrivate.h:
        * WebPreferences.cpp:
        (WebPreferences::initializeDefaultSettings):
        (WebPreferences::fontSmoothing):
        (WebPreferences::setFontSmoothing):
        * WebView.cpp:
        (WebView::notifyPreferencesChanged):

2007-12-17  Darin Adler  <darin@apple.com>

        Reviewed by Sam.

        - <rdar://4516170> Back/Forward Cache on Windows

        * WebFrame.cpp:
        (WebFrame::forceLayout): Implemented this. Just calling through to
        Frame::forceLayout matches the Mac pretty well and should be enough
        for now. Without this we won't repaint the new page when we go back
        and forward.
        (WebFrame::dispatchWillSubmitForm): Use COMPtr's AdoptCOM constructor
        instead of the adoptRef function.
        (WebFrame::restoreViewState): Removed unneeded notImplemented() call.
        This is implemented as much as it needs to be.
        (WebFrame::shouldGoToHistoryItem): Ditto.
        (WebFrame::saveViewStateToItem): Ditto.
        (WebFrame::canCachePage): Ditto, also changed it to return true. This
        is what was preventing the back/forward cache from running, and there's
        no need for any additional checks in the Windows version.

        * WebView.cpp:
        (PreferencesChangedOrRemovedObserver::onNotify): Fix backwards null check
        that was preventing this notification from ever being sent, which in turn
        meant that page cache had a capacity of 0.
        (WebView::initWithFrame): Removed unneeded setUsesPageCache(false) code.
        This actually was ineffective and ended up doing no harm, but we don't
        need it.

2007-12-16  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Darin Adler.

        http://bugs.webkit.org/show_bug.cgi?id=16462
        REGRESSION: access keys broken on Windows

        * WebView.cpp: (WebView::keyPress): Handle system key presses as access keys.

2007-12-15  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Maciej.

        http://bugs.webkit.org/show_bug.cgi?id=16436
        Alt+Space works incorrectly

        Test: platform/win/fast/events/alt-space-scroll.html

        * WebView.cpp:
        (WebView::keyDown):
        (WebView::keyPress):
        We do not handle WM_SYSCHAR events.

2007-12-14  Dan Bernstein  <mitz@apple.com>

        - yet another build fix

        * DOMHTMLClasses.cpp:
        (DOMHTMLDocument::URL):

2007-12-14  Dan Bernstein  <mitz@apple.com>

        - build fix

        * WebIconDatabase.h:

2007-12-14  Darin Adler  <darin@apple.com>

        Reviewed by Adele.

        - http://bugs.webkit.org/show_bug.cgi?id=16443
          implement some missing Windows WebKit functions

        * DOMHTMLClasses.cpp:
        (DOMHTMLDocument::URL): Implemented.

        * WebActionPropertyBag.cpp:
        (WebActionPropertyBag::Read): Fixed the WebActionElementKey case. 

2007-12-14  Darin Adler  <darin@apple.com>

        Reviewed by Alexey.

        * WebView.cpp:
        (WebView::execCommand): Switched from Editor::execCommand to Editor:command.
        Updated name from MoveUpByPageAndModifyCaret to MovePageUp and from
        MoveDownByPageAndModifyCaret to MovePageDown.
        (WebView::copy): Switched from Editor::execCommand to Editor:command.
        (WebView::cut): Ditto.
        (WebView::paste): Ditto.
        (WebView::delete_): Ditto.

2007-12-13  Steve Falkenburg  <sfalken@apple.com>

        Move source file generation into its own vcproj to fix build dependencies.

        Reviewed by Adam.

        * WebKit.vcproj/Interfaces.vcproj:
        * WebKit.vcproj/InterfacesGenerated.vcproj: Added.
        * WebKit.vcproj/WebKit.sln:
        * WebKit.vcproj/WebKit.submit.sln:
        * WebKit.vcproj/build-generated-files.sh:

2007-12-13  Adam Roben  <aroben@apple.com>

        Fix <rdar://5517707> Crash on wptv.wp.pl when "make bigger" button is clicked

        Reviewed by Anders.

        * WebView.cpp:
        (WebViewWndProc): Repost paint messages and ignore all other messages
        when we're calling a plugin.

2007-12-13  Steve Falkenburg  <sfalken@apple.com>

        Fix project dependencies based on JavaScriptCore change.

        * WebKit.vcproj/WebKit.sln:

2007-12-13  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Adele.

        http://bugs.webkit.org/show_bug.cgi?id=16421
        REGRESSION(r28669): Page scrolls down when you hit space key in text area

        Test: fast/events/space-scroll-event.html

        * WebView.cpp:
        (WebView::keyDown):
        (WebView::keyPress):
        Moved space handling to keyPress() to fix this bug and to match IE. Scrolling via arrow keys is correctly handled
        in keyDown().

2007-12-12  Brady Eidson  <beidson@apple.com>

        Reviewed by Sam Weinig

        Fix for <rdar://problem/4886844> and lay groundwork for <rdar://problem/4516170> (Back/Forward Cache on Windows)

        Even though this new code isn't exercised yet because the page cache is still turned off for Windows, local testing
        has indicated it works well.

        * WebCachedPagePlatformData.h: Added.
        (WebCachedPagePlatformData::WebCachedPagePlatformData): Constructor takes an IWebDataSource and the object retains it
        (WebCachedPagePlatformData::clear):
        (WebCachedPagePlatformData::webDataSource):

        * WebFrame.cpp:
        (WebFrame::savePlatformDataToCachedPage):
        (WebFrame::transitionToCommittedFromCachedPage):
        (WebFrame::transitionToCommittedForNewPage):
        * WebFrame.h:

        * WebKit.vcproj/WebKit.vcproj:

2007-12-12  Steve Falkenburg  <sfalken@apple.com>

        Build fix.

        * WebKit.vcproj/WebKit.make: Copy only what we need out of obj/bin.

2007-12-12  Dan Bernstein  <mitz@apple.com>

        Reviewed by Darin Adler.

        - revert my earlier crash fix after making WebCore return the empty
          editor command for the empty command name.

        * WebView.cpp:
        (WebView::handleEditingKeyboardEvent):

2007-12-12  Oliver Hunt  <oliver@apple.com>

        Reviewed by Maciej.

        <rdar://problem/5071781> window.mouseout events are not 
        sent to window when mouse moves out of window 
        
        Hook up the windows mouse tracking logic to allow us to 
        detect the mouse leaving the window.

        * WebView.cpp:
        (WebView::close):
        (WebView::handleMouseEvent):
        (WebViewWndProc):
        * WebView.h:

2007-12-12  Dan Bernstein  <mitz@apple.com>

        Reviewed by Alexey Proskuryakov.

        - fix a crash when pressing a key that is not associated with a command

        * WebView.cpp:
        (WebView::handleEditingKeyboardEvent): Check if the result of
        interpretKeyEvent() is empty.

2007-12-11  Sam Weinig  <sam@webkit.org>

        Reviewed by Darin Adler.

        Scrub URL out of the tree in preparation for renaming KURL to URL.

        * WebFrame.cpp:
        (WebFrame::url):
        (WebFrame::dispatchWillPerformClientRedirect):
        (WebFrame::setTitle):
        (WebFrame::updateGlobalHistoryForStandardLoad):
        (WebFrame::updateGlobalHistoryForReload):
        (WebFrame::cancelledError):
        (WebFrame::blockedError):
        (WebFrame::interruptForPolicyChangeError):
        (WebFrame::createPlugin):
        * WebView.cpp:
        (WebView::notifyDidAddIcon):

2007-12-10  Anders Carlsson  <andersca@apple.com>

        Reviewed by Darin Adler.
    
        <rdar://problem/5636865>
        WebKit needs API to allow registering a protocol as local (RSS feeds appear unstyled)
        
        * Interfaces/IWebView.idl:
        * WebView.cpp:
        (WebView::registerURLSchemeAsLocal):
        * WebView.h:

2007-12-11  Ada Chan  <adachan@apple.com>

        Updated the database SPI to take in IWebFrame.

        Reviewed by Adam.

        * Interfaces/IWebUIDelegatePrivate.idl:
        * WebChromeClient.cpp:
        (WebChromeClient::requestQuotaIncreaseForNewDatabase):
        (WebChromeClient::requestQuotaIncreaseForDatabaseOperation):

2007-12-11  Alexey Proskuryakov  <ap@webkit.org>

        Windows build fix.

        * WebView.cpp:
        (WebView::interpretKeyEvent):

2007-12-11  Darin Adler  <darin@apple.com>

        * WebView.cpp:
        (WebView::handleEditingKeyboardEvent): Update for change to Editor API.

2007-12-11  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Darin Adler.

        <rdar://problem/5535636>
        Have to press 4 times instead of 2 times to get the expected result of ^^ with german keyboard.

        http://bugs.webkit.org/show_bug.cgi?id=13916
        JavaScript detects Tab as a character input on a textfield validation

        Listen to WM_CHAR messages, and actually pass the type of message received down to WebCore.
        Since WM_KEYDOWN == keydown and WM_CHAR == keypress, this allows for much better IE compatibility
        than layering Windows keyboard event handling on top of Mac one.

        * WebView.cpp:
        (WebView::keyUp): Do not special case Alt+F4 and Alt+Space - we don't get keyups for those anyway!
        (WebView::interpretKeyEvent): Renamed WindowsKeyCode() to windowsVirtualKeyCode().
        (WebView::handleEditingKeyboardEvent): Use the additional information about event type that
        we now pass with PlatformKeyboardEvent.
        (WebView::keyDown): (WebView::keyPress): Split WM_KEYDOWN and WM_CHAR handling in separate
        functions, pass them down as is, without trying to guess what WM_CHAR Windows would have sent
        for a given WM_KEYDOWN.

        (WebViewWndProc): Handle WM_CHAR and WM_SYSCHAR.

        * WebView.h: Removed inIMEKeyDown() - it doesn't look like we need it at all. At least, I didn't
        notice any regressions after removing the only call to it in WebEditorClient.

        * WebEditorClient.cpp:
        (WebEditorClient::handleKeyboardEvent):
        (WebEditorClient::handleInputMethodKeydown):
        * WebEditorClient.h:
        Renamed handleKeypress() to handleKeyboardEvent(), as it gets both keydowns and keypresses.
        Renamed handleInputMethodKeypress() to handleInputMethodKeydown() and removed
        inIMEKeyDown()-related code.

2007-12-10  Geoffrey Garen  <ggaren@apple.com>

        Reviewed by Sam Weinig.

        Updated for rename in JavaScriptCore.

        * WebScriptCallFrame.cpp:
        (WebScriptCallFrame::functionName):
        (WebScriptCallFrame::valueByEvaluatingJavaScriptFromString):

2007-12-07  Steve Falkenburg  <sfalken@apple.com>

        Fix version parsing.

        Rubber-stamped by Oliver.

        * WebKit.vcproj/auto-version.sh:

2007-12-07  Steve Falkenburg  <sfalken@apple.com>

        Fix build.

        * WebKit.vcproj/WebKit.vcproj:
        * WebScriptCallFrame.cpp:

2007-12-07  Steve Falkenburg  <sfalken@apple.com>

        Fix build.

        * WebHistory.cpp:
        (_WebCoreHistoryProvider::containsURL):

2007-12-07  Geoffrey Garen  <ggaren@apple.com>

        Tried to fix build by suppressing warning.

        * WebScriptCallFrame.cpp:

2007-12-07  Darin Adler  <darin@apple.com>

        Reviewed by Mitz.

        - http://bugs.webkit.org/show_bug.cgi?id=15981
          speed up visited-link code a bit

        * WebHistory.cpp: Removed unused Latin-1 code path.
        (_WebCoreHistoryProvider::containsItem): Updated for function name change.

2007-12-07  Steve Falkenburg  <sfalken@apple.com>

        Re-named our B&I flag from BUILDBOT to PRODUCTION.
        Fix our tiny versioning.
        Bump our product version.
        Use just the major version in the fallback VERSION files.
        Pick up the version numbers from the production builder.

        Reviewed by Sam Weinig.

        * Interfaces/WebKit.idl:
        * WebKit.vcproj/Interfaces.vcproj:
        * WebKit.vcproj/PRODUCTVERSION:
        * WebKit.vcproj/VERSION:
        * WebKit.vcproj/WebKit.make:
        * WebKit.vcproj/WebKit.rc:
        * WebKit.vcproj/WebKit.vcproj:
        * WebKit.vcproj/auto-version.sh:
        * WebKitDLL.cpp:
        (DllUnregisterServer):

2007-12-07  Adam Roben  <aroben@apple.com>

        Fix <rdar://5624866> CFStringRef UI_STRING should use a cache and follow the CF "Get" model (current uses leak)

        Added a new class, LocalizedString, that wraps a CFStringRef and a
        WebCore::String. We store one LocalizedString for each key string.

        Reviewed by Steve.

        * WebLocalizableStrings.cpp: Changed our two HashMaps to map from
        WebCore::String to LocalizedString*.
        (LocalizedString::LocalizedString):
        (LocalizedString::operator CFStringRef):
        (LocalizedString::operator LPCTSTR): Code moved here from
        localizedLPCTSTR.
        (findCachedString): Changed to return a LocalizedString*.
        (cacheString): Changed to take a LocalizedString*.
        (localizedString): Changed to return a const LocalizedString&. We
        first try to find a cached LocalizedString. If there isn't one, we
        create a new one and cache it.
        (WebLocalizedLPCTSTRUTF8): Changed to call localizedString.
        (WebLocalizedLPCTSTR): Ditto.

2007-12-07  Adam Roben  <aroben@apple.com>

        Make WebLocalizableStrings work a little more like the Mac version

        Reviewed by Steve.

        * WebKit.vcproj/WebKit.def: Deprecated SetWebLocalizedStringMainBundle.
        * WebKit.vcproj/WebKit_debug.def: Ditto.
        * WebLocalizableStrings.cpp:
        (createWebKitBundle): Changed to only create the bundle once.
        (cfBundleForStringsBundle): Added. Code was factored out of
        copyLocalizedStringFromBundle. We now use the CFBundleGetMainBundle to
        get the main bundle and WebLocalizableStringsBundle's identifier to
        fetch the framework's bundle.
        (copyLocalizedStringFromBundle): Changed to call
        cfBundleForStringsBundle.
        (cacheString): Cleaned up logic a bit with an early return.
        (SetWebLocalizedStringMainBundle): Moved down with the other
        deprecated functions and made into a no-op.

2007-12-07  Adam Roben  <aroben@apple.com>

        Use SoftLinking.h in WebKitClassFactory.

        Reviewed by Oliver.

        * WebKitClassFactory.cpp:
        (WebKitClassFactory::WebKitClassFactory): We don't have to worry about
        not finding STInitialize anymore now that a version of SafariTheme
        containing this function has shipped.

2007-12-06  Ada Chan  <adachan@apple.com>

        <rdar://problem/5556378> Implemented database related UI delegate methods (prompts for new/enlarged databases)

        Reviewed by Darin Adler.

        * Interfaces/IWebUIDelegatePrivate.idl:
        * WebChromeClient.cpp:
        (WebChromeClient::requestQuotaIncreaseForNewDatabase):
        (WebChromeClient::requestQuotaIncreaseForDatabaseOperation):

2007-12-06  Alice Liu  <alice.liu@apple.com>

        Fixed <rdar://5540000> onbeforeunload doesn't fire when closing window/tab

        Reviewed by Darin Adler.

        * Interfaces/IWebViewPrivate.idl:
        * WebView.cpp:
        (WebView::shouldClose):
        * WebView.h:

2007-12-06  Adam Roben  <aroben@apple.com>

        Fix <rdar://5615283> Crash in WebFrame::receivedPolicyDecision

        It's possible for a second policy listener to be created while we're
        waiting for a decision on the first policy listener. In this case we
        would crash when the first policy listener had a decision made. Mac
        WebKit already handles this by invalidating any existing policy
        listener when creating a new one.

        A test case is coming in a future commit.

        Reviewed by Anders.

        * WebFrame.cpp:
        (WebFrame::setUpPolicyListener): Copy the Mac behavior of invalidating
        any existing policy listener, and remove some assertions that we know
        can fire.

2007-12-06  Adam Roben  <aroben@apple.com>

        Add SPI so that DumpRenderTree can turn on the Mac font ascent hack

        Reviewed by Hyatt.

        * Interfaces/IWebViewPrivate.idl: Added new method declaration.
        * WebView.cpp:
        (WebView::setShouldApplyMacFontAscentHack): Added. Just calls down to
        FontData.
        * WebView.h:

2007-12-06  Ada Chan  <adachan@apple.com>

        Build fix.

        Reviewed by Geoff.

        * WebScriptCallFrame.cpp:
        (WebScriptCallFrame::valueByEvaluatingJavaScriptFromString):

2007-12-04  Geoffrey Garen  <ggaren@apple.com>

        Reviewed by Darin Adler.

        Third step in refactoring JSGlobalObject: Moved data members and data
        member access from Interpreter to JSGlobalObject.
        
        * WebFrame.cpp:
        (WebFrame::globalContext):
        (WebFrame::attachScriptDebugger):
        (WebFrame::windowObjectCleared):
        * WebScriptDebugger.cpp:
        (WebScriptDebugger::WebScriptDebugger):

2007-12-05  Steve Falkenburg  <sfalken@apple.com>

        <rdar://problem/5625327> Crash toggling check grammar w/ spelling when no spell checker exists.
        
        Reviewed by Adam.

        * WebView.cpp:
        (WebView::setGrammarCheckingEnabled): Add null check

2007-12-05  Adam Roben  <aroben@apple.com>

        Expose WebView::setProhibitsMainFrameScrolling through IWebViewPrivate

        Reviewed by Steve.

        * Interfaces/IWebViewPrivate.idl: Added declaration.
        * WebInspectorClient.cpp:
        (WebInspectorClient::createPage): Updated for change to
        setProhibitsMainFrameScrolling signature.
        * WebView.cpp:
        (WebView::setProhibitsMainFrameScrolling): Updated and robustified.
        * WebView.h:

2007-12-05  Dan Bernstein  <mitz@apple.com>

        Reviewed by Darin Adler.

        - WebKit/win part of fixing <rdar://problem/5111082> Flash popup video ad doesn't close when clicked at http://www.firestonecompleteautocare.com/

        * WebView.cpp:
        (WebView::initWithFrame): Attach the main frame's view.

2007-12-04  Ada Chan  <adachan@apple.com>

        Provide API for setting the default storage quota per database origin

        Reviewed by Jon.

        * Interfaces/IWebPreferencesPrivate.idl: added SPI to get/set default database quota
        * WebPreferenceKeysPrivate.h:
        * WebPreferences.cpp:
        (WebPreferences::initializeDefaultSettings): default database quota is 5MB
        (WebPreferences::longlongValueForKey):
        (WebPreferences::setLongLongValue):
        (WebPreferences::defaultDatabaseQuota):
        (WebPreferences::setDefaultDatabaseQuota):
        * WebPreferences.h:
        * WebView.cpp:
        (WebView::notifyPreferencesChanged): propagate default database quota change to WebCore settings.

2007-12-04  Kevin McCullough  <kmccullough@apple.com>

        Reviewed by Adam and Darin.

        - Fixed a crasher where the top of the stack was not updated correctly.
        And set the eol style on IWebScriptCallFrame.idl file.

        * Interfaces/IWebScriptCallFrame.idl:
        * WebScriptDebugger.cpp:
        (WebScriptDebugger::atStatement):
        (WebScriptDebugger::leaveFrame):

2007-11-27  Adam Roben  <aroben@apple.com>

        Hook up the authorAndUserStylesEnabled preference

        This is the Windows counterpart of r28071.

        Reviewed by Maciej.

        * Interfaces/IWebPreferencesPrivate.idl: Added new method
        declarations.
        * WebPreferenceKeysPrivate.h: Added a new preference key.
        * WebPreferences.cpp:
        (WebPreferences::initializeDefaultSettings): Set the default for the
        new preference.
        (WebPreferences::setAuthorAndUserStylesEnabled): Added.
        (WebPreferences::authorAndUserStylesEnabled): Added.
        * WebPreferences.h:
        * WebView.cpp:
        (WebView::notifyPreferencesChanged): Communicate the new preference
        down to WebCore::Settings.

2007-12-04  Jon Honeycutt  <jhoneycutt@apple.com>

        Reviewed by Ollie.

        Don't crash if our JavaPlugin DLL can't be found 

        * WebFrame.cpp:
        (WebFrame::createJavaAppletWidget): Added null check

2007-12-04  Darin Adler  <darin@apple.com>

        Reviewed by Kevin Decker.

        * WebFrame.cpp: Removed obsolete privateBrowsingEnabled.
        * WebFrame.h: Ditto.

2007-12-04  Adam Roben  <aroben@apple.com>

        Windows build fix

        * WebScriptCallFrame.cpp:

2007-12-03  Dan Bernstein  <mitz@apple.com>

        Reviewed by Dave Hyatt.

        - fix <rdar://problem/5346452> Resize event doesn't fire on body element inside a frame

        * WebView.cpp:
        (WebViewWndProc): Removed call to sendResizeEvent() since FrameView
        sends them now.

2007-12-03  Kevin McCullough  <kmccullough@apple.com>

        Reviewed by Adam.

        - <rdar://5618942> Drosera: Console window does not process everything
        correctly.
        - <rdar://5619005> Drosera: could be sped up by moving the
        WebScriptScope stuff into the WebScriptCallFrame.
        - Now the console can correctly process objects and does not receive
        notifications from JavaScriptCore about the JavaScript in Drosera's
        own process.

        * Interfaces/IWebScriptCallFrame.idl: Moved the variable lookup
        functions from WebScriptScope to here.
        * Interfaces/WebKit.idl: Removed WebScriptScope.
        * WebKit.vcproj/Interfaces.vcproj: Ditto.
        * WebKit.vcproj/WebKit.vcproj: Ditto.
        * WebKit.vcproj/WebKitGUID.vcproj: Ditto.
        * WebScriptCallFrame.cpp: Moved WebScriptScope functionality into here.
        (WebScriptCallFrame::stringByEvaluatingJavaScriptFromString): Now
        returns a string value for things that are not strings.
        (WebScriptCallFrame::variableNames): Moved from WebScriptScope.
        (WebScriptCallFrame::valueForVariable): Moved from WebScriptScope.
        (WebScriptCallFrame::jsValueToString): Helper functions that converts
        any JSValue to a String.
        * WebScriptCallFrame.h: Moved WebScriptScope functionality into here.
        * WebScriptDebugger.cpp: Added nested guards so that Drosera does not
        receive notifications about JavaScript that Drosera is running just the
        JavaScript WebKit is running.
        (WebScriptDebugger::WebScriptDebugger):
        (WebScriptDebugger::sourceParsed):
        (WebScriptDebugger::callEvent):
        (WebScriptDebugger::atStatement):
        (WebScriptDebugger::returnEvent):
        (WebScriptDebugger::exception):
        * WebScriptDebugger.h: Ditto.
        * WebScriptScope.cpp: Removed.
        * WebScriptScope.h: Removed.

2007-12-03  Mark Rowe  <mrowe@apple.com>

        Speculative Windows build fix.

        * WebScriptCallFrame.cpp:
        (WebScriptCallFrame::valueByEvaluatingJavaScriptFromString):

2007-12-03  Adam Roben  <aroben@apple.com>

        Another speculative Windows build fix

        * WebScriptCallFrame.cpp:
        (WebScriptCallFrame::valueByEvaluatingJavaScriptFromString):

2007-12-03  Adam Roben  <aroben@apple.com>

        Speculative Windows build fix

        * WebFrame.cpp:
        (WebFrame::globalContext):
        (WebFrame::windowObjectCleared):
        * WebScriptDebugger.cpp:
        (WebScriptDebugger::WebScriptDebugger):

2007-12-01  Sam Weinig  <sam@webkit.org>

        Rename IWebViewPrivate::selectionImageRect to IWebViewPrivate::selectionRect.

        Rubber stamped by Adam Roben.

        * Interfaces/IWebViewPrivate.idl:
        * WebView.cpp:
        (WebView::selectionRect):
        * WebView.h:

2007-11-30  Ada Chan  <adachan@apple.com>

        <rdar://problem/5621373> Added a way for the client to clear undo/redo
        operations from a WebView.

        Reviewed by Steve.

        * Interfaces/IWebViewPrivate.idl:
        * WebView.cpp:
        (WebView::clearUndoRedoOperations):
        * WebView.h:

2007-11-29  Anders Carlsson  <andersca@apple.com>

        Reviewed by Sam.

        Add an IWebFrameLoadDelegate2 interface with a didClearWindowObject method 
        that passes in the frame whose window has been cleared. This matches a newly
        added delegate method on the Mac.
        
        * Interfaces/IWebFrameLoadDelegate.idl:
        * WebFrame.cpp:
        (WebFrame::windowObjectCleared):

2007-11-29  Kevin McCullough  <kmccullough@apple.com>

        Reviewed by Sam.

        - <rdar://5618976> Drosera: should listen for the WebScriptDebugServer
        dying and vice versa.

        * Interfaces/IWebScriptDebugListener.idl: Added the new function to the
        interface.
        * WebKit.vcproj/WebKit.def: Added the new function to the def file so
        Safari can tell WebKit when the server is dying.
        * WebKit.vcproj/WebKit_debug.def: Ditto.
        * WebKitDLL.cpp: Added the new function for Safari to call.
        (RunAsLocalServer):
        (LocalServerDidDie):
        * WebScriptDebugServer.cpp: 
        (WebScriptDebugServer::WebScriptDebugServer): Removed unused member.
        (WebScriptDebugServer::sharedWebScriptDebugServer): Ditto, and added new
        member to prevent adding or removing listeners when the server is dying.
        (WebScriptDebugServer::addListener): Don't let new listeners be added
        when the server is dying.
        (WebScriptDebugServer::removeListener): Don't let listeners remove
        themselves when the server is dying.  The server will remove them all
        anyways.
        (WebScriptDebugServer::serverDidDie): Notify all listeners that the
        server is dying and remove all listeners.
        * WebScriptDebugServer.h: Added the new method and removed an unused
        member.

2007-11-29  Brady Eidson  <beidson@apple.com>

        Build fix that works...?

        * WebChromeClient.h:

2007-11-29  Brady Eidson  <beidson@apple.com>

        Build fix

        * WebChromeClient.cpp:
        (WebChromeClient::requestQuotaIncreaseForNewDatabase):
        (WebChromeClient::requestQuotaIncreaseForDatabaseOperation):

2007-11-29  Brady Eidson  <beidson@apple.com>

        Keep it building with new client method

        * WebChromeClient.cpp:
        (ChromeClient::requestQuotaIncreaseForNewDatabase):
        (ChromeClient::requestQuotaIncreaseForDatabaseOperation):
        * WebChromeClient.h:

2007-11-29  Dan Bernstein  <mitz@apple.com>

        Reviewed by Beth Dakin and Darin Adler.

        - fix <rdar://problem/5346394> Contextmenu event doesn't fire on body element inside frame

        * WebView.cpp:
        (WebView::handleContextMenuEvent): Send the context menu event to the
        frame containing the node that was hit.

2007-11-28  Kevin McCullough  <kmccullough@apple.com>

        Reviewed by Tim.

        - Added guards to the wait loop so execution would not hang and now the
        console window can process JavaScript.

        * WebScriptDebugServer.cpp:
        (WebScriptDebugServer::suspendProcessIfPaused):

2007-11-28  Anders Carlsson  <andersca@apple.com>

        Reviewed by Adam.

        Implement the last bits of the WebDatabaseManager API.
        
        * Interfaces/IWebDatabaseManager.idl:
        * WebDatabaseManager.cpp:
        (isEqual):
        (WebDatabaseManager::sharedWebDatabaseManager):
        (WebDatabaseManager::dispatchDidModifyOrigin):
        (WebDatabaseManager::dispatchDidModifyDatabase):
        * WebDatabaseManager.h:

2007-11-28  Anders Carlsson  <andersca@apple.com>

        Get Drosera working again for real.
        
        * COMEnumVariant.h:
        (::Next):

2007-11-27  Kevin McCullough  <kmccullough@apple.com>

        Reviewed by Maciej and Adam.

        - Added Drosera to the WebKit project.

        * WebKit.vcproj/WebKit.sln:

2007-11-27  Jon Honeycutt  <jhoneycutt@apple.com>

        Reviewed by Adam.

        Return bool from registerWebViewWindowClass, as nothing uses the ATOM.
        Set haveRegisteredWindowClass to true

        * WebView.cpp:
        (registerWebViewWindowClass):

2007-11-27  Anders Carlsson  <andersca@apple.com>

        Speculative fix to get Drosera working.
        
        * COMEnumVariant.h:
        (::Next):
        Update the number of elements fetched correctly.
        
2007-11-27  Anders Carlsson <andersca@apple.com>

        Reviewed by Adam.

        Some COM cleanup.
        
        * CFDictionaryPropertyBag.cpp:
        (CFDictionaryPropertyBag::QueryInterface):
        * CFDictionaryPropertyBag.h:
        * WebBackForwardList.cpp:
        (WebBackForwardList::addItem):
        (WebBackForwardList::removeItem):
        * WebDownload.cpp:
        (WebDownload::initWithRequest):
        * WebFrame.cpp:
        (WebFrame::loadRequest):
        (WebFrame::initWithWebFrameView):
        (WebFrame::webHistory):
        (WebFrame::dispatchWillSendRequest):
        * WebURLAuthenticationChallenge.cpp:
        (WebURLAuthenticationChallenge::QueryInterface):
        (WebURLAuthenticationChallenge::initWithProtectionSpace):
        * WebURLAuthenticationChallenge.h:
        * WebURLAuthenticationChallengeSender.cpp:
        (WebURLAuthenticationChallengeSender::QueryInterface):
        * WebURLAuthenticationChallengeSender.h:
        * WebURLResponse.cpp:
        (WebURLResponse::QueryInterface):
        * WebURLResponse.h:
        * WebView.cpp:
        (WebView::notifyDidAddIcon):
        (WebView::goToBackForwardItem):
        (WebView::canHandleRequest):
        (WebView::loadBackForwardListFromOtherView):
        (core):

2007-11-27  Anders Carlsson  <andersca@apple.com>

        Add COMEnumVariant.h to the project.
        
        * WebKit.vcproj/WebKit.vcproj:

2007-11-27  Anders Carlsson  <andersca@apple.com>

        Reviewed by Adam.

        Return E_INVALIDARG if the databaseName BSTR is null.
        
        * WebDatabaseManager.cpp:
        (WebDatabaseManager::detailsForDatabaseWithOrigin):
        (WebDatabaseManager::deleteDatabaseWithOrigin):

2007-11-27  Anders Carlsson  <andersca@apple.com>

        Reviewed by Adam.

        Implement the rest of the WebDatabaseManager API.

        * COMEnumVariant.h:
        * Interfaces/IWebDatabaseManager.idl:
        * WebDatabaseManager.cpp:
        (isEqual):
        (DatabaseDetailsPropertyBag::DatabaseDetailsPropertyBag):
        (DatabaseDetailsPropertyBag::~DatabaseDetailsPropertyBag):
        (DatabaseDetailsPropertyBag::createInstance):
        (DatabaseDetailsPropertyBag::AddRef):
        (DatabaseDetailsPropertyBag::Release):
        (DatabaseDetailsPropertyBag::QueryInterface):
        (DatabaseDetailsPropertyBag::Read):
        (DatabaseDetailsPropertyBag::Write):
        (WebDatabaseManager::detailsForDatabaseWithOrigin):
        (WebDatabaseManager::deleteAllDatabases):
        (WebDatabaseManager::deleteDatabasesWithOrigin):
        (WebDatabaseManager::deleteDatabaseWithOrigin):
        * WebDatabaseManager.h:

2007-11-27  Ada Chan  <adachan@apple.com>

        <rdar://problem/5616098> The BSTR returned by WebHistoryItem::alternateTitle
        was not allocated correctly.

        Reviewed by Anders.

        * WebHistoryItem.cpp:
        (WebHistoryItem::setAlternateTitle):
        (WebHistoryItem::alternateTitle):
        * WebHistoryItem.h:

2007-11-27  Anders Carlsson  <andersca@apple.com>

        Reviewed by Adam.

        Use COMEnumVariant in WebScriptCallFrame and WebScriptScope.
        
        * WebScriptCallFrame.cpp:
        (WebScriptCallFrame::scopeChain):
        * WebScriptScope.cpp:
        (WebScriptScope::variableNames):

2007-11-27  Anders Carlsson  <andersca@apple.com>

        Reviewed by Adam.

        Use the correct include paths.
        
        * COMEnumVariant.h:

2007-11-27  Anders Carlsson  <andersca@apple.com>

        Reviewed by Darin Adler.
   
        Add COMEnumVariant, a templatized class with implements IEnumVARIANT and lets
        you enumerate over a C++ container, be it WTF or STL.
        
        * COMEnumVariant.h: Added.
        
        * WebDatabaseManager.cpp:
        (WebDatabaseManager::origins):
        (WebDatabaseManager::databasesWithOrigin):
        Implement these using COMEnumVariant.
        
        * WebSecurityOrigin.cpp:
        (WebSecurityOrigin::QueryInterface):
        * WebSecurityOrigin.h:
        Add a UUID for the implementation so that other parts of WebKit can access
        the WebCore::SecurityOriginData object.
        
2007-11-26  Adam Roben  <aroben@apple.com>

        Take advantage of the new Color constructor that takes a CGColorRef

        This lets us handle grayscale colors (which only have 2 components).

        Reviewed by Darin Adler.

        * WebKitGraphics.cpp:
        (DrawTextAtPoint):

2007-11-26  Steve Falkenburg  <sfalken@apple.com>

        Build fix.

        * WebKit.vcproj/WebKit.make:

2007-11-26  Steve Falkenburg  <sfalken@apple.com>

        Build fix.

        * WebKit.vcproj/build-generated-files.sh:

2007-11-26  Steve Falkenburg  <sfalken@apple.com>

        Build fix.

        * WebKit.vcproj/build-generated-files.sh:

2007-11-26  Anders Carlsson  <andersca@apple.com>

        Reviewed by Adam.

        Add an implementation of IWebSecurityOrigin and a partially stubbed out
        implementation of IWebDatabaseManager.
        
        * ForEachCoClass.h:
        * Interfaces/IWebDatabaseManager.idl:
        * Interfaces/WebKit.idl:
        * WebDatabaseManager.cpp:
        (WebDatabaseManager::createInstance):
        (WebDatabaseManager::WebDatabaseManager):
        (WebDatabaseManager::~WebDatabaseManager):
        (WebDatabaseManager::QueryInterface):
        (WebDatabaseManager::AddRef):
        (WebDatabaseManager::Release):
        (WebDatabaseManager::sharedWebDatabaseManager):
        (WebDatabaseManager::origins):
        (WebDatabaseManager::databasesWithOrigin):
        (WebDatabaseManager::detailsForDatabaseWithOrigin):
        (WebDatabaseManager::deleteAllDatabases):
        (WebDatabaseManager::deleteDatabasesWithOrigin):
        (WebDatabaseManager::deleteDatabaseWithOrigin):
        * WebDatabaseManager.h:
        * WebKit.vcproj/WebKit.vcproj:
        * WebKitClassFactory.cpp:
        * WebSecurityOrigin.cpp: Added.
        (WebSecurityOrigin::createInstance):
        (WebSecurityOrigin::WebSecurityOrigin):
        (WebSecurityOrigin::~WebSecurityOrigin):
        (WebSecurityOrigin::QueryInterface):
        (WebSecurityOrigin::AddRef):
        (WebSecurityOrigin::Release):
        (WebSecurityOrigin::protocol):
        (WebSecurityOrigin::domain):
        (WebSecurityOrigin::port):
        (WebSecurityOrigin::usage):
        (WebSecurityOrigin::quota):
        (WebSecurityOrigin::setQuota):
        * WebSecurityOrigin.h: Added.

2007-11-26  Kevin McCullough  <kmccullough@apple.com>

        Reviewed by Maciej.

        - Implemented displaying variables for Drosera on Win.

        * Interfaces/IWebScriptCallFrame.idl: Added a local function to be
        able to access the WebScriptCallFrame.
        * Interfaces/IWebScriptScope.idl: Implemented.
        * Interfaces/WebKit.idl: Added WebScriptScope to the tlb.
        * WebKit.vcproj/Interfaces.vcproj: 
        * WebScriptCallFrame.cpp: Implemented the helper and accessor methods.
        (EnumScopes::Next): Fixed a bug where we did not release correctly and
        would accidentally destroy scopes.
        (WebScriptCallFrame::stringByEvaluatingJavaScriptFromString):
        Implemented.
        (WebScriptCallFrame::valueByEvaluatingJavaScriptFromString): Implemented
        * WebScriptCallFrame.h: Implemented the helper and accessor methods.
        (WebScriptCallFrame::impl):
        (WebScriptCallFrame::state):
        * WebScriptScope.cpp: Implmented.
        (EnumVariables::EnumVariables): Created an IEnumVariant over the
        variables to be able to pass a DCOM acceptable structure back to
        Drosera.
        (EnumVariables::createInstance):
        (EnumVariables::QueryInterface):
        (EnumVariables::AddRef):
        (EnumVariables::Release):
        (EnumVariables::Next):
        (EnumVariables::Skip):
        (EnumVariables::Reset):
        (EnumVariables::Clone):
        (WebScriptScope::WebScriptScope):
        (WebScriptScope::createInstance): Implemented.
        (WebScriptScope::variableNames): Implemented.
        (WebScriptScope::valueForVariable):
        * WebScriptScope.h: Implmeneted.

2007-11-26  Anders Carlsson  <andersca@apple.com>

        Reviewed by Brady.

        Add IWebDatabaseManager and IWebSecurityOrigin interfaces.
        
        * Interfaces/IWebDatabaseManager.idl: Added.
        * Interfaces/IWebSecurityOrigin.idl: Added.
        * WebKit.vcproj/Interfaces.vcproj:
        * WebKit.vcproj/WebKitGUID.vcproj:

2007-11-26  Alice Liu  <alice.liu@apple.com>

        Reviewed by Jon Honeycutt.

        Fall back to the default Policy Delegate in these functions, 
        as is already done in dispatchDecidePolicyForNavigationAction

        * WebFrame.cpp:
        (WebFrame::dispatchDecidePolicyForMIMEType):
        (WebFrame::dispatchDecidePolicyForNewWindowAction):
        (WebFrame::dispatchUnableToImplementPolicy):

2007-11-25  Adam Roben  <aroben@apple.com>

        Fix a leak pointed out by Alexey

        * WebView.cpp:
        (getUpdateRects): Use a Vector<unsigned char>, since OwnPtr doesn't
        know to call delete[].

2007-11-25  Adam Roben  <aroben@apple.com>

        Fix Bug 16138: Reduce code duplication in WebView.cpp

        http://bugs.webkit.org/show_bug.cgi?id=16138

        Reviewed by Sam.

        * WebView.cpp:
        (getUpdateRects): Factored code out of updateBackingStore and paint
        into this new helper function.
        (WebView::updateBackingStore): Use getUpdateRects.
        (WebView::paint): Ditto.
        (WebView::paintIntoBackingStore): Changed to take a const IntRect&.
        (WebView::paintIntoWindow): Ditto.
        * WebView.h:

2007-11-25  Adam Roben  <aroben@apple.com>

        Add ImageDiff.vcproj to WebKit.sln

        Reviewed by Sam.

        * WebKit.vcproj/WebKit.sln:

2007-11-17  Timothy Hatcher  <timothy@apple.com>

        Reviewed by Mark Rowe.

        Bug 13470: i18n: The Web Inspector is not localizable
        http://bugs.webkit.org/show_bug.cgi?id=13470

        * English.lproj/Localizable.strings: Updated.
        * WebInspectorClient.cpp:
        (WebInspectorClient::localizedStringsURL): Empty stub.
        * WebInspectorClient.h: Added localizedStringsURL.

2007-11-17  Alexey Proskuryakov  <ap@webkit.org>

        Windows build fix.

        * WebView.cpp:
        (WebView::deleteSelection): Use canSmartCopyOrDelete() directly.

2007-11-14  Adam Roben  <aroben@apple.com>

        Change Interfaces to be a "Static Library" project

        Being a Utility project meant that Interfaces was rebuilding every
        time (Utility projects are supposed to handle their own dependencies).
        Interfaces isn't really a static library, but it means that VS will
        handle dependencies for us (and not complain about missing manifests
        like it did when the project was an Application).

        * WebKit.vcproj/Interfaces.vcproj:

2007-11-14  Adam Roben  <aroben@apple.com>

        Shut up FixMIDLHeaders.pl

        * WebKit.vcproj/FixMIDLHeaders.pl:

2007-11-14  Adam Roben  <aroben@apple.com>

        Change Interfaces to use a Utility configuration

        It had previously been marked as an "Application (.exe)", which is
        wrong but worked with most versions of Visual Studio.

        Rubberstamped by Steve.

        * WebKit.vcproj/Interfaces.vcproj:

2007-11-14  Anders Carlsson  <andersca@apple.com>

        Reviewed by Adam.

        Get the new focus window from the wParam instead of calling GetFocus().
        Also, send blur even if there is no focused frame.
               
        * WebView.cpp:
        (WebViewWndProc):

2007-11-14  Adam Roben  <aroben@apple.com>

        Another build fix for systems without Cygwin in their PATH

        * WebKit.vcproj/Interfaces.vcproj: Add Cygwin to the PATH in the
        Post-Build Event.

2007-11-13  Kevin McCullough  <kmccullough@apple.com>

        Reviewed by Adam.

        - Make Drosera show source, source URLs, and function stack on Windows
        and some minor fixes.

        * WebScriptCallFrame.cpp: Fixed a bug where the callFrame was not reffed
        properly before being returned, and changed functionName() to check for
        Null or if the name is empty.
        (EnumScopes::Clone):
        (WebScriptCallFrame::WebScriptCallFrame):
        (WebScriptCallFrame::createInstance):
        (WebScriptCallFrame::caller):
        (WebScriptCallFrame::functionName):
        * WebScriptCallFrame.h: Ditto
        * WebScriptDebugServer.cpp: Made the listenerSet static since we were
        already treating it as if it were. Removed the EnumViews stuff.  This
        was added by Steve to demonstrate DCOM and he thought it would be needed
        by Drosera, but I don't believe it will be.
        Implemented suspendProcessIfPaused() also added calls to it at the end
        of several functions to ensure we pause if Drosera has told WebKit to.
        (WebScriptDebugServer::WebScriptDebugServer):
        (WebScriptDebugServer::sharedWebScriptDebugServer):
        (WebScriptDebugServer::addListener):
        (WebScriptDebugServer::removeListener):
        (WebScriptDebugServer::suspendProcessIfPaused):
        (WebScriptDebugServer::didLoadMainResourceForDataSource):
        (WebScriptDebugServer::didParseSource):
        (WebScriptDebugServer::failedToParseSource):
        (WebScriptDebugServer::didEnterCallFrame):
        (WebScriptDebugServer::willExecuteStatement):
        (WebScriptDebugServer::willLeaveCallFrame):
        (WebScriptDebugServer::exceptionWasRaised):
        * WebScriptDebugServer.h: Ditto.
        * WebScriptDebugger.cpp: The important change here is that leaveFrame()
        is called before willLeaveCallFrame().  I think there is some EOL stuff
        going on too.
        - It was the implementing of these functions that allows source, the
        source URLs and function stack to be displayed.
        (WebScriptDebugger::callEvent):
        (WebScriptDebugger::atStatement):
        (WebScriptDebugger::returnEvent):
        (WebScriptDebugger::exception):
        (WebScriptDebugger::enterFrame):
        (WebScriptDebugger::leaveFrame):
        * WebView.cpp: Removed the EnumView functions.
        (WebView::WebView):
        (WebView::~WebView):

2007-11-13  Adam Roben  <aroben@apple.com>

        Fix <rdar://5346832> Infinite recursion when opening Web Inspector on more than one tab

        The bug was that multiple WebNodeHighlights would subclass the same
        browser window, leading to infinite recursion within
        SubclassedWndProc.

        WebNodeHighlight is now a WindowMessageListener, and lets
        WindowMessageBroadcaster handle subclassing the window.

        Reviewed by Ada.

        * WebNodeHighlight.cpp:
        (WebNodeHighlight::WebNodeHighlight): Initialize m_observedWindow
        member.
        (WebNodeHighlight::~WebNodeHighlight): Unregister as a listener for
        m_observedWindow.
